GNU bug report logs - #50344
C-x v keybinding for vc-print-branch-log

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Juri Linkov <juri@HIDDEN>; dated Thu, 2 Sep 2021 18:46:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 25 Dec 2021 12:09:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 25 07:09:42 2021
Received: from localhost ([127.0.0.1]:38602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n15rq-00023x-1T
	for submit <at> debbugs.gnu.org; Sat, 25 Dec 2021 07:09:42 -0500
Received: from mail-wm1-f41.google.com ([209.85.128.41]:53974)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1n15rl-00023Y-5L
 for 50344 <at> debbugs.gnu.org; Sat, 25 Dec 2021 07:09:41 -0500
Received: by mail-wm1-f41.google.com with SMTP id l4so6831089wmq.3
 for <50344 <at> debbugs.gnu.org>; Sat, 25 Dec 2021 04:09:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=aQZKR6N7fvVwN/JJZWlK0bJFEwubBClrUpnfdpqLH/I=;
 b=czhDjT5OrSCcpbMMuRFf/O2Jz50H+KAcpiEIfL4k6sTOAX9uUQeJnQOK14KHIWmiDw
 plDnhpxT0PLVVEwXnwzf9UP3HtzIvoKF1PUUHLn3zFPyaL9uz2UgeUm/UyTRqyr1IsoU
 SWQN1gd3iqEaFD9kBJ/lstx62RiKqBBAKo/H7zv4kwMiiMe+ZfTBCD9+WXliBoN6MwZM
 o+A4o2cCiaFADez2lXlXML8Z1nI6jh9+zjCxjfmG0Pj5XhXxav1hrrCDBI0m2iJ7W8gn
 QUUPuuP9gU7b/AcsLkb07UZbbXHWolGpXq/sifyDJvNLVZW0CO1mu/FhfrBIg78Is5Y4
 cgTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=aQZKR6N7fvVwN/JJZWlK0bJFEwubBClrUpnfdpqLH/I=;
 b=qQovSgSHf5LhITxcqdydevnQ25cxocwO5mvya8TiUHGDJRrsdmrBqPnLrU2ajjjA28
 yLcroRgV2X3W7OM0hqxsOq+cFjmunwxNaTqkB7BGqWnwfsnsX0dZbVyoD93jPvnOA5yR
 tlWKxs2Ly+G1U/0BGBl+2AEUJcZ+Z4f3Oo/e233PGSW1XCy4PUiXqsDcqjBACjSXuCtZ
 cRxM/ycWmD0t0yaSjZH2RlRtus2ezfggTvUfY1YvmjhgFq3vZKurYcte7CUKGF0Dkf89
 hQKsG/LMSSrNr6QAmirZ2evD4MEQW7oJpNlNRiC9a//To6Ag/zGQjZ9kCPNvjEDmDJht
 vDLw==
X-Gm-Message-State: AOAM532vvrAJoPHleseIOj+mAYMAQgWV3w3oNL3lIFIFZd4xekw5fqUa
 i71Fl/g/hYu6XNjyciF+HPV0LWoP220=
X-Google-Smtp-Source: ABdhPJyicrhRyxMRw9SwSV+j6R15ZK6Qu/mEl9Pq7fCg+n4TtVhNHe8NI94ZeuN+ksHxPkrtZk//9g==
X-Received: by 2002:a05:600c:1e8b:: with SMTP id
 be11mr7622785wmb.125.1640434171393; 
 Sat, 25 Dec 2021 04:09:31 -0800 (PST)
Received: from [10.112.109.103] ([185.209.196.172])
 by smtp.googlemail.com with ESMTPSA id e18sm11772863wrx.36.2021.12.25.04.09.30
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 25 Dec 2021 04:09:31 -0800 (PST)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Philip Kaludercic <philipk@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN> <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN> <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN> <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN>
 <m24k9mbe8f.fsf@HIDDEN> <03e150fc-5825-16ee-9022-db53de43dbc1@HIDDEN>
 <m2mtndb5cu.fsf@HIDDEN> <04c3e90b-a9a8-724d-1f2c-98c43e9f9658@HIDDEN>
 <87sfui2p33.fsf@HIDDEN> <cad5e183-b9e9-f2d0-0d8b-753ae0d3c9d9@HIDDEN>
 <87y24af6lw.fsf@HIDDEN> <0edd36d2-58d7-a1ba-274a-db05910ed9e6@HIDDEN>
 <87sfugud8u.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <66f02af6-1642-d02c-8b1a-87fe93c6cd09@HIDDEN>
Date: Sat, 25 Dec 2021 14:08:20 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87sfugud8u.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 25.12.2021 14:37, Philip Kaludercic wrote:
> Dmitry Gutov <dgutov@HIDDEN> writes:
> 
>> On 24.12.2021 16:57, Philip Kaludercic wrote:
>>> Dmitry Gutov<dgutov@HIDDEN>  writes:
>>>
>>>> On 24.12.2021 14:56, Philip Kaludercic wrote:
>>>>> Dmitry Gutov<dgutov@HIDDEN>   writes:
>>>>>
>>>>>> I have pushed the change which obsoletes vc-switch-backend now.
>>>>> So what is the preferred way for switching to another vc backend from
>>>>> 28.1 onward?
>>>> I suppose it depends on your scenario.
>>>>
>>>> Do you routinely use two different backends in certain
>>>> projects/directories?
>>> Yes, when switching between some default vc backend such as git and
>>> vc-backup (from ELPA) to work with backup files.
>>
>> I haven't tried that package, but it's a little surprising that
>> vc-backup needs such a feature to be fully usable. I guess one option
>> would be for it to provide user commands, one of which which would
>> move it at the front of vc-handled-backends? An the other would undo
>> that action. Or just bundle a copy of vc-switch-backend under a
>> different name.
> 
> The package is still usable, you just don't get to work on backups when
> your file is managed by some other version control system (unless you
> want prioritise it over any other backend).  If it is the case, that
> vc-switch-backend is rarely used, it seems like adding a custom
> vc-backup-toggle-backend command to vc-backup would make the most sense.

Yes, we all thought it is rarely used.

>> But if you don't like both of those suggestions, my preferred plan
>> would be for you to continue using vc-switch-backend in Emacs 28. In
>> Emacs 29, we could un-obsolete it but put it on a different key
>> binding (such as 'C-x v B'), freeing 'C-x v b' for the prefix map for
>> branch operations.
> 
> Maybe I missed something, but would the issue be to just unbind the key,
> without obsoleting it?  FWIW I would also appreciate having C-x v b
> bound to branch commands.

You missed a bunch of comments in this bug discussion.

Unbinding without obsoleting makes sense to me, but not to Eli.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 25 Dec 2021 11:37:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 25 06:37:33 2021
Received: from localhost ([127.0.0.1]:38574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n15Mj-0000zk-CU
	for submit <at> debbugs.gnu.org; Sat, 25 Dec 2021 06:37:33 -0500
Received: from mout01.posteo.de ([185.67.36.65]:51661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1n15Mg-0000zQ-JF
 for 50344 <at> debbugs.gnu.org; Sat, 25 Dec 2021 06:37:32 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 25ADE240027
 for <50344 <at> debbugs.gnu.org>; Sat, 25 Dec 2021 12:37:23 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1640432244; bh=IxWA4+xwLiuIRDq755SrCqu5KLk4XuSBUYo9BAo1rxs=;
 h=From:To:Cc:Subject:Autocrypt:Date:From;
 b=Q48O/BhT76EUGCbH4e1GLEobfKvAEfbsYbfcIQYgkgv0I4k3s/fico+kR1Zzm56pr
 UimZvUEZnS6IS/MgvRTwh3EFDVpzPGpMW3/eX4D6pgXvMt7u5xMlO+qYLL0CLwNmFa
 HbcrgNuNVMyuKKexJFxbFLTFudsZvplg4ttSy+uZvtDo5bSnDNH2gwezjLhqS1IN+z
 fA6mzs4WnMAIgn98qUVLiGbgSYjpuBa1OpeVaRgfGRHo9N7g0W2cYHbozX8H3IRyo7
 Vg42TWufdD/6DlNMdUrxXbABJ426mw+CfeHxw2Q4A/enY7THOqEfkE3uKlvwrz6Fgx
 zrjH3s6C2gaTA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4JLhjv2Yqnz6tp6;
 Sat, 25 Dec 2021 12:37:22 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN>
 <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN>
 <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN>
 <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN>
 <m24k9mbe8f.fsf@HIDDEN>
 <03e150fc-5825-16ee-9022-db53de43dbc1@HIDDEN>
 <m2mtndb5cu.fsf@HIDDEN>
 <04c3e90b-a9a8-724d-1f2c-98c43e9f9658@HIDDEN>
 <87sfui2p33.fsf@HIDDEN>
 <cad5e183-b9e9-f2d0-0d8b-753ae0d3c9d9@HIDDEN>
 <87y24af6lw.fsf@HIDDEN>
 <0edd36d2-58d7-a1ba-274a-db05910ed9e6@HIDDEN>
Autocrypt: addr=philipk@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEYHHqUhYJKwYBBAHaRw8BAQdAp3GdmYJ6tm5McweY6dEvIYIiry+Oz9rU4MH6NHWK0Ee0QlBo
 aWxpcCBLYWx1ZGVyY2ljIChnZW5lcmF0ZWQgYnkgYXV0b2NyeXB0LmVsKSA8cGhpbGlwa0Bwb3N0
 ZW8ubmV0PoiQBBMWCAA4FiEEDM2H44ZoPt9Ms0eHtVrAHPRh1FwFAmBx6lICGwMFCwkIBwIGFQoJ
 CAsCBBYCAwECHgECF4AACgkQtVrAHPRh1FyTkgEAjlbGPxFchvMbxzAES3r8QLuZgCxeAXunM9gh
 io0ePtUBALVhh9G6wIoZhl0gUCbQpoN/UJHI08Gm1qDob5zDxnIHuDgEYHHqUhIKKwYBBAGXVQEF
 AQEHQNcRB+MUimTMqoxxMMUERpOR+Q4b1KgncDZkhrO2ql1tAwEIB4h4BBgWCAAgFiEEDM2H44Zo
 Pt9Ms0eHtVrAHPRh1FwFAmBx6lICGwwACgkQtVrAHPRh1Fw1JwD/Qo7kvtib8jy7puyWrSv0MeTS
 g8qIxgoRWJE/KKdkCLEA/jb9b9/g8nnX+UcwHf/4VfKsjExlnND3FrBviXUW6NcB
Date: Sat, 25 Dec 2021 11:37:21 +0000
In-Reply-To: <0edd36d2-58d7-a1ba-274a-db05910ed9e6@HIDDEN> (Dmitry Gutov's
 message of "Sat, 25 Dec 2021 01:45:00 +0200")
Message-ID: <87sfugud8u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 24.12.2021 16:57, Philip Kaludercic wrote:
>> Dmitry Gutov<dgutov@HIDDEN>  writes:
>> 
>>> On 24.12.2021 14:56, Philip Kaludercic wrote:
>>>> Dmitry Gutov<dgutov@HIDDEN>   writes:
>>>>
>>>>> I have pushed the change which obsoletes vc-switch-backend now.
>>>> So what is the preferred way for switching to another vc backend from
>>>> 28.1 onward?
>>> I suppose it depends on your scenario.
>>>
>>> Do you routinely use two different backends in certain
>>> projects/directories?
>> Yes, when switching between some default vc backend such as git and
>> vc-backup (from ELPA) to work with backup files.
>
> I haven't tried that package, but it's a little surprising that
> vc-backup needs such a feature to be fully usable. I guess one option
> would be for it to provide user commands, one of which which would
> move it at the front of vc-handled-backends? An the other would undo
> that action. Or just bundle a copy of vc-switch-backend under a
> different name.

The package is still usable, you just don't get to work on backups when
your file is managed by some other version control system (unless you
want prioritise it over any other backend).  If it is the case, that
vc-switch-backend is rarely used, it seems like adding a custom
vc-backup-toggle-backend command to vc-backup would make the most sense.

> But if you don't like both of those suggestions, my preferred plan
> would be for you to continue using vc-switch-backend in Emacs 28. In
> Emacs 29, we could un-obsolete it but put it on a different key
> binding (such as 'C-x v B'), freeing 'C-x v b' for the prefix map for
> branch operations.

Maybe I missed something, but would the issue be to just unbind the key,
without obsoleting it?  FWIW I would also appreciate having C-x v b
bound to branch commands.

-- 
	Philip Kaludercic




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 24 Dec 2021 23:46:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 18:46:35 2021
Received: from localhost ([127.0.0.1]:38311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0uGS-0002iD-C9
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 18:46:35 -0500
Received: from mail-wm1-f51.google.com ([209.85.128.51]:37627)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1n0uGQ-0002hr-05
 for 50344 <at> debbugs.gnu.org; Fri, 24 Dec 2021 18:46:18 -0500
Received: by mail-wm1-f51.google.com with SMTP id
 a203-20020a1c7fd4000000b003457874263aso7939125wmd.2
 for <50344 <at> debbugs.gnu.org>; Fri, 24 Dec 2021 15:46:17 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=NfIPU4owwPQJ1iyq713KWDEnAPvu7dA7BJ4Z5ZJ2kk8=;
 b=niKVbGA7LDniuTyxkIINrr7ZQ/36g2mdmwvCk9r9m1h+/+DJPdbMUHciYqK7OyK3oJ
 CC0tEv8CoGXOtYGdjNeduGo/2PcruNt0vNKXxapm5CqIdttaGKweACmw9ZXKzRmgwgn/
 LjvUgcZOZg+4umNVfuL6ihRBoSZu4ApYXnZD48je1Ytj5a5hvb+m+zc8u6a/3gFslALM
 stGWYmFiYVGv9AGQVI7wAhcrIFEX1UkFa21fSRVwj1WsJ7ER4oHJS31EzreJ1f4//ZIk
 7PqCxqLOwlr46WZK5UX0Y5JX+Axq5fMIwLmhjFxaQME+50YEMy6z7Jp6vuz3OMIzdKA7
 kWRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=NfIPU4owwPQJ1iyq713KWDEnAPvu7dA7BJ4Z5ZJ2kk8=;
 b=ES6+uVSQzmhlTMfQ67Cj8cNkvItz0HvFcZVfDIOCqlF+TmyAz/d0nNljN/iadtGahR
 LjN1fWAxYsfGoX7MHFQ49/fLXgSkKpzFK9vLKLgyvm20XxIVS+hvEmAo65QR08ElkRGQ
 ynq55iDdOfHhQedNjcOtsKgrGSIZa0aKxfHR0CeZ3xNMnglxIbuAXSVx1xp2DjDAqhO8
 f1OP3Y1MPHdMJiWaER8IPw1zHjhXU0krsdvL6Un7OweTKf5cQ63dtUOjXN5B4kXhW7sN
 gc1ohABnxvkMSoNbkqRBJxwjXeNLrtrL42UmcR9Su/fj/At72Zw3eAIu+OAa94cP7qRB
 5w0Q==
X-Gm-Message-State: AOAM530dzN9LBeFZc4ce52nignzQ7R+zYQrtrfcc4WL3N15xWpnQSOME
 ja8lCc/shGA13uUjuSbO/IJbSEQAKTQ=
X-Google-Smtp-Source: ABdhPJxESe7vg5OyU/9Qd4HnPA/IwsJKWZh+E4fluMQijnH98RAzK4QbgJUqj7TpLp6P3QR7j7cKKg==
X-Received: by 2002:a7b:c1d0:: with SMTP id a16mr2967771wmj.166.1640389571957; 
 Fri, 24 Dec 2021 15:46:11 -0800 (PST)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id o8sm10680684wry.20.2021.12.24.15.46.10
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 24 Dec 2021 15:46:11 -0800 (PST)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Philip Kaludercic <philipk@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN> <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN> <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN> <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN>
 <m24k9mbe8f.fsf@HIDDEN> <03e150fc-5825-16ee-9022-db53de43dbc1@HIDDEN>
 <m2mtndb5cu.fsf@HIDDEN> <04c3e90b-a9a8-724d-1f2c-98c43e9f9658@HIDDEN>
 <87sfui2p33.fsf@HIDDEN> <cad5e183-b9e9-f2d0-0d8b-753ae0d3c9d9@HIDDEN>
 <87y24af6lw.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <0edd36d2-58d7-a1ba-274a-db05910ed9e6@HIDDEN>
Date: Sat, 25 Dec 2021 01:45:00 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87y24af6lw.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 24.12.2021 16:57, Philip Kaludercic wrote:
> Dmitry Gutov<dgutov@HIDDEN>  writes:
> 
>> On 24.12.2021 14:56, Philip Kaludercic wrote:
>>> Dmitry Gutov<dgutov@HIDDEN>   writes:
>>>
>>>> I have pushed the change which obsoletes vc-switch-backend now.
>>> So what is the preferred way for switching to another vc backend from
>>> 28.1 onward?
>> I suppose it depends on your scenario.
>>
>> Do you routinely use two different backends in certain
>> projects/directories?
> Yes, when switching between some default vc backend such as git and
> vc-backup (from ELPA) to work with backup files.

I haven't tried that package, but it's a little surprising that 
vc-backup needs such a feature to be fully usable. I guess one option 
would be for it to provide user commands, one of which which would move 
it at the front of vc-handled-backends? An the other would undo that 
action. Or just bundle a copy of vc-switch-backend under a different name.

But if you don't like both of those suggestions, my preferred plan would 
be for you to continue using vc-switch-backend in Emacs 28. In Emacs 29, 
we could un-obsolete it but put it on a different key binding (such as 
'C-x v B'), freeing 'C-x v b' for the prefix map for branch operations.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 24 Dec 2021 13:57:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 08:57:43 2021
Received: from localhost ([127.0.0.1]:35903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0l4p-0003DK-1I
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 08:57:43 -0500
Received: from mout02.posteo.de ([185.67.36.66]:33925)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1n0l4m-0003D1-8J
 for 50344 <at> debbugs.gnu.org; Fri, 24 Dec 2021 08:57:42 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id D972B240103
 for <50344 <at> debbugs.gnu.org>; Fri, 24 Dec 2021 14:57:33 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1640354253; bh=EbsruxX5NuocXP77KqWErHjIUDenGq62eY5lZKlVxRU=;
 h=From:To:Cc:Subject:Autocrypt:Date:From;
 b=cAqTC5XU0ZllL8bxGqkX/ZO8ongrHcHX8wJCz6z0MHidMLzFDkIcEuW4gk/zZ4ksW
 Yma6Pp+DeHW+EUtH7fI+PmzZNZhxt/fDoNfb1fXQuk/eqi6MYwNoH3ewOuAhioVJbm
 0shdat9crxSlFvXih9+hUPeDCod3x84GaONiwVcTEALaJEcngvEuSUh2mphGgFIltp
 Rq6PHT8w26o5xF9Q3rRm3c5Hh3Yn12qdPzzYQ/jCuIN6Z5qSqw046AqKaPc32OlmeV
 TT9cxbvi9SXos67cUqyaQ6juqfRe6OtnDagYADJiDPriP2XsADkzaBnCJ2KCHGuA/b
 Bc5xOtIvIjXWg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4JL7t4364Xz6tm9;
 Fri, 24 Dec 2021 14:57:32 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <cad5e183-b9e9-f2d0-0d8b-753ae0d3c9d9@HIDDEN> (Dmitry Gutov's
 message of "Fri, 24 Dec 2021 14:03:12 +0200")
References: <87mtoux1ha.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN>
 <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN>
 <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN>
 <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN>
 <m24k9mbe8f.fsf@HIDDEN>
 <03e150fc-5825-16ee-9022-db53de43dbc1@HIDDEN>
 <m2mtndb5cu.fsf@HIDDEN>
 <04c3e90b-a9a8-724d-1f2c-98c43e9f9658@HIDDEN>
 <87sfui2p33.fsf@HIDDEN>
 <cad5e183-b9e9-f2d0-0d8b-753ae0d3c9d9@HIDDEN>
Autocrypt: addr=philipk@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEYHHqUhYJKwYBBAHaRw8BAQdAp3GdmYJ6tm5McweY6dEvIYIiry+Oz9rU4MH6NHWK0Ee0QlBo
 aWxpcCBLYWx1ZGVyY2ljIChnZW5lcmF0ZWQgYnkgYXV0b2NyeXB0LmVsKSA8cGhpbGlwa0Bwb3N0
 ZW8ubmV0PoiQBBMWCAA4FiEEDM2H44ZoPt9Ms0eHtVrAHPRh1FwFAmBx6lICGwMFCwkIBwIGFQoJ
 CAsCBBYCAwECHgECF4AACgkQtVrAHPRh1FyTkgEAjlbGPxFchvMbxzAES3r8QLuZgCxeAXunM9gh
 io0ePtUBALVhh9G6wIoZhl0gUCbQpoN/UJHI08Gm1qDob5zDxnIHuDgEYHHqUhIKKwYBBAGXVQEF
 AQEHQNcRB+MUimTMqoxxMMUERpOR+Q4b1KgncDZkhrO2ql1tAwEIB4h4BBgWCAAgFiEEDM2H44Zo
 Pt9Ms0eHtVrAHPRh1FwFAmBx6lICGwwACgkQtVrAHPRh1Fw1JwD/Qo7kvtib8jy7puyWrSv0MeTS
 g8qIxgoRWJE/KKdkCLEA/jb9b9/g8nnX+UcwHf/4VfKsjExlnND3FrBviXUW6NcB
Date: Fri, 24 Dec 2021 13:57:31 +0000
Message-ID: <87y24af6lw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 24.12.2021 14:56, Philip Kaludercic wrote:
>> Dmitry Gutov<dgutov@HIDDEN>  writes:
>> 
>>> I have pushed the change which obsoletes vc-switch-backend now.
>> So what is the preferred way for switching to another vc backend from
>> 28.1 onward?
>
> I suppose it depends on your scenario.
>
> Do you routinely use two different backends in certain
> projects/directories?

Yes, when switching between some default vc backend such as git and
vc-backup (from ELPA) to work with backup files.

-- 
	Philip Kaludercic




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 24 Dec 2021 12:04:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 07:04:35 2021
Received: from localhost ([127.0.0.1]:35822 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0jJL-0006bJ-L9
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 07:04:35 -0500
Received: from mail-wm1-f53.google.com ([209.85.128.53]:34364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1n0jJG-0006b3-FW
 for 50344 <at> debbugs.gnu.org; Fri, 24 Dec 2021 07:04:34 -0500
Received: by mail-wm1-f53.google.com with SMTP id
 bg19-20020a05600c3c9300b0034565e837b6so4068724wmb.1
 for <50344 <at> debbugs.gnu.org>; Fri, 24 Dec 2021 04:04:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=bLUHckocX+CnmcVa1kGUpZqM46YbxBsi7/hfNO68srA=;
 b=W4nOCs8co7y6s1obYF/yFUpyEr25qUmh+I8keJLit1yR48BzxqfAGcz+Ohkonu/7Kz
 g37i/QvNHpAOW3VxMxbKpZdqqFMME00ppv/c/nqkSdPbWlM5wb3qbDYyNiQ8IVWYZimZ
 QxdOXrLG5A2tSSl6JWZz8sXS/XzN+12PWPlwtHsuG6ToU4ia3Ij3UbxPsNx6Sqf1thYv
 p/h1QBjettAS4QZBMij1hYNQF1EI/EE9k3khI+KQAgZd2YOtpQ8fQeYH8rjQXMXKjwP2
 mcbLE/R34Of62VTKsbctT1uNr6YO0Gq6ZK0MuQt8iZns5dMpIsjRsCvFL53i3d8YDQXx
 zMlg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=bLUHckocX+CnmcVa1kGUpZqM46YbxBsi7/hfNO68srA=;
 b=qeZpbbYnoV/NpRcovWPIgGS0H33CkamiWpXpPorcbEp44IHgsqhJ68sXr725t1kkEc
 ARFM54MR/z2QmzOkI39c41b3DxiaJ3RPiigEVDzt5Re+kxjLtqURK9EJ6t1zIdwL9k3O
 jMaOf7c4z4UUCT/jrei5ERE4v3VRYbo4AO2Zlr+mkFtmO0fg9T5q5xkGoXITUvO0tUhH
 bIh5/E9af/aSHoiRKc8df43l75HkaUPiX+rCRE6QaYVD7+1wIYphILtOfPudr/cnyCTD
 VoU4wtyWWMD8lhMCCR19XUJHhA2NOotvOu8HGigF9ld1wJy6y9mH9Fgw0vs4O3NkD3J3
 hllg==
X-Gm-Message-State: AOAM532WunkuQdYsySe6by7VbKtB/VaxFwGKDkibqCVsDDleknKvsEA8
 XpXWOQm5IU87QZwxDcdwRDA=
X-Google-Smtp-Source: ABdhPJw4uVtHUcbMSMeS5TTu6C0L92tJCJ8Q3FWdV+I2YHaidEj2V17kkkc/f/d2OOdu5vphgIFaNQ==
X-Received: by 2002:a1c:a517:: with SMTP id o23mr4534511wme.189.1640347464618; 
 Fri, 24 Dec 2021 04:04:24 -0800 (PST)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id l8sm7596315wrv.25.2021.12.24.04.04.23
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 24 Dec 2021 04:04:24 -0800 (PST)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Philip Kaludercic <philipk@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN> <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN> <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN> <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN>
 <m24k9mbe8f.fsf@HIDDEN> <03e150fc-5825-16ee-9022-db53de43dbc1@HIDDEN>
 <m2mtndb5cu.fsf@HIDDEN> <04c3e90b-a9a8-724d-1f2c-98c43e9f9658@HIDDEN>
 <87sfui2p33.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <cad5e183-b9e9-f2d0-0d8b-753ae0d3c9d9@HIDDEN>
Date: Fri, 24 Dec 2021 14:03:12 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87sfui2p33.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, Filipp Gunbin <fgunbin@HIDDEN>,
 juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 24.12.2021 14:56, Philip Kaludercic wrote:
> Dmitry Gutov<dgutov@HIDDEN>  writes:
> 
>> I have pushed the change which obsoletes vc-switch-backend now.
> So what is the preferred way for switching to another vc backend from
> 28.1 onward?

I suppose it depends on your scenario.

Do you routinely use two different backends in certain projects/directories?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 24 Dec 2021 11:57:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 24 06:57:03 2021
Received: from localhost ([127.0.0.1]:35813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n0jC3-0006PA-Ih
	for submit <at> debbugs.gnu.org; Fri, 24 Dec 2021 06:57:03 -0500
Received: from mout02.posteo.de ([185.67.36.66]:52389)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1n0jBy-0006Ob-1U
 for 50344 <at> debbugs.gnu.org; Fri, 24 Dec 2021 06:57:01 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 5427B240103
 for <50344 <at> debbugs.gnu.org>; Fri, 24 Dec 2021 12:56:51 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1640347011; bh=rn8vJKLF3nS3No/cAwV/hUBcrH+H7VXDHocf5njhDPI=;
 h=From:To:Cc:Subject:Autocrypt:Date:From;
 b=be47JK2Q0CsITJoqmyWF0s4UU2pGYSEJaHH+0qcwcLohwefDo8KYDbqmG8hDPyGAp
 2ryYXdQx+TWpsdv9kOziLAafbPCzE9yF6p+27nqwWOnBIOQ2sdyHba7yWUXx/yvdzF
 OHITLgMCx3BqBYzzYWfAfQj/9AF20bVThBX4xsbbxQJIV7DqIkftaVuzIKDQC+I/Ue
 SrFcsvQlAF/ryFfo0WUW6mByxshMo8X/jkO3Zy65KUIWv11kON9XF5xO79RWVnpBQQ
 gGi+hi5jV/wcJltoUqfwebUIYhpU+MNZSnUA/Ke1EWVNIvtwQH4v3KydDIJ+mGjR1H
 SuWNQuad0oSGg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4JL5Bn5ZjDz6tnS;
 Fri, 24 Dec 2021 12:56:49 +0100 (CET)
From: Philip Kaludercic <philipk@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN>
 <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN>
 <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN>
 <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN>
 <m24k9mbe8f.fsf@HIDDEN>
 <03e150fc-5825-16ee-9022-db53de43dbc1@HIDDEN>
 <m2mtndb5cu.fsf@HIDDEN>
 <04c3e90b-a9a8-724d-1f2c-98c43e9f9658@HIDDEN>
Autocrypt: addr=philipk@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEYHHqUhYJKwYBBAHaRw8BAQdAp3GdmYJ6tm5McweY6dEvIYIiry+Oz9rU4MH6NHWK0Ee0QlBo
 aWxpcCBLYWx1ZGVyY2ljIChnZW5lcmF0ZWQgYnkgYXV0b2NyeXB0LmVsKSA8cGhpbGlwa0Bwb3N0
 ZW8ubmV0PoiQBBMWCAA4FiEEDM2H44ZoPt9Ms0eHtVrAHPRh1FwFAmBx6lICGwMFCwkIBwIGFQoJ
 CAsCBBYCAwECHgECF4AACgkQtVrAHPRh1FyTkgEAjlbGPxFchvMbxzAES3r8QLuZgCxeAXunM9gh
 io0ePtUBALVhh9G6wIoZhl0gUCbQpoN/UJHI08Gm1qDob5zDxnIHuDgEYHHqUhIKKwYBBAGXVQEF
 AQEHQNcRB+MUimTMqoxxMMUERpOR+Q4b1KgncDZkhrO2ql1tAwEIB4h4BBgWCAAgFiEEDM2H44Zo
 Pt9Ms0eHtVrAHPRh1FwFAmBx6lICGwwACgkQtVrAHPRh1Fw1JwD/Qo7kvtib8jy7puyWrSv0MeTS
 g8qIxgoRWJE/KKdkCLEA/jb9b9/g8nnX+UcwHf/4VfKsjExlnND3FrBviXUW6NcB
Date: Fri, 24 Dec 2021 11:56:48 +0000
In-Reply-To: <04c3e90b-a9a8-724d-1f2c-98c43e9f9658@HIDDEN> (Dmitry Gutov's
 message of "Thu, 14 Oct 2021 02:37:24 +0300")
Message-ID: <87sfui2p33.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, Filipp Gunbin <fgunbin@HIDDEN>,
 juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> I have pushed the change which obsoletes vc-switch-backend now.

So what is the preferred way for switching to another vc backend from
28.1 onward?

-- 
	Philip Kaludercic




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 13 Oct 2021 23:37:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 19:37:36 2021
Received: from localhost ([127.0.0.1]:33961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1manoV-00018x-Ut
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 19:37:36 -0400
Received: from mail-lf1-f48.google.com ([209.85.167.48]:40673)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1manoS-00018i-8j
 for 50344 <at> debbugs.gnu.org; Wed, 13 Oct 2021 19:37:35 -0400
Received: by mail-lf1-f48.google.com with SMTP id y15so18929735lfk.7
 for <50344 <at> debbugs.gnu.org>; Wed, 13 Oct 2021 16:37:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=OGLrQvs2SsdcxZh0PLrhWuEQ0dgWx5l5g/P8LiuTuPQ=;
 b=o9XC9/OXSwH/VR/Zr8jL1rxqmqGbr6cuYP/1WU7sNk0zo/DNEzyxVtssiul9ZL52Gw
 up0jWeit2jXXp01+g3qFEdvm4y0XJqwPqNQLsPhvGb9TZsIEALmMraB/3HuFomsCAiAF
 OQGfkrv/xriE0p9zZUxM6f1e9ZEjxr48KgU/XwQC3UL+P6gFBOBL2v40kBRIUdsB9eW7
 76rA06M+FDgUwW196F5TWIaQo030s6xaRfvte4EELqmiZ+Ci9E7SSMwa8kwx2uDqTMqc
 NosTNdXxm/hahwW4LXKGPbrGtBvt9nXEsFFfdhnO422SmquHPxp3/UlF5yJt1++8OnCz
 xIyg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=OGLrQvs2SsdcxZh0PLrhWuEQ0dgWx5l5g/P8LiuTuPQ=;
 b=LQRYhIlbxGooWPWpXBV2TY7cKgPguowHGN0gx/peTAnjlI9Lbxp/cPxkXFFuphg6oS
 9kmh/buqztDMs0Hh9ohftt4VajJWqEzCAFg1sxEXYPaoyGShhV8TvG5+6b3AOE7uBCUb
 StbvFSgEfwqxRJi3lf3bBfrBB94GEsbjM7V5ZawA2ZALcw4Cd7hIVBLAKdLYb8Gd+Rtb
 uLpFgDjhfj5GGIxrBupAvN5rt2uQerXwjymR6SOdc218f9ep/tvSqhT4jOT5etNHN/tp
 GLWmHM2ImF2EStCj/w8vlC9+bP0qRbEoYnkF68JK0AZ9VMCKTwHMXUtDdY1Yc+VTnKP2
 4CtA==
X-Gm-Message-State: AOAM531Fi2ZQ2yVJj9/B5Sr2+NoUM3ZIogybvEX/ulBlgs1Ctta6FSLL
 GxYZn1WramiTuznh5TGhASA=
X-Google-Smtp-Source: ABdhPJxltB0CX2+0tT0/GkL1bNZO3/j8YRrvhGiz3kkwtnv8gYpPFMB3hW18TQFcr0OzWkqfCmEPCQ==
X-Received: by 2002:ac2:46c4:: with SMTP id p4mr1806439lfo.157.1634168245956; 
 Wed, 13 Oct 2021 16:37:25 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.248.29])
 by smtp.googlemail.com with ESMTPSA id a5sm75246lff.300.2021.10.13.16.37.25
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 13 Oct 2021 16:37:25 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Filipp Gunbin <fgunbin@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN> <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN> <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN> <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN> <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN>
 <m24k9mbe8f.fsf@HIDDEN> <03e150fc-5825-16ee-9022-db53de43dbc1@HIDDEN>
 <m2mtndb5cu.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <04c3e90b-a9a8-724d-1f2c-98c43e9f9658@HIDDEN>
Date: Thu, 14 Oct 2021 02:37:24 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <m2mtndb5cu.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 13.10.2021 13:12, Filipp Gunbin wrote:
>> OK, then I guess the follow-up question is, do we obsolete
>> 'vc-transfer-file' as well? It's the only caller of 'vc-switch-backend'
>> outside of interactive invocations.
>>
>> 'vc-transfer-file' can also be used by 'C-u M-x vc-next-action', but it
>> seems like a very rare workflow as well. Though more plausible than the
>> use of 'vc-switch-backend' by itself.
> Personally I don't use either of these commands, so this is a question
> to others..

I guess there's little point to be too ambitious here, given that 
vc-transfer-file is not interactive, and changing vc-next-action's 
signature is not in the cards now anyway.

And we don't have an actual mechanism for obsoleting only a part of 
command's calling convention.

I have pushed the change which obsoletes vc-switch-backend now.

Which should remove the main obstacle to adding the branches map with 
good binding in Emacs 29.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 13 Oct 2021 10:13:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 13 06:13:03 2021
Received: from localhost ([127.0.0.1]:58467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mabFu-0008EJ-Nq
	for submit <at> debbugs.gnu.org; Wed, 13 Oct 2021 06:13:02 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:44945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fgunbin@HIDDEN>) id 1mabFr-0008Dl-EP
 for 50344 <at> debbugs.gnu.org; Wed, 13 Oct 2021 06:13:01 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id D4F145C0098;
 Wed, 13 Oct 2021 06:12:52 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Wed, 13 Oct 2021 06:12:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.fm; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=zhwBZ0AN5Q+UjAh/CZ358buqqa
 ZaF2XbamnMWY2upko=; b=SA3WQexGikgLytcl+VaRKRvyEAnBdJyZTq3ssp0onb
 +hjXat8/9qklYAK95ClsFhKjsTBBF3xglHtotSJTh053MhhZEXnPxfwnRAWInCML
 QD9DRFtaM+jW4PrqzCHm6zQAZHBOJ0TWyA3G95qSudS1btXPEE3aipzxiOdZfPou
 9wkAduHqvGFEoZSA+5YrQXl8EaU7d0yYcR4529McABW27SYvtUUzJXP8qthZsl2t
 ihTVazVph/paxRV4BbUPAMaUTFIy5hqtfEAnXl87PttXBwOjIFpEpayFsVmGx5EI
 sugRgXXRwQMXj4XoDkWBhzwxeRKwmRbANLJrnV9Jzegw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=zhwBZ0
 AN5Q+UjAh/CZ358buqqaZaF2XbamnMWY2upko=; b=bZS6N44sJyPdGf4y1/MZEQ
 JKyJ/o2nY0nYNf52flNod/g7WIQIP0E5zfHnGS652pbiTyXCEh1z0Cora4BBVWOI
 9CGkPvNpgnZ87zMDnMvuBI2lBV6SXO+rUgdCwPfYe9cNv5gDblQVWF73CDItA3Bu
 lQpSMBsc4GVRKibnsmIAIqMoII6CaUL7rhYPHclfzTylOAFgvv6uOnlPxXaDLIE+
 dsTQf9ZeIRSiWafwHifGAYJRNNKenV0i71f2afAu8eQvVPYwP2s3oJHyXHCbeZnf
 HSd7wpEJPKHyUgdvMFAWrf7fcPC7+QLOFM89CO7wYeG3TwWmaZpXgfencCAlKVMQ
 ==
X-ME-Sender: <xms:JLFmYZP93X4_sgnC8oB06w1yOM9ayjAk0qeptmicmvDcQo9Gz3WZGg>
 <xme:JLFmYb8l0fvO95Q8TQBb-Sv1isWRstm1TtrLYRUlSRMIp7pC5PQkOEd_iEHk8jyfb
 m4oNGeMMOY7SC04>
X-ME-Received: <xmr:JLFmYYQEa4UTTL7M07s02R-5ZVugA1EHZA6bAu4Jb4Pt8qq4o-ykJQ4ekMLwAwB9PQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrvddutddgvdegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehttdertddtredtnecuhfhrohhmpefhihhlihhp
 phcuifhunhgsihhnuceofhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmheqnecuggftrf
 grthhtvghrnhepvdevkeffvdeuvefhuddtjeehkedvueefveettddtveduudfgieffieev
 ieevhfdtnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomh
 epfhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmh
X-ME-Proxy: <xmx:JLFmYVvwMttGPMfDzuYyAkoblFAjFt9slHiNLH3UDtn-JVyvnOOLMg>
 <xmx:JLFmYRfdydKKbpSejLX95wGc_V8g6fl-8Aec5f-PGZ10kRucLxksuQ>
 <xmx:JLFmYR1psGBEcNw2EYgoyXAmTTaFI0717fKcmA18rcOUG_T2H4_KJw>
 <xmx:JLFmYSrWdIa-RTLl64SNZF0HfHqZZoMJFl9p7-PvNaoSPjU-o6-HJg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Wed,
 13 Oct 2021 06:12:51 -0400 (EDT)
From: Filipp Gunbin <fgunbin@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <03e150fc-5825-16ee-9022-db53de43dbc1@HIDDEN> (Dmitry Gutov's
 message of "Wed, 13 Oct 2021 04:45:41 +0300")
References: <87mtoux1ha.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN>
 <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN>
 <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN>
 <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN>
 <m24k9mbe8f.fsf@HIDDEN>
 <03e150fc-5825-16ee-9022-db53de43dbc1@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (darwin)
Date: Wed, 13 Oct 2021 13:12:49 +0300
Message-ID: <m2mtndb5cu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 13/10/2021 04:45 +0300, Dmitry Gutov wrote:

> On 12.10.2021 15:48, Filipp Gunbin wrote:
>> It'd be great to go this way.  C-x v B is perhaps acceptable, but
>> lowcase b is much, much better.  Enough to sacrifice switching backends
>> for it IMO.
>
> OK, then I guess the follow-up question is, do we obsolete
> 'vc-transfer-file' as well? It's the only caller of 'vc-switch-backend'
> outside of interactive invocations.
>
> 'vc-transfer-file' can also be used by 'C-u M-x vc-next-action', but it
> seems like a very rare workflow as well. Though more plausible than the
> use of 'vc-switch-backend' by itself.

Personally I don't use either of these commands, so this is a question
to others..




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 13 Oct 2021 01:45:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 21:45:52 2021
Received: from localhost ([127.0.0.1]:56632 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maTL6-000721-9m
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 21:45:52 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:42655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1maTL4-00071o-43
 for 50344 <at> debbugs.gnu.org; Tue, 12 Oct 2021 21:45:51 -0400
Received: by mail-lf1-f41.google.com with SMTP id x27so4530416lfa.9
 for <50344 <at> debbugs.gnu.org>; Tue, 12 Oct 2021 18:45:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=MlLiZ2SCadsNT1sXGOWPM7DJCUyDNjritBXspr6rt+Y=;
 b=X6o2XsmyFr4NK8TbVf4NLTuYup8lb4ZTwWNlcvLLVUgY2dJ7Erw6Hlxsf2zbPrfdGo
 9CVWY8DRIprtlD8PECmF1iidOUJKUX1H5B+dwkn43nFAbMQNewGH7rC856kuJ3xXYd38
 FktFkBtiTXUZNg1w3ppQtZ8tKeI8MaOLo84JbryZg3A7jXGeC3iO6mZJIpGz76VSU7kk
 RkYSGp/jsLbvrRQESmeKqatkHjXqBWWEorefRf4KSY+0wwh3chVIINFVw+5Ml4KgVARr
 XA5Yc3RX6y1K5OhkN/w3bCIQT0k9I1NDqdXRk2wT3mXOdhxcrDCKTFDHQFTSWngA/llG
 jl5Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=MlLiZ2SCadsNT1sXGOWPM7DJCUyDNjritBXspr6rt+Y=;
 b=sxdW6oc91vgQeniHbspo8Dky6l3sgbk9W8D9tJjH+21u5cPpBK7MiC2YWhNF7iBM6P
 Jqtog+zei+LTdSDrt2g8C/QFiop3c0JxIsipyiVIsmihq7TKfZS8OtHMq+71Km68lNcl
 u8nZ253Vp9YNo1bcLtlzv16KZQP52fY6fNiTsckTmYyTT5lQ981VhCCaKtpPVbwQCEfR
 l81qa/zvOoincGyLGW++VThn8T8grNP0JAWWMgfSwnq93mS3in0tlpUZdZCrv4dQAz+d
 EUkxKuY46cD/s8GQylbqldNv5KgNKtX+r0m3aV9MeV4nWz+4fjbrMOApTdh6VlpHvg4V
 YwSg==
X-Gm-Message-State: AOAM530zwrUm0PPLyej1he6E+NScHH/MhgIStQj+V3jsr55an/Go24xD
 EdPBwUxaNTbDvRYwPhHn0ng=
X-Google-Smtp-Source: ABdhPJwnB9/hBJLlep5ege49E4V+s7RtXAxuTceEZJjcYdjQjSBtJNDIQ8ipNb8vibLtiNTjVaEIfA==
X-Received: by 2002:a05:6512:3341:: with SMTP id
 y1mr38494009lfd.424.1634089543861; 
 Tue, 12 Oct 2021 18:45:43 -0700 (PDT)
Received: from [192.168.0.103] ([5.18.248.29])
 by smtp.googlemail.com with ESMTPSA id u7sm1178342lft.79.2021.10.12.18.45.42
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 12 Oct 2021 18:45:43 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Filipp Gunbin <fgunbin@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN> <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN> <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN> <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN> <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN> <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN>
 <m24k9mbe8f.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <03e150fc-5825-16ee-9022-db53de43dbc1@HIDDEN>
Date: Wed, 13 Oct 2021 04:45:41 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <m24k9mbe8f.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 12.10.2021 15:48, Filipp Gunbin wrote:
> It'd be great to go this way.  C-x v B is perhaps acceptable, but
> lowcase b is much, much better.  Enough to sacrifice switching backends
> for it IMO.

OK, then I guess the follow-up question is, do we obsolete 
'vc-transfer-file' as well? It's the only caller of 'vc-switch-backend' 
outside of interactive invocations.

'vc-transfer-file' can also be used by 'C-u M-x vc-next-action', but it 
seems like a very rare workflow as well. Though more plausible than the 
use of 'vc-switch-backend' by itself.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 12 Oct 2021 12:49:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 12 08:49:03 2021
Received: from localhost ([127.0.0.1]:36573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1maHDK-0003h1-O3
	for submit <at> debbugs.gnu.org; Tue, 12 Oct 2021 08:49:02 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:58837)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fgunbin@HIDDEN>) id 1maHDF-0003g7-KU
 for 50344 <at> debbugs.gnu.org; Tue, 12 Oct 2021 08:48:57 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 7E45A5C00C8;
 Tue, 12 Oct 2021 08:48:52 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Tue, 12 Oct 2021 08:48:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.fm; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=mYKr9Be9Cg/J9yEhDgkKT5os5K
 9K1iXz5vB8xeXPnrQ=; b=hCuGSWl1PL9URmO9WZ6NoymkJWVPuFfc9IJuPfVHsa
 zaasbBj+jQBXFtC0pG2VhqybaZqmJ7jiu154GxD5ziozYKpbSIlZJ9z0RXW2FOKA
 xYuCr0dqMet0FlA+1TiFFnIKzkQzHyfmd/q88jtm0NJr7Q23oUPBMWBxLROWqNIK
 VjPyXp4hLm3z45a0CjwdZjILdd/n9/gF51n6FiRUt4pxJuMkzM5XxqeDXdy1wkAg
 jRuEzqihTuvd9I4anlcntLmoHovFxRmwp3F+EJ2b1emcVvp874coXKG9lcQzLtyI
 I8Zf8UX25EWCKLCNa51TuGBGRVLUfSaemjWK/KSZFduw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=mYKr9B
 e9Cg/J9yEhDgkKT5os5K9K1iXz5vB8xeXPnrQ=; b=EB5WoXqRmNkRjbZBl2ADTk
 khNWLRxomWUlUBbJbvjqfDc1WUGrXDn6Vjao6kBKdZup0wtWWjlzN3BbuZHHty42
 utgKzgEjf6B85ijmc05bsc+C+1P1WEniZEsP7r9eGMNuXffS8Pj0bnmTl8X/4cds
 QCZn6Jl6Qg5WnpWX9ABcE4N7JSvByVe8ZCUVRO6azc8BqeSMgMH5JQWZvrV5xbW9
 OyvjPDeLECQfQBFdcvE0odf4N+UfbJGKezhmtsJVRc+rIMj5AUHZjZlSHq0JjrHX
 jf78mnIykBUhrsffRbh2fMl8yJBDbvaZQhAy+ZeE3awPmS1MEy9tC4xgYYSq6clA
 ==
X-ME-Sender: <xms:NIRlYTxSheyWe0VQgxyoPvRyQpMSPMmQC3vv0PrYKX8G0wlh8fVysQ>
 <xme:NIRlYbQH7JvbnAdW27O8IjsD6ZONMgk2uxATtQa17cOhWjfBCXt4-8PpmYbVWGVpv
 vBvBcr1ptJ604A_>
X-ME-Received: <xmr:NIRlYdVXu5tLBPFTMgK-llAKHdeA_SBPaUYnlnD9CFCsB_cMPdsNZNyYy64w-8ADbg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrvddtkedgheehucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehttdertddtredtnecuhfhrohhmpefhihhlihhp
 phcuifhunhgsihhnuceofhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmheqnecuggftrf
 grthhtvghrnhepvdevkeffvdeuvefhuddtjeehkedvueefveettddtveduudfgieffieev
 ieevhfdtnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomh
 epfhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmh
X-ME-Proxy: <xmx:NIRlYdgv7ZL5mfe3u0Bnq5TdQmy3bLOlhjsYxEIaLFkjidCbEMAy_Q>
 <xmx:NIRlYVAzXU-fzI6j36uqtvF9AkZ3IYilh0PoK7WKuGh9CesjIu6g9A>
 <xmx:NIRlYWJVb7VvthCl_taX5EwFy0a6u0tHjKDcbINHCP6da0gMrxUrBA>
 <xmx:NIRlYUNFNKShf5u3jcbuV-eaDuP3dgpr8oBgoBWvE5UdCBvdgYxbhw>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Tue,
 12 Oct 2021 08:48:51 -0400 (EDT)
From: Filipp Gunbin <fgunbin@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN> (Dmitry Gutov's
 message of "Fri, 8 Oct 2021 00:49:08 +0300")
References: <87mtoux1ha.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN>
 <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN>
 <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN>
 <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (darwin)
Date: Tue, 12 Oct 2021 15:48:48 +0300
Message-ID: <m24k9mbe8f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, larsi@HIDDEN,
 juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 08/10/2021 00:49 +0300, Dmitry Gutov wrote:

> On 07.10.2021 16:21, Eli Zaretskii wrote:
>> As I already said, I don't want to deprecate the binding if we are not
>> deprecating the command which uses it.
>
> You know what, let's deprecate the command.
>
> This will give us a way to notify its users more prominently, and maybe
> hear back about their patterns.
>
> In Emacs 29, we might as well un-deprecate the command itself but reuse
> its binding for the branch prefix. The deprecation will already have
> done its job. Or, alternatively, nobody will complain, and we could make
> a more informed decision about removing it.

It'd be great to go this way.  C-x v B is perhaps acceptable, but
lowcase b is much, much better.  Enough to sacrifice switching backends
for it IMO.

Filipp




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 21:49:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 17:49:23 2021
Received: from localhost ([127.0.0.1]:48559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYbGV-0006q0-Lg
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 17:49:23 -0400
Received: from mail-lf1-f49.google.com ([209.85.167.49]:39637)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mYbGO-0006ph-N9
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 17:49:22 -0400
Received: by mail-lf1-f49.google.com with SMTP id n8so28890740lfk.6
 for <50344 <at> debbugs.gnu.org>; Thu, 07 Oct 2021 14:49:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=7TQLutJpY6iW7HFf4UJqgLnnIYio3zsck9s/TcAWy+E=;
 b=MOVxkgeQ7l0AbCgEGUauWTFQJ8Otm54AlxkJiS2ojWHyDlRJiULrgzqDYpiy2hFNVV
 8cmMN/x+2ywBdRpxnsfjmB7yEDM93xkei2nWlesQL5W7hpUMszPWBl8WD9/U9wmV/JpB
 xwFd63ZYC6OQBGMPLMpp9VxllifPftqe/uv4vLyVRs+kL1sEnRdUd6Gb2LyS7QSLuFp1
 5gnKCBHwn57N56XgVi3eEHL+LpyvSV+kOItmPLzzcllaZXrATnmKKbbprNRzrTnIaIAX
 6e+9zVfEeh9KFKw1NLyNbUWISyl7P04tPhDrBeDvkeOktkZn5W0G2eKmmj+1fXWSWKvU
 b/ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=7TQLutJpY6iW7HFf4UJqgLnnIYio3zsck9s/TcAWy+E=;
 b=1sihbfLh5ur6kk6/d1QKbKzr4/QKgHcPv3CwkMXuRGgV/Dzf0ZosBVF49FSnRqGiMn
 klndRXsBAhgWNyqCoRoRqY0jeJgWeqxutmGxdNwzXLaeBO8h3yw4ih3SGt6m5vNMWnyv
 RnGZqOo+x83Uq2oct6OWOd4OAUatp/3VK97/MWghzhBdSVMEOawLsVqXaGxF712Ssau0
 Fnb35WEAOfUP29L4E5jP36XDyobQRUOpNaL1gbtxR6gUnRTaXbwH0YvgbRMUVaYun7jI
 JZWC3IErxuiRGVLDfAQ0zFvrRvxe5FlBDBKeO+syurW1c29MIgNrjo0ui7oT/KSeeqcz
 xPUg==
X-Gm-Message-State: AOAM532tgv2oj+YQXcfadWsMAMFJdn0sFgxKjnqPO6e7b8Tl0D8OBhbG
 MCWrsXd0VenYqhjoV9y3JA8=
X-Google-Smtp-Source: ABdhPJx4PtG3MVNw0DOVANFxmQr+BQLuId+JSBViIqIrppfg4kYdn6wVuYCAot4eqP9WxgtTXG5b0w==
X-Received: by 2002:a05:651c:228:: with SMTP id
 z8mr7180849ljn.429.1633643350338; 
 Thu, 07 Oct 2021 14:49:10 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id p18sm52609ljc.114.2021.10.07.14.49.09
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 07 Oct 2021 14:49:09 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Eli Zaretskii <eliz@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN> <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN> <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <ba726f6b-0f49-2c0c-a47e-03278054855c@HIDDEN>
Date: Fri, 8 Oct 2021 00:49:08 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <83v929ynpt.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 07.10.2021 16:21, Eli Zaretskii wrote:
> As I already said, I don't want to deprecate the binding if we are not
> deprecating the command which uses it.

You know what, let's deprecate the command.

This will give us a way to notify its users more prominently, and maybe 
hear back about their patterns.

In Emacs 29, we might as well un-deprecate the command itself but reuse 
its binding for the branch prefix. The deprecation will already have 
done its job. Or, alternatively, nobody will complain, and we could make 
a more informed decision about removing it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 18:26:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 14:26:00 2021
Received: from localhost ([127.0.0.1]:48423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYY5c-00086z-6W
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 14:26:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42924)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mYY5Z-00086k-Ht
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 14:25:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45156)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mYY5R-0000Hs-5D; Thu, 07 Oct 2021 14:25:46 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4994
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mYY5O-00012T-BP; Thu, 07 Oct 2021 14:25:44 -0400
Date: Thu, 07 Oct 2021 21:25:35 +0300
Message-Id: <83k0iozo80.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87o880u4ma.fsf@HIDDEN> (message from Juri Linkov on
 Thu, 07 Oct 2021 20:30:10 +0300)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <caafd0590f690f5bab34@HIDDEN> <837dep0zhv.fsf@HIDDEN>
 <87o880u4ma.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, gregory@HIDDEN, larsi@HIDDEN,
 dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Juri Linkov <juri@HIDDEN>
> Cc: Gregory Heytings <gregory@HIDDEN>,  50344 <at> debbugs.gnu.org,
>   larsi@HIDDEN,  dgutov@HIDDEN
> Date: Thu, 07 Oct 2021 20:30:10 +0300
> 
> > Frankly, I don't understand why "C-x v B" suddenly stopped being a
> > good candidate.  It was discussed at the beginning, but then was
> > suddenly dropped.  I think it will make a better choice than what you
> > propose above, because it's somewhat easier to type, especially on
> > non-US keyboards (I think).
> 
> Because for a few days I already tried to use 'C-x v B l' since
> I need to check the logs of other branches many times per day,
> and it was absolutely horrible experience — Shift+B is very
> hard to type because "B" is in the middle of the keyboard,
> and after I almost got RSI, I had to rebind it to `C-x v b l'
> for the relief.

I don't get any trouble pressing this sequence: since Ctrl is already
released, I have that finger to press Shift, which is near Ctrl.

But if most people have the same problematic experience as you did, I
guess we should try looking for another lower-case letter.  Only 13 of
the 26 possible are taken now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 18:23:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 14:23:00 2021
Received: from localhost ([127.0.0.1]:48419 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYY2k-00082Y-Cs
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 14:23:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mYY2Z-00082C-Ly
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 14:22:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45048)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mYY2T-0001yV-C3; Thu, 07 Oct 2021 14:22:41 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4810
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mYY2S-0000l4-2n; Thu, 07 Oct 2021 14:22:41 -0400
Date: Thu, 07 Oct 2021 21:22:33 +0300
Message-Id: <83lf34zod2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87fstcu48i.fsf@HIDDEN> (message from Juri Linkov on
 Thu, 07 Oct 2021 20:36:13 +0300)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN>
 <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN>
 <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN> <87fstcu48i.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: Dmitry Gutov <dgutov@HIDDEN>,  50344 <at> debbugs.gnu.org,  larsi@HIDDEN
> Date: Thu, 07 Oct 2021 20:36:13 +0300
> 
> >> Let's deprecate the binding in Emacs 28, so it can be used for branch 
> >> commands in Emacs 29.
> >
> > As I already said, I don't want to deprecate the binding if we are not
> > deprecating the command which uses it.
> 
> I don't understand how this is different from removing other keybindings
> such as recently removing the global binding 'M-o' ('facemenu-keymap'),
> etc.

It isn't.  But that even was enough pain for a single release, so I'd
like to avoid repeating it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 17:37:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 13:37:14 2021
Received: from localhost ([127.0.0.1]:48359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYXKU-0002X2-EO
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 13:37:14 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:50705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mYXKP-0002Wg-5K
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 13:37:13 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 9A40DE0003;
 Thu,  7 Oct 2021 17:37:01 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN>
 <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN>
 <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN>
Date: Thu, 07 Oct 2021 20:36:13 +0300
In-Reply-To: <83v929ynpt.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 07 Oct
 2021 16:21:50 +0300")
Message-ID: <87fstcu48i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Let's deprecate the binding in Emacs 28, so it can be used for branch 
>> commands in Emacs 29.
>
> As I already said, I don't want to deprecate the binding if we are not
> deprecating the command which uses it.

I don't understand how this is different from removing other keybindings
such as recently removing the global binding 'M-o' ('facemenu-keymap'),
etc.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 17:33:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 13:33:04 2021
Received: from localhost ([127.0.0.1]:48355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYXGR-0002Qs-UJ
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 13:33:04 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:54391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mYXGP-0002Q2-84
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 13:33:02 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id C858FFF803;
 Thu,  7 Oct 2021 17:32:52 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <caafd0590f690f5bab34@HIDDEN> <837dep0zhv.fsf@HIDDEN>
Date: Thu, 07 Oct 2021 20:30:10 +0300
In-Reply-To: <837dep0zhv.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 07 Oct
 2021 15:51:24 +0300")
Message-ID: <87o880u4ma.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>,
 larsi@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Frankly, I don't understand why "C-x v B" suddenly stopped being a
> good candidate.  It was discussed at the beginning, but then was
> suddenly dropped.  I think it will make a better choice than what you
> propose above, because it's somewhat easier to type, especially on
> non-US keyboards (I think).

Because for a few days I already tried to use 'C-x v B l' since
I need to check the logs of other branches many times per day,
and it was absolutely horrible experience — Shift+B is very
hard to type because "B" is in the middle of the keyboard,
and after I almost got RSI, I had to rebind it to `C-x v b l'
for the relief.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 17:33:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 13:33:00 2021
Received: from localhost ([127.0.0.1]:48351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYXGO-0002QE-NQ
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 13:33:00 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:56701)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mYXGL-0002Pv-BK
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 13:32:59 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id C58F0240005;
 Thu,  7 Oct 2021 17:32:48 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Filipp Gunbin <fgunbin@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
 <m24kajutb1.fsf@HIDDEN> <878rz72wqg.fsf@HIDDEN>
 <m2mtnlm288.fsf@HIDDEN>
Date: Thu, 07 Oct 2021 20:27:07 +0300
In-Reply-To: <m2mtnlm288.fsf@HIDDEN> (Filipp Gunbin's message of "Thu, 07
 Oct 2021 15:46:47 +0300")
Message-ID: <87mtnkvk5h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Thanks, two very minor doc comments:
>
>> +;;;###autoload
>> +(defun vc-retrieve-tag (dir name &optional branchp)
>>    "For each file in or below DIR, retrieve their tagged version NAME.
>>  NAME can name a branch, in which case this command will switch to the
>>  named branch in the directory DIR.
>> @@ -2375,15 +2413,21 @@ vc-retrieve-tag
>>               (read-directory-name "Directory: " default-directory nil t))))
>>       (list
>>        dir
>> -      (vc-read-revision (format-prompt "Tag name to retrieve" "latest revisions")
>> +      (vc-read-revision (format-prompt
>> +                         (if current-prefix-arg
>> +                             "Branch name to retrieve"
>> +                           "Tag name to retrieve")
>> +                         "latest revisions")
>
> Mention prefix arg in the docstring?

Thanks for noticing, will be added in the next version of the patch.

>> +(defun vc-switch-branch (dir name)
>> +  "Switch to the branch NAME in the directory DIR.
>> +If NAME is empty, it refers to the latest revisions of the current branch.
>> +Uses `vc-retrieve-tag' with the non-nil arg `branchp'."
>
> "latest revision" instead of plural?

This text was copied from vc-retrieve-tag, and Robert explained why
it's plural.  But since this phrase is too confusing, maybe it would be
possible to rephrase it with a better text?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 13:52:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 09:52:02 2021
Received: from localhost ([127.0.0.1]:46481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYToQ-0002bP-L1
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:52:02 -0400
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:41737)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fgunbin@HIDDEN>) id 1mYToN-0002bA-2G
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:51:53 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 13BAB3201BC8;
 Thu,  7 Oct 2021 09:51:45 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Thu, 07 Oct 2021 09:51:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.fm; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=GN7prMEo3Dg5evoDHT4mOt2l5r
 XKWbqvxdUbNj3XQzQ=; b=o6zY5AaahHo68orJjghEG2hp6EijCuG0rHXUd10wnv
 BJnDwey7aORQJ8S34unk13wH8J+yY0CMQamXmkzP+F8OdIyoV1jkhdP9jKJPY3l1
 Xz2KCj54LG7yAXMb6IgsTTjd1dsQi97XPvT9XHqKdDtzFa3sgdD8MLRFyL1F1Kdf
 ynxuaU5U2nK8DJ7HerwLtBgSvDxeollabbdsQ5S5k1F6vtmL9KK2SpXn+js+AeXb
 4OmJUSaUWl3THcrcKKovFjlbYAtpG8pX8K5ta44/E1v0xRpniBffPZfv4aUrY0qx
 5ey0JE1x0925Qmc3jLiB9H8JtvglaOtbx5JMuRtD0HSw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=GN7prM
 Eo3Dg5evoDHT4mOt2l5rXKWbqvxdUbNj3XQzQ=; b=Ilk41yzPY1vRBkAbMqzapY
 N+1aiyii4mz0FJBxnovSrAglNqxp40LYjtOzI5peztxr+lonwOJN3Cn5KwwOzQha
 FwbmgAXq5vz5eIvHTWfEqvzrzbjAMjCl9sGto7eXcdsv08V+fbAcJudQKmYYTDTF
 LzHSHfxZVZZUx902i4QTI0HRUM/CHEtuaPW3EOmUusDMN//5wFkXysxQL0taxW4X
 CBq6zaViaup5oOv3SeFEHaDG1v/+PVkGEf0D57LnWfC2DPfXkoWTWqGRo4jRFmb5
 S4UpplvMmbH4b3M7YquHR8/jMjp6UIMQZx4kkoe6icN7ibsZM2nHmG6g6q2SuFrA
 ==
X-ME-Sender: <xms:cPteYRSgv5r7ia_hI--2HIfuhdONTHav9P_BLfTv_F2pTWWn_1U9Hw>
 <xme:cPteYaw8zz_sTpdm09W-SZDdAb1nQqA6H0PjF2noovXK8Uwj34ggsjTp_E88sXrNj
 OeuTKsIGKwc2uko>
X-ME-Received: <xmr:cPteYW21r2mvLUwB4WPGYiTSPwZZEkdgYWBvBenO2pU5fTVcdlm57C5A1TqhTJC_rA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudelkedgieejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehttdertddtredtnecuhfhrohhmpefhihhlihhp
 phcuifhunhgsihhnuceofhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmheqnecuggftrf
 grthhtvghrnhepvdevkeffvdeuvefhuddtjeehkedvueefveettddtveduudfgieffieev
 ieevhfdtnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomh
 epfhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmh
X-ME-Proxy: <xmx:cPteYZCZL-g5dblqeCOBu3FYcjaZayABNytv8F5kVdcT0pkMfRp3Ug>
 <xmx:cPteYaiGP027zW7rlhYeAcYmHe4l4QuruFlWsV4kYwCh-Hl8MQwDHA>
 <xmx:cPteYdrhzUoPZMJ3-_ppuJqQeJPZbZQX3PSNfcAuzeNDbx0bcjApIQ>
 <xmx:cPteYSe55F35A7eO-j22UmFVDTRs3Fy4U2eeo3shdl8pR-HIMSPsog>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 7 Oct 2021 09:51:42 -0400 (EDT)
From: Filipp Gunbin <fgunbin@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <87fstdugid.fsf@HIDDEN> (Robert Pluim's message of "Thu, 07
 Oct 2021 15:11:06 +0200")
References: <87mtoux1ha.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN>
 <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN> <87fstdugid.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (darwin)
Date: Thu, 07 Oct 2021 16:51:41 +0300
Message-ID: <m2bl41lz82.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, juri@HIDDEN,
 larsi@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 07/10/2021 15:11 +0200, Robert Pluim wrote:

> I can see that we want to be careful about deprecation, but this
> command is *really* niche. How about we move it to C-x v B, and let
> Juri have C-x v b ?

+1




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 13:50:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 09:50:51 2021
Received: from localhost ([127.0.0.1]:46475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYTnP-0002Zd-9Z
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:50:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37966)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mYTnN-0002ZP-MR
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:50:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37668)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mYTnG-0006xN-Uc; Thu, 07 Oct 2021 09:50:44 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3930
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mYTmu-0005oo-KG; Thu, 07 Oct 2021 09:50:42 -0400
Date: Thu, 07 Oct 2021 16:50:18 +0300
Message-Id: <83pmshymed.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <41382153-55b6-1872-eaa9-3ed21b71b22b@HIDDEN> (message from
 Dmitry Gutov on Thu, 7 Oct 2021 16:26:06 +0300)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN> <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN> <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN> <41382153-55b6-1872-eaa9-3ed21b71b22b@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: juri@HIDDEN, 50344 <at> debbugs.gnu.org, larsi@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 7 Oct 2021 16:26:06 +0300
> 
> On 07.10.2021 16:21, Eli Zaretskii wrote:
> >> Cc:juri@HIDDEN,50344 <at> debbugs.gnu.org,larsi@HIDDEN
> >> From: Dmitry Gutov<dgutov@HIDDEN>
> >> Date: Thu, 7 Oct 2021 16:06:05 +0300
> >>
> >> Let's deprecate the binding in Emacs 28, so it can be used for branch
> >> commands in Emacs 29.
> > As I already said, I don't want to deprecate the binding if we are not
> > deprecating the command which uses it.
> 
> Why?
> 
> We have commands without bindings.

Because this command _has_ a binding, and had it since Emacs 21.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 13:26:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 09:26:28 2021
Received: from localhost ([127.0.0.1]:46403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYTPo-0001uS-87
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:26:28 -0400
Received: from mail-lf1-f52.google.com ([209.85.167.52]:39536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mYTPc-0001u6-7E
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:26:26 -0400
Received: by mail-lf1-f52.google.com with SMTP id n8so23841851lfk.6
 for <50344 <at> debbugs.gnu.org>; Thu, 07 Oct 2021 06:26:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=4IkYpVTADkFWCqgDpwo4VVxlWq6ALd9vsq7XC2nkf4E=;
 b=owXOYjDsAQxQ0CQFvRAXk7W8nozHepjSpdGNkj4FBba3kXTjI82s2SeWLsXMpv0xRR
 h6ArYKMnVjrebdg3VIFDQkLzu88h7aZVH44MXocBqnwQ/pxWSpohSdkpw89FwPd327Ai
 7OLWNL6vRFPGgg7qTv4pkwnambhlBm21hZTQutu3GHmr/1omGkXvb1PWAGj69ieyFCM+
 bG4qCmqknu7YefVRZopoEoF+C0PIL2x8NjQmC1BMZMOrmLUAEF4a4vQ8mgsXvIaFswP+
 AIwPdkH99NUGd3Y3OjIZZ3pbXBa/teiLa7ENjPu2IHV4R+A66K7O6NGnEwWRSY6S6yB5
 k5Vw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=4IkYpVTADkFWCqgDpwo4VVxlWq6ALd9vsq7XC2nkf4E=;
 b=b9Ef0KCb679qp8igO6cfuVB7eR4au+q8+O5PYSLwI+H97MfaUuQcUMk3vulNnK2zh+
 o0p3O5UPNKxTF3QgoH2iW3lLrTO1QJ3Fc6GffLU2ZKWxeFxN+mgA0ttxENn6AHZYdEqu
 BMp8D+8EtmNAQ/lW/v2XlL6zi2zj1/WPaTqUn1NGwL17JYcqdITIkcm7cQ/MI5LlqrkR
 r4rJMEOf8M6vSmcaUyYpktDivwX5h2OVi1/5rX6YWo2n1TrGV59iiDy4d1CHe+j0v+Nd
 HVEJFxUse73UqIvZMwUVyVDh7BmIkQSTpAAAMyuXozyg8+zXPAzVKbaOl680J8v4PoVY
 wNQw==
X-Gm-Message-State: AOAM533W5LWpUYa1jD5yaULEmh9bHiczHDgdzXFENo8bMepgKohAAhle
 /gekhmQvQEIMWUwM11U9vFo=
X-Google-Smtp-Source: ABdhPJz5JQhEqnvvQjSs4Ul/UGvOg/pNTdST6tWbqLKuIyI42cwNSObcC1nFF5F00MNO4kRsyGuPTA==
X-Received: by 2002:ac2:58d8:: with SMTP id u24mr4274250lfo.238.1633613168108; 
 Thu, 07 Oct 2021 06:26:08 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id b15sm2833491lji.126.2021.10.07.06.26.07
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 07 Oct 2021 06:26:07 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Eli Zaretskii <eliz@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN> <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN> <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
 <83v929ynpt.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <41382153-55b6-1872-eaa9-3ed21b71b22b@HIDDEN>
Date: Thu, 7 Oct 2021 16:26:06 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <83v929ynpt.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 07.10.2021 16:21,
 Eli Zaretskii wrote: >> Cc:juri@HIDDEN, 50344 <at> debbugs.gnu.org,
 larsi@HIDDEN
 >> From: Dmitry Gutov >> Date: Thu, 7 Oct 2021 16:06:05 +0300 >> >> Let's
 deprecate the binding in [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.52 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.52 listed in wl.mailspike.net]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dgutov[at]yandex.ru)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 07.10.2021 16:21, Eli Zaretskii wrote:
>> Cc:juri@HIDDEN,50344 <at> debbugs.gnu.org,larsi@HIDDEN
>> From: Dmitry Gutov<dgutov@HIDDEN>
>> Date: Thu, 7 Oct 2021 16:06:05 +0300
>>
>> Let's deprecate the binding in Emacs 28, so it can be used for branch
>> commands in Emacs 29.
> As I already said, I don't want to deprecate the binding if we are not
> deprecating the command which uses it.

Why?

We have commands without bindings.

We didn't deprecate 'xref-quit-and-goto-xref' either.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 13:22:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 09:22:02 2021
Received: from localhost ([127.0.0.1]:46397 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYTLW-0001nV-Lv
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:22:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mYTLT-0001mu-VU
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:22:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36364)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mYTLN-0005Z8-6R; Thu, 07 Oct 2021 09:21:53 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2198
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mYTLM-0000W7-OW; Thu, 07 Oct 2021 09:21:53 -0400
Date: Thu, 07 Oct 2021 16:21:50 +0300
Message-Id: <83v929ynpt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN> (message from
 Dmitry Gutov on Thu, 7 Oct 2021 16:06:05 +0300)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN> <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN> <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: juri@HIDDEN, 50344 <at> debbugs.gnu.org, larsi@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 7 Oct 2021 16:06:05 +0300
> 
> Let's deprecate the binding in Emacs 28, so it can be used for branch 
> commands in Emacs 29.

As I already said, I don't want to deprecate the binding if we are not
deprecating the command which uses it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 13:11:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 09:11:41 2021
Received: from localhost ([127.0.0.1]:46382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYTBV-0001VB-A2
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:11:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mYTBU-0001Uz-2W
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:11:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36130)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mYTBO-0004DB-Fa; Thu, 07 Oct 2021 09:11:34 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1554
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mYTBO-00088q-2I; Thu, 07 Oct 2021 09:11:34 -0400
Date: Thu, 07 Oct 2021 16:11:28 +0300
Message-Id: <83zgrlyo73.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <044b4d98-02e6-e053-f3b0-5ceb76fdafc6@HIDDEN> (message from
 Dmitry Gutov on Thu, 7 Oct 2021 14:35:06 +0300)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <caafd0590f690f5bab34@HIDDEN>
 <a1a00c36-dfc3-c6f8-2857-a0af2eac5b31@HIDDEN>
 <caafd0590f58db391efc@HIDDEN>
 <044b4d98-02e6-e053-f3b0-5ceb76fdafc6@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, gregory@HIDDEN, larsi@HIDDEN,
 juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 7 Oct 2021 14:35:06 +0300
> Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, Juri Linkov <juri@HIDDEN>
> 
> It doesn't really make sense to move the branch commands to 'C-x v <' 
> while vc-dir-mode-map has branch commands on 'C-x v B'. We should make 
> the UI more uniform, not create more exceptions.

I agree, but then why not use "C-x v B", as was discussed originally?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 13:11:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 09:11:15 2021
Received: from localhost ([127.0.0.1]:46379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYTB5-0001UY-1T
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:11:15 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:42902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1mYTB3-0001UJ-LX
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:11:14 -0400
Received: by mail-wr1-f54.google.com with SMTP id v17so18931160wrv.9
 for <50344 <at> debbugs.gnu.org>; Thu, 07 Oct 2021 06:11:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-transfer-encoding;
 bh=89kR40I/r+qy/iA6UpUbrWklg8cCcWgWmwVPF6aBcnQ=;
 b=LZa3SR1tSlx3y4xcQI9QGuZXQb5scfltHyWtoPDEeqdpxx8ADd9myRiRV3+dFHWwMu
 EQWrWkYhht7ZMGEi8MHKshp9z8rGEcqBHFlVlWPkiSMwsnNd7lkPPXxRBdlBeVKUKmtb
 KG8/4Yk7wNOMlZPBfxxTfVt17017s6kAKUO+yc9juImQDi2x9lhZsloLeh4CeJksVydA
 mk/aqKuGSExNVA8jXPJPSxjPur2OBTXe3vd3rc5tTyewE28lZ9ojTviRN5NwQIMhRoeo
 jjfLXsuHPEpH0rJdXqrSUfo2S6v68LF036v1HL2SGf7Qv0oprdNhOiibwnMhU/vt4fk+
 5DLg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=89kR40I/r+qy/iA6UpUbrWklg8cCcWgWmwVPF6aBcnQ=;
 b=BRJgMZJCkqYl7D04VrMtJCrKZgwDMU0gIlGLzE1uu3uBhhJSAW5lkMSvTpIqroFzHq
 8qH5LzBNWzGQA5tK2VQUGXvqBQCB0p5m5iFEy8z7z5GEbxpczfIwRK3H9+SSB/+cjP8V
 arVxDE5KrjUJ2B/RRLxfx3fN7pFNS2L1emqxf2Upakg/OtOiygxs6KOKFcvV2YEWMZ3z
 WKOdy/WswYTq1m6f8L138exT8MaMcomM5vP6fqifCt2zwnkDJDeuWYLwSG0b0mFE7X20
 cm7I2hlDzeQcSQU1NcZexDdp7u0FkefSQ0qi0boxgvSuEWfPXjTXg+CicT7RQ4XtJFBs
 pc/w==
X-Gm-Message-State: AOAM5315INkCxSvauVhrdl5XYKiepSm5sFJpyFp4JDWDhmHUR4J4hbFP
 Mccj1hQU1M7HJbTVWqYkg7I=
X-Google-Smtp-Source: ABdhPJygTUJLa559hd+IsZCffq+eANT+aBKB497X7ABPqyJN1/TQ/YLGT4FGL9Ch6eq024zVEyt9RQ==
X-Received: by 2002:adf:e0c1:: with SMTP id m1mr5439468wri.241.1633612267629; 
 Thu, 07 Oct 2021 06:11:07 -0700 (PDT)
Received: from rltb ([82.66.8.55])
 by smtp.gmail.com with ESMTPSA id n66sm8979127wmn.2.2021.10.07.06.11.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 07 Oct 2021 06:11:07 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN> <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN>
 <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN>
Date: Thu, 07 Oct 2021 15:11:06 +0200
In-Reply-To: <834k9t0z9d.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 07 Oct
 2021 15:56:30 +0300")
Message-ID: <87fstdugid.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 07 Oct 2021 15:56:30 +0300, Eli Zaretskii <eliz@HIDDEN> said:

    Eli> That's the same as "no one", for the purposes of this discussion.

    >> Would you still deprecate it, with intent to remove? Or would you st=
ill=20
    >> keep the binding?

    Eli> I didn't say I was against deprecating the command.  I said
    Eli> deprecating it is the only way to eventually usurp its key binding.

- it=CA=BCs undocumented except in NEWS.21
- the workflow it=CA=BCs intended for requires you to use the
  (undocumented) prefix arg to 'vc-next-action'
- and that workflow is something that I very much doubt anybody still
  uses (temporarily using RCS for CVS controlled files? Just use git,
  or hg or anything from the last 20 years)

    Eli> But deprecation will take time, and I was under the impression that
    Eli> Juri wanted the VC branch commands to have the binding NOW.

I can see that we want to be careful about deprecation, but this
command is *really* niche. How about we move it to C-x v B, and let
Juri have C-x v b ?

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 13:06:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 09:06:14 2021
Received: from localhost ([127.0.0.1]:46367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYT6E-0001MX-Bn
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:06:14 -0400
Received: from mail-lf1-f52.google.com ([209.85.167.52]:45862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mYT6C-0001MK-Gp
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 09:06:12 -0400
Received: by mail-lf1-f52.google.com with SMTP id u18so24388276lfd.12
 for <50344 <at> debbugs.gnu.org>; Thu, 07 Oct 2021 06:06:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=Ig1gmNmcsKGJJub5Dxqov3Gff8V5DTqibHTVaWW5iMc=;
 b=mRaBcHqm1sX9yk7imDWs7P2e3Yvje7o8pdQRAFo3z35VhQoZWFq6tsj0NPJSg1sM4/
 ofVM/bdcbKOd52XgkFXy0YY8379z7SJVBtP+fCkWP5CRVg0cxcscw8Yb83jOL74Bi6Qs
 lGzjEcoC2TaettF9dITzAUFyR0H7E9F/4bh8rgUJJDin+YzsVloSHPMnPOK9tZqvykqN
 rM26OGIGXuYvLldqxx3qG+d90JgskwE750lga386rOkttAeUV5rYsYkNTrD51mWgP5ye
 HHVcSGjEWkVlmU6l+56E4K5PsBBE/KylxsBh8cSeDAxMS+qQAU/uIH9iPdlRjLsq41nM
 /Akg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=Ig1gmNmcsKGJJub5Dxqov3Gff8V5DTqibHTVaWW5iMc=;
 b=gq4bVZaY01OEOu8FWTSgxp4fNmuAz5Z6zacbSAq8EdcZeUdAzq10ZXxwSUZthKfoLZ
 +Lg2tBY/Nu+/tkUmlz4BN2EnCLPW1lSfcnihZZgQQkq6nyYW/GSAVdZJADYUlWbaMJ14
 XY+7kHo+o26Re+McnyBX1eS/FoVzwuiljBratMdHQObiPiMDzHwLkvk7iCjtjjCXIm1p
 /OFKJQJNfAOsLmnfp7e2vnmzbB4s01Qw3d6K7HhE6/FjOHShZeHJnwAasmKqKKQY2FXy
 sjHMo6uXn9QLTaNouSoQI5eA8GLxUSryx/t9Mlz2DvgZuYAYXTqIKrSi5lViwlUjppOw
 3rgw==
X-Gm-Message-State: AOAM5310JB5mog+hY4SdA8rTvDeRbcG5rD0XCTL/9E6IEMvbfUyq41DZ
 XKe3gse5Zy5G4wTbikUlG3c=
X-Google-Smtp-Source: ABdhPJw5zu/CJl7gKrj/D5QEDSpk07gNzMWEqOTdEuuO5EsB+bWCzmpiGkK6wuHzm+Phlr6AJCpJhg==
X-Received: by 2002:a2e:9e94:: with SMTP id f20mr4128166ljk.189.1633611966449; 
 Thu, 07 Oct 2021 06:06:06 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id l26sm2544701lfh.247.2021.10.07.06.06.05
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 07 Oct 2021 06:06:06 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Eli Zaretskii <eliz@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN> <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
 <834k9t0z9d.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <d2beec90-5731-5e12-0b20-db4ca2425f53@HIDDEN>
Date: Thu, 7 Oct 2021 16:06:05 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <834k9t0z9d.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 07.10.2021 15:56, Eli Zaretskii wrote: >> What if 2 people
 total, out of all users, were using this command? > > That's the same as
 "no one", for the purposes of this discussion. If the command is still useful
 to a handful of people (some subset of CVS/RSC users, apparently), and it
 doesn't take effort to maintain it, it doesn't seem helpful to deprecate
 it. Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (raaahh[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.52 listed in list.dnswl.org]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.52 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 07.10.2021 15:56, Eli Zaretskii wrote:

>> What if 2 people total, out of all users, were using this command?
> 
> That's the same as "no one", for the purposes of this discussion.

If the command is still useful to a handful of people (some subset of 
CVS/RSC users, apparently), and it doesn't take effort to maintain it, 
it doesn't seem helpful to deprecate it.

Unlike the key binding.

>> Would you still deprecate it, with intent to remove? Or would you still
>> keep the binding?
> 
> I didn't say I was against deprecating the command.  I said
> deprecating it is the only way to eventually usurp its key binding.

And I questioned this statement.

> But deprecation will take time, and I was under the impression that
> Juri wanted the VC branch commands to have the binding NOW.

As Juri said, the new branch commands are not ready yet.

His patch was to prepare the users to this prefix being used for branch 
commands in the next Emacs version. You didn't like the proposed method, 
that's okay.

Let's deprecate the binding in Emacs 28, so it can be used for branch 
commands in Emacs 29.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 12:56:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 08:56:46 2021
Received: from localhost ([127.0.0.1]:46318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYSx3-00013F-R5
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:56:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mYSwy-00012y-JA
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:56:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35492)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mYSws-0002eQ-Uk; Thu, 07 Oct 2021 08:56:34 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4599
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mYSwr-0000yZ-40; Thu, 07 Oct 2021 08:56:34 -0400
Date: Thu, 07 Oct 2021 15:56:30 +0300
Message-Id: <834k9t0z9d.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN> (message from
 Dmitry Gutov on Thu, 7 Oct 2021 14:12:06 +0300)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN> <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN
> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 7 Oct 2021 14:12:06 +0300
> 
> >> Sorry, I see no connection: why changing key bindings requires
> >> deprecating the command?
> > 
> > Because people will expect the old binding to work as long as the
> > command is useful.
> 
> They shouldn't: we have a lot of commands without dedicated bindings.
> 
> This command will retain some marginal utility, for some users out there 
> (though I don't know who or why), so removing it doesn't make sense.
> 
> But its utility is incommeasurable with the binding it's taking up.
> 
> Let's announce in Emacs 28's NEWS that we intend to remove (or take 
> away) the binding 'C-x v b'. Just like we did with the TAB binding in 
> *xref* buffers.
> 
> >>> It was then, but it can be used today with other backends.
> >>
> >> What backends do you switch with 'C-x v b' today?
> > 
> > You mean, I personally?  Why is that relevant?  If you want to say
> > that no one uses this command anymore, then that points to deprecating
> > the command, and when it's obsolete for long enough time (at least one
> > major release, IMO), we can remove its binding.
> 
> "No one" is a very strong criterion.
> 
> What if 2 people total, out of all users, were using this command?

That's the same as "no one", for the purposes of this discussion.

> Would you still deprecate it, with intent to remove? Or would you still 
> keep the binding?

I didn't say I was against deprecating the command.  I said
deprecating it is the only way to eventually usurp its key binding.

But deprecation will take time, and I was under the impression that
Juri wanted the VC branch commands to have the binding NOW.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 12:55:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 08:55:24 2021
Received: from localhost ([127.0.0.1]:46314 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYSvk-000112-E6
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:55:24 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:38638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1mYSvi-00010n-JC
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:55:22 -0400
Received: by mail-wr1-f54.google.com with SMTP id u18so18834034wrg.5
 for <50344 <at> debbugs.gnu.org>; Thu, 07 Oct 2021 05:55:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=X8T650flrMgFgvhrP3Fik36VjUhtcFC4v1VXeeEt3hM=;
 b=mH+sz7GwxrLH5Ph9M5E0qkFQu0ulNEca/1AFEeSkwdWa+6zDZ+xvbrO32XdVlJU4oE
 onb913QmIn/gSpUvM+wU3qxz3tIb/lOyxfjAYZDMXWYGVPswZ2kxjotocxX2Iqd0r2oj
 XzTgLZ44mqbRql9FEfZlon4eSui7QImBo+3qIYZ0WZDvnChAOkj+ehFSEZSln3WcmikK
 opYc5ZwaYunH3Kfc13p0oWVaH9skKAF3nm9hpTNOKhxqogTeX6mQIWqPtGZhFy3Avxrv
 gStyjDODkUEJ9IifZtvTgGfvDsHMvaOg+z6k9kJ3rqTeHuErfWXm2ma6VQPyxuO7tK1r
 8cdw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=X8T650flrMgFgvhrP3Fik36VjUhtcFC4v1VXeeEt3hM=;
 b=sLCiK5nP2a2+05epFyq7jpE3kryA3NxTXQtLUOqBbwYJyjif7vHezwPX364KA7xxfa
 kdEqrhZ4Ip0wNV63Do7O1s9WVKxKNRyx6J98rj2gP6IPxOR43mt3lWX7q8RloH7nbGag
 /+9Bjo1hRRPmI9GxO8t6fyuZ766h2UNFUoO05N7uddNT4YQ4ZV0ZBcgxXNcORFH6N/jS
 q4dbPo0zg+Hl7eSyRjdPy28UnxyFjMYCRt2bSY2BIBMeA8qR5zD+xLbU8UuM1LC0sn25
 jlCjH1PdP5nYwIpm6Gf6YNaE8aXFli7x2G6Ia5nuCUTHMRe2R9yDv4w3zkH098HBHVz2
 FHgQ==
X-Gm-Message-State: AOAM5319+Fv1XqyUxui2NIDfc73dBonje7HwGFv+M7730OPDb/y9j9N7
 9/C6KRKcE80Zq5s7coss/zw=
X-Google-Smtp-Source: ABdhPJy3EzgzHGeJYihzifmYxGLSPd3VTbO6uMoPHOH+6DUWq7j11jgxzmMaL07Jsj7cyxdp3Bv+5A==
X-Received: by 2002:adf:9cd2:: with SMTP id h18mr5342126wre.258.1633611316721; 
 Thu, 07 Oct 2021 05:55:16 -0700 (PDT)
Received: from rltb ([82.66.8.55])
 by smtp.gmail.com with ESMTPSA id t11sm23786388wrz.65.2021.10.07.05.55.15
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 07 Oct 2021 05:55:16 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Filipp Gunbin <fgunbin@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
 <m24kajutb1.fsf@HIDDEN> <878rz72wqg.fsf@HIDDEN>
 <m2mtnlm288.fsf@HIDDEN>
Date: Thu, 07 Oct 2021 14:55:15 +0200
In-Reply-To: <m2mtnlm288.fsf@HIDDEN> (Filipp Gunbin's message of "Thu, 07
 Oct 2021 15:46:47 +0300")
Message-ID: <87k0ipuh8s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 07 Oct 2021 15:46:47 +0300, Filipp Gunbin <fgunbin@HIDDEN> said:

    >> +(defun vc-switch-branch (dir name)
    >> +  "Switch to the branch NAME in the directory DIR.
    >> +If NAME is empty, it refers to the latest revisions of the current branch.
    >> +Uses `vc-retrieve-tag' with the non-nil arg `branchp'."

    Filipp> "latest revision" instead of plural?

Some version control systems have branches, but also have per-file
revisions.

Robert
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 12:53:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 08:53:38 2021
Received: from localhost ([127.0.0.1]:46309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYSu2-0000y7-1p
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:53:38 -0400
Received: from mail-lf1-f50.google.com ([209.85.167.50]:39736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mYSty-0000xq-LU
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:53:37 -0400
Received: by mail-lf1-f50.google.com with SMTP id n8so23497194lfk.6
 for <50344 <at> debbugs.gnu.org>; Thu, 07 Oct 2021 05:53:34 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=uDRY4zZuZLc+FZ9Q2xw14jAawBRFoNP4504F6/HaZHw=;
 b=BBOIOfXVvuc4jLxqTXSCdJ6j3zEkVbabsVs71LdnYMltr8q2LrApKUi+W4CLJKB4x8
 mHj1sEXzKaJGLLaSXmiwjM37MzH6HV2BnWbEXIx+regQ5tItux0o2wq/ds/S34W6F72d
 /ORgHG6aElFh/+Wf9gpP2HqAPSWZbCBhIq0KLxo9wet4T9rnKpK9RBhuifbK00S8E+UK
 SVs5z2nrTs4L9dfpL2H+LfB1TodQ9zWgmjISAdKMxeJ11tvG0Oxz3LmHswSEP4dD8vvc
 qH3amMtYNPmrdG/x/ExfTG4p0PqP4icscWJuk2+McvIq+4XH3Y9g5rBtLV84cMJP03IB
 1KPw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=uDRY4zZuZLc+FZ9Q2xw14jAawBRFoNP4504F6/HaZHw=;
 b=Q+DdOy/SAsFMVjiLIY2WMqkBxnfFGyevNUSio7hFLmh953BOyfiA1kb5jAtAvG2x4h
 fQAZUa/sNDynGjHjH8lngT3OrDPOu05NUAIj7WFd/Ac9Bdf1lpNIOgmzq/N2fkaFzNIO
 1wY62VMgX6i3ZPkVNphQ6jJVQ6IYDc8KMVc10H1h1+YWnKvDLV/A+TQO9TIloZhZnCVl
 iWY2iEpWJ+uy0V0bcIaq3lj0z1JhnlTJ0nbDLy8owI5agNgMsHWqCT5GparCLhJ5+NJv
 l/6QI189s3AuFvRmCyVyCwu3tzygOIhBbeQA18+lWuhcweiuC957Ey+ca8VTdyKhrsJ3
 +zZQ==
X-Gm-Message-State: AOAM532753ioDLP3Qq3+9nE4wtbVZVGSN63QYOYXzkTpAhX8gaS7HJ+q
 /gKIgZL2ox5bAAmlR3F+2JM=
X-Google-Smtp-Source: ABdhPJziiVhpWJ0XNztkmhRZcIJQ53csZX93VezqMCdmEJo7yCQ2a3muwqJNYxqnk19o1ZCWOxBIWA==
X-Received: by 2002:a2e:585a:: with SMTP id x26mr4354786ljd.257.1633611203226; 
 Thu, 07 Oct 2021 05:53:23 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id h22sm1582400lfg.220.2021.10.07.05.53.21
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 07 Oct 2021 05:53:22 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Filipp Gunbin <fgunbin@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <caafd0590f690f5bab34@HIDDEN>
 <a1a00c36-dfc3-c6f8-2857-a0af2eac5b31@HIDDEN>
 <caafd0590f58db391efc@HIDDEN>
 <044b4d98-02e6-e053-f3b0-5ceb76fdafc6@HIDDEN> <m2r1cxm2eq.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <e7abc31c-0bea-fe7f-0ff3-d843908aa66d@HIDDEN>
Date: Thu, 7 Oct 2021 15:53:21 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <m2r1cxm2eq.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 07.10.2021 15:42, Filipp Gunbin wrote: > Maybe I missing
 something, but why can't we assign branch commands to > the C-x v B prefix?
 Yeah,
 we could. But when someone else comes along and asks why we have everybody
 pressing Shift every time they need to do something with a branch, I won't
 have a good answer. 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.50 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dgutov[at]yandex.ru)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.50 listed in wl.mailspike.net]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>,
 larsi@HIDDEN, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 07.10.2021 15:42, Filipp Gunbin wrote:
> Maybe I missing something, but why can't we assign branch commands to
> the C-x v B prefix?

Yeah, we could.

But when someone else comes along and asks why we have everybody 
pressing Shift every time they need to do something with a branch, I 
won't have a good answer.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 12:51:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 08:51:41 2021
Received: from localhost ([127.0.0.1]:46302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYSs9-0000us-ET
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:51:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mYSs4-0000ua-C0
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:51:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35300)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mYSrx-00065n-Q5; Thu, 07 Oct 2021 08:51:29 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4283
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mYSrx-0000QQ-D6; Thu, 07 Oct 2021 08:51:29 -0400
Date: Thu, 07 Oct 2021 15:51:24 +0300
Message-Id: <837dep0zhv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <caafd0590f690f5bab34@HIDDEN> (message from Gregory
 Heytings on Thu, 07 Oct 2021 09:57:24 +0000)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <caafd0590f690f5bab34@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, dgutov@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 07 Oct 2021 09:57:24 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: Eli Zaretskii <eliz@HIDDEN>, 50344 <at> debbugs.gnu.org, larsi@HIDDEN, 
>     dgutov@HIDDEN
> 
> If C-x v b isn't available anymore, perhaps C-x v < or ^ would be a good 
> alternative?

Frankly, I don't understand why "C-x v B" suddenly stopped being a
good candidate.  It was discussed at the beginning, but then was
suddenly dropped.  I think it will make a better choice than what you
propose above, because it's somewhat easier to type, especially on
non-US keyboards (I think).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 12:46:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 08:46:59 2021
Received: from localhost ([127.0.0.1]:46298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYSna-0000ls-Qu
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:46:59 -0400
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:52685)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fgunbin@HIDDEN>) id 1mYSnY-0000ld-C0
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:46:57 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id A0CC9320077A;
 Thu,  7 Oct 2021 08:46:50 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Thu, 07 Oct 2021 08:46:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.fm; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=SVpZsOXlEaqJDl0i0z1JtS7RO3
 jZa7SmW2my6M+4OBg=; b=lbCH6daVOFFuW+m4ly7zoDAPUx/fHAqpJsl74kl5/Q
 hNVbGR6InoTUzEIbGj4IrCpjldW4spbEVBIMELgHIVyY+DR9o/QicrN63451pL+I
 jewJd5b6g6q1tiWWwEUUE4F5IrS57XOp7ImLjryXCCeP8uXyXMNuMdG0nuLDU3th
 X0mVxF3TE5uvNE5+wogbeaLoIMqxmu9PDXdaJSGVmT5M0Gar11WUr7a5PuEhhEz9
 yiJHWJOXSjF5CA9NIySEZ2G4B2v/NOMnCWhuyyuzH5c5BQv9IQVeEqNIADfodv4Q
 tjblsDDjKfUFT8n4SwkDOmQtPzIOysL0iTEE7827wDFA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=SVpZsO
 XlEaqJDl0i0z1JtS7RO3jZa7SmW2my6M+4OBg=; b=I8Kd+d6RI5aSZaNoW30i9Z
 L9uhDEMaRtTvWNZx4PtbISccLAb8dhPHbigWpnl1iKYWBYEY3mDahSSHWDOiZVr+
 u8I2w5vPpuHrjQ70Abl7ERZP+CZUJL+X1O6UsHOdR/gqzan1Fek+rT2Z0M9vV6z7
 tcpqiSc9otkNiSQtALMbS/MBbNfET5wSyax2UZ9rex65f2+jn6RgxuerhwaDEEoR
 tdKj8fGdPwR7A9qAqkh3g0c0fUrgSx99/+iFPadfixG+7ffNihZtSqJv9KL17+e7
 +N9sF8sRJxOUaovfhIuFq6MIW0vdBsxiXnHdV3LOgoG/z8GXbG6kgRZGRdnOqh1A
 ==
X-ME-Sender: <xms:OuxeYZTDDk7_cXQ3zXKurSR1FSNwCysbGCo2ZT8NzcnZvMN6tk8Ycw>
 <xme:OuxeYSxaZmwk9xEW3v0Vt5QDohkjsEfPskM11lXmmiZ-v2vEnkcq4LL8-xdfJScaB
 mXGDA4ThqqUgzN0>
X-ME-Received: <xmr:OuxeYe1EiFyXKcO4PnFYZ_uD2T1b2-UKH09NTChwiWlC0PLO9g2H29r-Mm5x4Vt6yQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudelkedgheegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehttdertddtredtnecuhfhrohhmpefhihhlihhp
 phcuifhunhgsihhnuceofhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmheqnecuggftrf
 grthhtvghrnhepvdevkeffvdeuvefhuddtjeehkedvueefveettddtveduudfgieffieev
 ieevhfdtnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomh
 epfhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmh
X-ME-Proxy: <xmx:OuxeYRCzUSnTxHvWZvoDb8L39RNr_KS4CrSVC_ZD1vEPIw4D1g_qmQ>
 <xmx:OuxeYShirS1ozaXYrQ2T9QojQNcz57BPeayAccA855db0BtzDTZeCA>
 <xmx:OuxeYVpXyea3AIsjj3XdpRC5dqlp8vzmeEIoZdfo4KTiKLU-3q--YQ>
 <xmx:OuxeYVuM41enPqUAFnRkldGfsRWQIZOuv6oF9t8U1Q4grYUkUiJ5TA>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 7 Oct 2021 08:46:49 -0400 (EDT)
From: Filipp Gunbin <fgunbin@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <878rz72wqg.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 05 Oct 2021 20:43:35 +0300")
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
 <m24kajutb1.fsf@HIDDEN> <878rz72wqg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (darwin)
Date: Thu, 07 Oct 2021 15:46:47 +0300
Message-ID: <m2mtnlm288.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Thanks, two very minor doc comments:

> +;;;###autoload
> +(defun vc-retrieve-tag (dir name &optional branchp)
>    "For each file in or below DIR, retrieve their tagged version NAME.
>  NAME can name a branch, in which case this command will switch to the
>  named branch in the directory DIR.
> @@ -2375,15 +2413,21 @@ vc-retrieve-tag
>               (read-directory-name "Directory: " default-directory nil t))))
>       (list
>        dir
> -      (vc-read-revision (format-prompt "Tag name to retrieve" "latest revisions")
> +      (vc-read-revision (format-prompt
> +                         (if current-prefix-arg
> +                             "Branch name to retrieve"
> +                           "Tag name to retrieve")
> +                         "latest revisions")

Mention prefix arg in the docstring?

> +(defun vc-switch-branch (dir name)
> +  "Switch to the branch NAME in the directory DIR.
> +If NAME is empty, it refers to the latest revisions of the current branch.
> +Uses `vc-retrieve-tag' with the non-nil arg `branchp'."

"latest revision" instead of plural?

Filipp.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 12:43:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 08:43:06 2021
Received: from localhost ([127.0.0.1]:46287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYSjp-0000f0-Pv
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:43:05 -0400
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:55025)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fgunbin@HIDDEN>) id 1mYSjn-0000eW-RV
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:43:04 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 99D5F3200EE0;
 Thu,  7 Oct 2021 08:42:57 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Thu, 07 Oct 2021 08:42:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.fm; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type:content-transfer-encoding; s=fm1; bh=
 0lTYOw3KT75Kb5u98tbZ7Qg9t2IGcf+/fX5iq5Iex+w=; b=m9dyO5WXaqOC1qgi
 cIJjRvkibQZFaq+TEa1wpmte6rKWm1H6Y+UHAkMrWz4oqzWbLWCzKrGddMI4jGwq
 uVhLSx/zFOsFb3UCb8HEkhxyJAAEE/gjbUHVJf1gdk29hs7kHxVjnJsVJ7BD+eCw
 2hPe6jH9bftjQrGGmP5bp9Ypw5JtUGVH5+a8i5NHALkIIqhNsr5x17IH6UWU2HSE
 rxvqywQBDfP2l1ChT6uY/Kbt4gfT3cDdAbVl6DKH8DsDQ0dMQuD5zs1SW0gybwEp
 +ZvrJrOnaH+0uLDVeN8R6HvaGOOoMALzlarFjdossAGa1S9aPRVXrGP3EMw+/7tq
 /AC7rw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm1; bh=0lTYOw3KT75Kb5u98tbZ7Qg9t2IGcf+/fX5iq5Iex
 +w=; b=O7fARWXesN5NmQ2UBC9kJZXqcKlBH0lbsjramVMvvO3iNs7iIkHBCr/18
 rchXuvrSHWXJnDrQ4+RQvidb8RPyfOjEveH0vXMFNnVtcmznKoBlpEkAHzT6dnIa
 TGPA0vdIGK9xGar1aNS196Ju4ciwFIWQ7I7+fTx6ZRQ7QivtD5ZbDTpdacCKnpVO
 9hxhOfIh7sZxsR3KcEegjzUC1rGWg5ypBRy2dFe+boWo8lw9GfSVVPARwb1rKYKA
 wiBp2Hlxt6WVaFye5DK0zKyA1qpXYeWsUBV32kRGXlg8YUxoUYBlfsJPSU3686YS
 7Po9OFHcsdq5JN6aoRVEKP7H2p1EA==
X-ME-Sender: <xms:UOteYbmwZJ6gmXOGg7skYqlnNi9KfLHwGGCbHzdLW0xz4R5jU_BxTQ>
 <xme:UOteYe2QJ4iuHuA90R6T8ktf8HNSvOswbepiasIkPaWxoqkFpo0wX-VtkxvBGTBG0
 cLtqxTBBj65VHMt>
X-ME-Received: <xmr:UOteYRr76Zz4q_hlNAWtwuUEj4UodRc_r9WHSgHmFqJzw_fmt7Yw5xqwJw0rlv0kCA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudelkedgheegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtgfesthhqredttderjeenucfhrhhomhephfhilhhi
 phhpucfiuhhnsghinhcuoehfghhunhgsihhnsehfrghsthhmrghilhdrfhhmqeenucggtf
 frrghtthgvrhhnpeekvdekudelvddtvdelveejgeetudfgvdelgfeftefgkeejheehvefh
 gfetffeigfenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhroh
 hmpehfghhunhgsihhnsehfrghsthhmrghilhdrfhhm
X-ME-Proxy: <xmx:UOteYTmyFFSnwXajRK0lpuNtawpQPCFDZ3v5PDlRwnK6zjGgjWU_Kw>
 <xmx:UOteYZ3cvlucjwh9jHNKiaBQFxPSuMlRNdLcs13Seb_jbwtGrKsjXg>
 <xmx:UOteYSuZG5K0jwXhNuRqSWm8dqydSnBeAmjxyjLXImo-TUZsZj5ADA>
 <xmx:UeteYSzZj7csfAodY3LQmJeipaUGzJT99021KNQ8fXJQ42U3_x_uoQ>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 7 Oct 2021 08:42:55 -0400 (EDT)
From: Filipp Gunbin <fgunbin@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <044b4d98-02e6-e053-f3b0-5ceb76fdafc6@HIDDEN> (Dmitry Gutov's
 message of "Thu, 7 Oct 2021 14:35:06 +0300")
References: <87mtoux1ha.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <caafd0590f690f5bab34@HIDDEN>
 <a1a00c36-dfc3-c6f8-2857-a0af2eac5b31@HIDDEN>
 <caafd0590f58db391efc@HIDDEN>
 <044b4d98-02e6-e053-f3b0-5ceb76fdafc6@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (darwin)
Date: Thu, 07 Oct 2021 15:42:53 +0300
Message-ID: <m2r1cxm2eq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Gregory Heytings <gregory@HIDDEN>,
 larsi@HIDDEN, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 07/10/2021 14:35 +0300, Dmitry Gutov wrote:

> On 07.10.2021 14:25, Gregory Heytings wrote:
>>
>>>>> It makes no sense to develop branch commands without 'C-x v b' bindin=
g.
>>>>
>>>> If C-x v b isn't available anymore, perhaps C-x v < or ^ would be a
>>>> good alternative?
>>>
>>> For vc-switch-backend?
>>>
>>
>> No, for vc-branch-* commands.=C2=A0 vc-switch-backend is already on C-x =
v b.
>
> It doesn't really make sense to move the branch commands to 'C-x v <'
> while vc-dir-mode-map has branch commands on 'C-x v B'. We should make
> the UI more uniform, not create more exceptions.
>
> It's not mnemonic either.

Maybe I missing something, but why can't we assign branch commands to
the C-x v B prefix?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 12:25:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 08:25:21 2021
Received: from localhost ([127.0.0.1]:46247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYSSe-0000Ct-NV
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:25:21 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:37849)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1mYSSc-0000Ce-II
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 08:25:19 -0400
Received: by mail-wr1-f53.google.com with SMTP id e12so18538923wra.4
 for <50344 <at> debbugs.gnu.org>; Thu, 07 Oct 2021 05:25:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=I9+VwyYrHEoS2CF08J4fLw1HN9rSB7nimaJhcgIcmsM=;
 b=PCVUbSNLrVt+ZAL1ZwEtf0/zd6+IKumWK/33nP519seZDzym/uxIJUFo7ihjsiRsNT
 FpA/RIAlv0Id8BAObWVkt1Zm8TGxdaFQSi1aWBSwJrC8SBMZh2+rA/2KA2k9qvC/Enf3
 KcZAxr5fbxT3ByeyB0Rc8QuJYaGgbLy669Gvr4jE57VN1Ld9wxOsdDcQHJUp+lEGdFSd
 t7R+PE1/e5Sez+c4rvMw6BFUzzLTtHXosnIMWknTNMcxUFK37hyzXDzkJCqlMagERtKM
 x7ZVlF5aY8BasZJaZRAYCmeTXiSWtk4D8phv0y2I7dMIfXRzFjcxnTZ4XCufmBwRmDpo
 MAMA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=I9+VwyYrHEoS2CF08J4fLw1HN9rSB7nimaJhcgIcmsM=;
 b=xV6ZSibFw7iuU5PP4InNhKS0UtyyyvBftCsUXxTQqi5vN4zwX3OvLolT8w45mTj7nb
 stOTX216tll3C3zZSqFnmjOIkqXg2p1c7o96g/kEKznHGP/ZfrQ7lNptFn2Rq4TAK2Fi
 MZtm670B42koKlSTk0dfQ9RDASJxDrWH+2cCqSwdMSTUcCyON8wyP8AaRhizpn8I9Yrl
 zP0suvERe6j6x7lSM2WGZ5uq9xL2WHXzPs7TmtZFbG/5czbgFZF+k6pqqh81PcBEXTXn
 +vQULiVa9SPDRkA0ON4KzXm0eoHn3QMXKWQnZm93HF21yvHwtDqBgAhtm9RgUVcgAZWD
 oiUQ==
X-Gm-Message-State: AOAM532dQQ0fEUxwvfWJ2g1+f5Ygv//d+9yQMneaSTcLhzZLXsby0BWd
 8i4DKIG/L9gCC86i3FJ+BOo=
X-Google-Smtp-Source: ABdhPJwC7H6TYlexMKi8sm4xsXNDVK2g1wSy8XvUE++6rh19NnupPo+tVa6DEKIRORAPbkq+s3KVRQ==
X-Received: by 2002:adf:f481:: with SMTP id l1mr4891852wro.411.1633609512580; 
 Thu, 07 Oct 2021 05:25:12 -0700 (PDT)
Received: from hirondell (pop.92-184-110-145.mobile.abo.orange.fr.
 [92.184.110.145])
 by smtp.gmail.com with ESMTPSA id c9sm8617031wmb.41.2021.10.07.05.25.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 07 Oct 2021 05:25:12 -0700 (PDT)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <caafd0590f690f5bab34@HIDDEN>
 <a1a00c36-dfc3-c6f8-2857-a0af2eac5b31@HIDDEN>
 <caafd0590f58db391efc@HIDDEN>
 <044b4d98-02e6-e053-f3b0-5ceb76fdafc6@HIDDEN>
 <caafd0590f47ce7a64f1@HIDDEN>
Date: Thu, 07 Oct 2021 14:25:10 +0200
In-Reply-To: <caafd0590f47ce7a64f1@HIDDEN> (Gregory Heytings's message
 of "Thu, 07 Oct 2021 11:42:34 +0000")
Message-ID: <87bl41t42h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, Juri Linkov <juri@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gregory Heytings <gregory@HIDDEN> writes:

>> It's not mnemonic either.
>>
>
> IMO it is, '<' is a visual representation of two branches.  I wouldn't
> be surprised if '<' was used (as an icon) to open a dialog for branch
> operations in some other editor.

(With apologies for contributing to the bikeshed,)

'y' kinda works too by the same logic, and is unused by vc AFAICT?
Magit uses 'y' for "refs" commands[1], which bring up buffers
enumerating branches and tags).

(Magit does use 'b' for branch management in general though.  IMO it is
more intuitive for a VC system to bind commonly used branch commands[2]
to 'b'; switching backends sounds like a one-off maintenance operation
that one would hopefully not need a dedicated binding for.)


[1] https://magit.vc/manual/magit/References-Buffer.html

[2] Such as those described upthread, e.g. creating branches, showing
    their log, checking them out:

    <878rz72wqg.fsf@HIDDEN>
    https://lists.gnu.org/archive/html/bug-gnu-emacs/2021-10/msg00483.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 11:42:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 07:42:39 2021
Received: from localhost ([127.0.0.1]:46216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYRnL-0007ar-7G
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 07:42:39 -0400
Received: from heytings.org ([95.142.160.155]:37482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mYRnH-0007ah-TU
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 07:42:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1633606954;
 bh=WkNCAqSVsb1FwWF9VeKH8VOx5/J/sHwoROljbTVPxyo=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=CijRRECNOCTIn4Hw18DKwOlPo+Xnr+4buDwYeE3whFS92cf6GzWr05wvJe2xX4dqE
 4KzIJoT0/GpCNEvRi7oQa09h2xY9+FC+Jod2d1PHKjW0gb1hPshAZyuIHMJzFsFwlL
 noenkU/rYnpOSz5OjZcf8cYH0JEQRvkaEWwVOcfBjUNafw2S/37P6dK6zUeCmkCXjO
 oZivwtwoXtv5wLJ4LkZF7sGK277rm16OQ+lfPCKDQVcnxdxJy4vXkT/oq5PQHLLsVF
 qLG1sfkLb8NRBGuSLiw/3MkH7L33pfUEM349+QSfcR4ko7LNW2bG/N9pxDdKHqhGWq
 6mBj9LmDprrzw==
Date: Thu, 07 Oct 2021 11:42:34 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <044b4d98-02e6-e053-f3b0-5ceb76fdafc6@HIDDEN>
Message-ID: <caafd0590f47ce7a64f1@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <caafd0590f690f5bab34@HIDDEN>
 <a1a00c36-dfc3-c6f8-2857-a0af2eac5b31@HIDDEN>
 <caafd0590f58db391efc@HIDDEN>
 <044b4d98-02e6-e053-f3b0-5ceb76fdafc6@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> It doesn't really make sense to move the branch commands to 'C-x v <' 
> while vc-dir-mode-map has branch commands on 'C-x v B'. We should make 
> the UI more uniform, not create more exceptions.
>

These were my 2 cents, just an idea.

>
> It's not mnemonic either.
>

IMO it is, '<' is a visual representation of two branches.  I wouldn't be 
surprised if '<' was used (as an icon) to open a dialog for branch 
operations in some other editor.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 11:35:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 07:35:18 2021
Received: from localhost ([127.0.0.1]:46206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYRgE-0007Pj-4B
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 07:35:18 -0400
Received: from mail-lf1-f52.google.com ([209.85.167.52]:37829)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mYRgA-0007PR-9R
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 07:35:17 -0400
Received: by mail-lf1-f52.google.com with SMTP id z11so15460006lfj.4
 for <50344 <at> debbugs.gnu.org>; Thu, 07 Oct 2021 04:35:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=e4jjQINIUf+MFbkhkBvyBxQ0RcBbdBrGp830ry23w+E=;
 b=Gcfgxkfj4H1b6sw7qBATPAj1kvdKEVi1KmnXIupsJzw0EyKgtVkdX+oE9R1ZUasHP3
 v1tOtBg7XR5PsxBxSscFZSNuXm55Slm2r0D/5Okbr2AHKdoBFEwYX37fuKu1KZcV0iYf
 PTyU6ev2sEoIvzx6nZQJs+DZiJFMS1kkPE+BMLvCTd7kgoCRWaY9v6YrYTppYogiWQVF
 Wp5ojSx2aQyy0rLSugAc/R/czvTZMeyQmM5MwIYvhtVmY385YdcIZiHL//Iokpd4vzmD
 1NnUVxkh7doiYzZmF4Ewc/069dSMA4G+7O79WJ97YQytymE5o7+qCfBWDIzj4wll1ALL
 duOw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=e4jjQINIUf+MFbkhkBvyBxQ0RcBbdBrGp830ry23w+E=;
 b=X4R66PqQD9WQ9VC7bkn+maZZOZTlwzK8sWP4rRfTBhP/K1hCzwiK1l530YinyXV4Mv
 6kFkX/s85aQe6gcXW3npyb+pOIQ9lnxzRAJIudiXDq/qwB3gZY/tqPz1ZYPha1XOHShC
 CaHU1YOxjSO/81THBNZsXD93G2BBaOkpp8TXED+qcsA6hJu1JWX5PEWm7sFyIp+3PSfQ
 udMGD+f4MEMLr9CovciMOeN/3N8jWNBjpRBx0BrrI7FdRjXUbJKiaQJiHFVXeNFB4aMy
 ALmD6AUu30hySBvIhoEgKQTZYyX03oySNGVOaYZzLqmIokuSUxFS0NV1dGiVVISBvZ3f
 ucuA==
X-Gm-Message-State: AOAM532k7zV8S0y2JrSVwGQ6sp3EXZWuQ3yLvVBIcNKuOqrZnaf2BFna
 QwO+MpCuLM2WvbMjQIn/QxA=
X-Google-Smtp-Source: ABdhPJzPasrhHglkfuIOXV8mg8I+C6Ip7i+Vu5c78q1snc0Z3zhKNig4Q052U8D8sbWNxy83sFtY+A==
X-Received: by 2002:a2e:83ca:: with SMTP id s10mr2496681ljh.144.1633606508260; 
 Thu, 07 Oct 2021 04:35:08 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id t3sm2495549ljg.68.2021.10.07.04.35.07
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 07 Oct 2021 04:35:07 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Gregory Heytings <gregory@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <caafd0590f690f5bab34@HIDDEN>
 <a1a00c36-dfc3-c6f8-2857-a0af2eac5b31@HIDDEN>
 <caafd0590f58db391efc@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <044b4d98-02e6-e053-f3b0-5ceb76fdafc6@HIDDEN>
Date: Thu, 7 Oct 2021 14:35:06 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <caafd0590f58db391efc@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 07.10.2021 14:25, Gregory Heytings wrote: > >>>> It makes
 no sense to develop branch commands without 'C-x v b' binding. >>> >>> If
 C-x v b isn't available anymore, perhaps C-x v < or ^ would be a [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (raaahh[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.52 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.52 listed in wl.mailspike.net]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 07.10.2021 14:25, Gregory Heytings wrote:
> 
>>>> It makes no sense to develop branch commands without 'C-x v b' binding.
>>>
>>> If C-x v b isn't available anymore, perhaps C-x v < or ^ would be a 
>>> good alternative?
>>
>> For vc-switch-backend?
>>
> 
> No, for vc-branch-* commands.  vc-switch-backend is already on C-x v b.

It doesn't really make sense to move the branch commands to 'C-x v <' 
while vc-dir-mode-map has branch commands on 'C-x v B'. We should make 
the UI more uniform, not create more exceptions.

It's not mnemonic either.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 11:25:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 07:25:53 2021
Received: from localhost ([127.0.0.1]:46202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYRX7-00051B-8R
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 07:25:53 -0400
Received: from heytings.org ([95.142.160.155]:37456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mYRX6-000513-A4
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 07:25:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1633605951;
 bh=hJCB+AQYkFwUeiEh4UlIFNzF4Tf+dRufCwzedDFoOww=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=thLAli6VptGN4V4Z3NHgs6NWMoYzgIK8lIVxSEbOvGVcCvgb74MNFlCg+fjsv1hDM
 z6ZCzUQRszIywTg7QHxIR+xKV4WLQjDBMz3bi7ScuYHsv8+uabb6BfZylTh3ZT2znD
 FEjNXhg0KPLNVTBH3lZzm5hrsFN7/l1OlGwCx8Z8wHayIU+AE4zLYeg1N0Mtz9l1Rt
 dUJDInzuDLwisQtNlapXXMsFPP2WkqyE+pw5WraDgISyOcMxRaG4/rVB8LdaVjvX61
 sVjulpSEEE2BH+yG6o31dKQByvS/2mtTUou7kKljtnkjv1Ux+aMsViiu+Xww3QvDFk
 Qbqej/RA2bypw==
Date: Thu, 07 Oct 2021 11:25:50 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <a1a00c36-dfc3-c6f8-2857-a0af2eac5b31@HIDDEN>
Message-ID: <caafd0590f58db391efc@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <caafd0590f690f5bab34@HIDDEN>
 <a1a00c36-dfc3-c6f8-2857-a0af2eac5b31@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, larsi@HIDDEN,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> It makes no sense to develop branch commands without 'C-x v b' 
>>> binding.
>> 
>> If C-x v b isn't available anymore, perhaps C-x v < or ^ would be a 
>> good alternative?
>
> For vc-switch-backend?
>

No, for vc-branch-* commands.  vc-switch-backend is already on C-x v b.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 11:14:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 07:14:11 2021
Received: from localhost ([127.0.0.1]:46181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYRLn-0004ic-6V
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 07:14:11 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:35591)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mYRLl-0004iQ-0p
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 07:14:10 -0400
Received: by mail-lf1-f41.google.com with SMTP id m3so23600145lfu.2
 for <50344 <at> debbugs.gnu.org>; Thu, 07 Oct 2021 04:14:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=YNNSuSJJrN/f7gMFIL8NRzL64aU4VN3xPJjRAMA+Uww=;
 b=RA2K5BGPG8zV+c+3g8mFD2Q7Zsf/59HLLRrazneVaP3n9Z1RadHQO4P35zyAficYaF
 julbX4v2SGx0I4r20LoFPzUjFQRfEuDOJA74muIJAu3tnLPDJHBVPUiE2E2J+lwwOMMN
 6llgNLWm0DtE4BQLyWeGNtu6wcbbSmK4N0pHFR0U1VaW1UFL12pqPbde+6d/PCdYq/WO
 C/t3otc+A5SztEyru2+vtNXDNYetNeshEWF18mae8mY9EqwfwP786qMUrHLqoYuJ4oQm
 OZ5hOeP9ot69+nweRftIPnpnqHTXNoFqlZFfR+552cnAH6oI6wBjRMk9TVWSTt1nnT3C
 i/rA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=YNNSuSJJrN/f7gMFIL8NRzL64aU4VN3xPJjRAMA+Uww=;
 b=vPyG8yXWP75Lva6zhHCVUYt7ezhQU+nx/Q65qA+9x6cTvOaJjENoLN0rh+ofydsjMb
 /WBAkvOUq9h+8+swihe6nvfNKa7SEMGAUkzi36c+AW2TC4ghDEI9aUtyh9acylE7urka
 aDQ/re49GiPPs73RHkjT4Xx7bLxdYJQZ7+F1UFVRfCoYuTBBCPgazBAthiczRhuZrDE0
 6bQICnlYPGpbJ6CIg2KyzxAFRnQgX+jugQc+kW5Hi2pcyzQLKOUF4rjO5lekDzKJ1UIT
 N365dzorFXppHXbXVbFmujbBs9kQWM4L/63EDu1bErzL28KOkroyIBQsby4u1NdBYhJz
 +I7g==
X-Gm-Message-State: AOAM530i+x30shluo14Zh+KaLAQ4XtmasJBWjmXu3y7EmON01ZSILw05
 8Ky4NjKPJEbZhXMUpX0zfaw=
X-Google-Smtp-Source: ABdhPJxJRQS983bqmdInacEpJpCO4Gb48oigZvzclHVfvypAhZir8OWwC7t0Q9Eb3/tqcP6Oy63Rwg==
X-Received: by 2002:a2e:4942:: with SMTP id b2mr3990443ljd.176.1633605243354; 
 Thu, 07 Oct 2021 04:14:03 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id e12sm93131ljp.30.2021.10.07.04.14.02
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 07 Oct 2021 04:14:03 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Gregory Heytings <gregory@HIDDEN>, Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <caafd0590f690f5bab34@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <a1a00c36-dfc3-c6f8-2857-a0af2eac5b31@HIDDEN>
Date: Thu, 7 Oct 2021 14:14:02 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <caafd0590f690f5bab34@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 07.10.2021 12:57, Gregory Heytings wrote: >> >> It makes
 no sense to develop branch commands without 'C-x v b' binding. >> > > If
 C-x v b isn't available anymore, perhaps C-x v < or ^ would be a go [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (dgutov[at]yandex.ru)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.41 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.41 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 07.10.2021 12:57, Gregory Heytings wrote:
>>
>> It makes no sense to develop branch commands without 'C-x v b' binding.
>>
> 
> If C-x v b isn't available anymore, perhaps C-x v < or ^ would be a good 
> alternative?

For vc-switch-backend?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 11:12:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 07:12:18 2021
Received: from localhost ([127.0.0.1]:46168 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYRJy-0004fA-4A
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 07:12:18 -0400
Received: from mail-lf1-f42.google.com ([209.85.167.42]:33789)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mYRJu-0004ev-5X
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 07:12:16 -0400
Received: by mail-lf1-f42.google.com with SMTP id j21so5319816lfe.0
 for <50344 <at> debbugs.gnu.org>; Thu, 07 Oct 2021 04:12:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=pSGHOSjTLVaLUXm2L9gOgiKf5x3SKcHKv8HBotajiV0=;
 b=bH3LjML5dzSVYQYXlTYyEIlWcwGZKhbJsOhVJfkLOBan3eV1s66Vk1LjBfVvO/JBs8
 dIwKwP74pkKiE+VGUdfw2vvXlkGf2uK/EH9nTMCBIXELcfI225GmuD25C+9KPDNSL2Pu
 TsNNLksUkz/goaOabTJMvs7J/1AoX4zo0MM1xVuae4Far2ME63ISYYdyJT2H6aD+lCqZ
 vWc2RGLIIaVcrGXiLA6/t1HgDWnwl7Ji7uNa5WmCJhEmP74fe8S6vWi5/Pphs4sgOjpC
 47vBMDCkKlSoxIkFhsb8ac/STRMnpimoC13/voehR6jcMfOIul+4gQQ/vima0k9DpTSt
 w/jg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=pSGHOSjTLVaLUXm2L9gOgiKf5x3SKcHKv8HBotajiV0=;
 b=SnR5mIsuYWB1ZXIZB7hhRMt21Q4ZfTnTSU7OasxL6jjmz/IkBSCeSQP5siKiQ5i1uu
 0MbP50iwAJ+FkmGU8OPvSFhnRVBozs1sxo+2WNdNiPhmx5TlpMJnkJovA1e9iyskHKQ7
 Y/rXWQ4jnMTRBHjITeF29P9pUYvCmNJ9Tc1gKTQPxKnYjosaup90PC+RrauWH6krrpZA
 sEO1D+73GlETKuthLKVdiJOoQkgb6J2pKstpv279g8FvehGkXA+p8WV7MqNQ7x8WcqQv
 +0/ajW1M+omo4EHK08NheZXPK4yZcSXdv4Xy0NHRHrHsP0ZFbgYWR6Qr678tYY9fHMSm
 xuag==
X-Gm-Message-State: AOAM531OqpvESVLd+yRFXpetXtKGixgrVc5TAFAPU/eYhUWIu0c2Dazw
 036WRMBfKhOlAekIuSFtnvU=
X-Google-Smtp-Source: ABdhPJxMUHPj1sDmMjhZOtf8WGp37w+VJJBgC8a7AtOTtmTQRp5vTRG0rBCDy8BpTxMzg07FDGkHLw==
X-Received: by 2002:a2e:a4b6:: with SMTP id g22mr4245402ljm.324.1633605128040; 
 Thu, 07 Oct 2021 04:12:08 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id r10sm2519089lfr.46.2021.10.07.04.12.06
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 07 Oct 2021 04:12:07 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Eli Zaretskii <eliz@HIDDEN>, Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
 <83ee8x1bn8.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <d1da92a6-4e57-fa7c-01cf-f7691b38859e@HIDDEN>
Date: Thu, 7 Oct 2021 14:12:06 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <83ee8x1bn8.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 07.10.2021 11:28,
 Eli Zaretskii wrote: >> From: Juri Linkov
 >> Cc: dgutov@HIDDEN, 50344 <at> debbugs.gnu.org, larsi@HIDDEN >> Date: Thu,
 07 Oct 2021 10:58:10 +0300 >> >>>> It will take more time [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (raaahh[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.42 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.42 listed in wl.mailspike.net]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 07.10.2021 11:28, Eli Zaretskii wrote:
>> From: Juri Linkov <juri@HIDDEN>
>> Cc: dgutov@HIDDEN,  50344 <at> debbugs.gnu.org,  larsi@HIDDEN
>> Date: Thu, 07 Oct 2021 10:58:10 +0300
>>
>>>> It will take more time to create branch commands due to many problems.
>>>> So the best what we could do now is to rebind 'vc-switch-backend'
>>>> from 'C-x v b' to 'C-x v B' in emacs-28 to give time to adapt
>>>> to  new keybinding.
>>>
>>> Please don't change such old key bindings, not unless we are
>>> deprecating the command (which we aren't, AFAIU).
>>
>> Sorry, I see no connection: why changing key bindings requires
>> deprecating the command?
> 
> Because people will expect the old binding to work as long as the
> command is useful.

They shouldn't: we have a lot of commands without dedicated bindings.

This command will retain some marginal utility, for some users out there 
(though I don't know who or why), so removing it doesn't make sense.

But its utility is incommeasurable with the binding it's taking up.

Let's announce in Emacs 28's NEWS that we intend to remove (or take 
away) the binding 'C-x v b'. Just like we did with the TAB binding in 
*xref* buffers.

>>> It was then, but it can be used today with other backends.
>>
>> What backends do you switch with 'C-x v b' today?
> 
> You mean, I personally?  Why is that relevant?  If you want to say
> that no one uses this command anymore, then that points to deprecating
> the command, and when it's obsolete for long enough time (at least one
> major release, IMO), we can remove its binding.

"No one" is a very strong criterion.

What if 2 people total, out of all users, were using this command?

Would you still deprecate it, with intent to remove? Or would you still 
keep the binding?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 09:57:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 05:57:28 2021
Received: from localhost ([127.0.0.1]:46114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYQ9Y-0002ee-MY
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 05:57:28 -0400
Received: from heytings.org ([95.142.160.155]:37360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1mYQ9W-0002eV-Jm
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 05:57:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1633600645;
 bh=u/zSpvl5SS3iHh0mdqK3moVRSc2MG+XZ6GbJWJrJlXI=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=hLRQUWqMdN/vH0W4/2dHuAWr/XwmcRNXR/7iVxsMaFscADb28AqNbpTG08g53QTvV
 i9i5mpJvwuTQJEUogQS/JdvZG7jDvv5LdkNQw5NMg+0bNMvaSX31dwhsL51+jP+fAO
 m0qBVU9SgUTk2Qoqr3Y0cMQzr3ZhjmOv1YYTBDGSnb1jCgaEqAZB47FVjjWvbT/Ad0
 DDLQSHorE6JBSGaxvbaAUkqU9XO38htvB5HY3z3ARwiXChr/bxV9blbPlfoVfN6CAZ
 d30ZlRChAvs9u6eKvuWAqs/eMRR9JlOkpqcDDfBX+S4SAClTlWNZVTdfc3fryI3yh7
 +La0E5ktPbqWw==
Date: Thu, 07 Oct 2021 09:57:24 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <878rz5w9cf.fsf@HIDDEN>
Message-ID: <caafd0590f690f5bab34@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, larsi@HIDDEN,
 dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> It makes no sense to develop branch commands without 'C-x v b' binding.
>

If C-x v b isn't available anymore, perhaps C-x v < or ^ would be a good 
alternative?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 08:29:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 04:29:11 2021
Received: from localhost ([127.0.0.1]:45939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYOm7-0006XX-76
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 04:29:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49248)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mYOm5-0006X7-Ay
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 04:29:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56798)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mYOlz-0002CZ-9A; Thu, 07 Oct 2021 04:29:03 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4128
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mYOly-0002AM-S8; Thu, 07 Oct 2021 04:29:03 -0400
Date: Thu, 07 Oct 2021 11:28:59 +0300
Message-Id: <83ee8x1bn8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <878rz5w9cf.fsf@HIDDEN> (message from Juri Linkov on
 Thu, 07 Oct 2021 10:58:10 +0300)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN> <878rz5w9cf.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: dgutov@HIDDEN,  50344 <at> debbugs.gnu.org,  larsi@HIDDEN
> Date: Thu, 07 Oct 2021 10:58:10 +0300
> 
> >> It will take more time to create branch commands due to many problems.
> >> So the best what we could do now is to rebind 'vc-switch-backend'
> >> from 'C-x v b' to 'C-x v B' in emacs-28 to give time to adapt
> >> to  new keybinding.
> >
> > Please don't change such old key bindings, not unless we are
> > deprecating the command (which we aren't, AFAIU).
> 
> Sorry, I see no connection: why changing key bindings requires
> deprecating the command?

Because people will expect the old binding to work as long as the
command is useful.

> > It was then, but it can be used today with other backends.
> 
> What backends do you switch with 'C-x v b' today?

You mean, I personally?  Why is that relevant?  If you want to say
that no one uses this command anymore, then that points to deprecating
the command, and when it's obsolete for long enough time (at least one
major release, IMO), we can remove its binding.

> > So I'm opposed to such a change.  (And it's too late for incompatible
> > changes on the emacs-28 branch anyway.)
> 
> It makes no sense to develop branch commands without 'C-x v b' binding.

I don't see why it must end with 'b' to make any sense.  I think you
are exaggerating.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 08:08:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 04:08:31 2021
Received: from localhost ([127.0.0.1]:45915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYOS6-0003pm-Qt
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 04:08:31 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:49111)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mYOS2-0003pU-4I
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 04:08:29 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id CFEF51BF209;
 Thu,  7 Oct 2021 08:08:18 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
 <83ily91djz.fsf@HIDDEN>
Date: Thu, 07 Oct 2021 10:58:10 +0300
In-Reply-To: <83ily91djz.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 07 Oct
 2021 10:47:44 +0300")
Message-ID: <878rz5w9cf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> It will take more time to create branch commands due to many problems.
>> So the best what we could do now is to rebind 'vc-switch-backend'
>> from 'C-x v b' to 'C-x v B' in emacs-28 to give time to adapt
>> to  new keybinding.
>
> Please don't change such old key bindings, not unless we are
> deprecating the command (which we aren't, AFAIU).

Sorry, I see no connection: why changing key bindings requires
deprecating the command?

>>'vc-switch-backend' was announced in NEWS thusly:
>>
>>   If a file is registered in multiple backends, you can switch to
>>   another one using C-x v b (vc-switch-backend).  This does not change
>>   any files, it only changes VC's perspective on the file.  Use this to
>>   pick up changes from CVS while working under RCS locally.
>>
>> So it was intended to switch backends between CVS and RCS.
>
> It was then, but it can be used today with other backends.

What backends do you switch with 'C-x v b' today?

> So I'm opposed to such a change.  (And it's too late for incompatible
> changes on the emacs-28 branch anyway.)

It makes no sense to develop branch commands without 'C-x v b' binding.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 07:47:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 03:47:59 2021
Received: from localhost ([127.0.0.1]:45879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYO8F-00016y-14
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 03:47:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mYO8A-00016c-Mv
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 03:47:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55664)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mYO85-0004ri-ED; Thu, 07 Oct 2021 03:47:49 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1321
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mYO83-0000iw-IN; Thu, 07 Oct 2021 03:47:49 -0400
Date: Thu, 07 Oct 2021 10:47:44 +0300
Message-Id: <83ily91djz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <878rz5pc9i.fsf@HIDDEN> (message from Juri Linkov on
 Thu, 07 Oct 2021 10:21:45 +0300)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN> <878rz5pc9i.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, larsi@HIDDEN, dgutov@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Date: Thu, 07 Oct 2021 10:21:45 +0300
> Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
> 
> It will take more time to create branch commands due to many problems.
> So the best what we could do now is to rebind 'vc-switch-backend'
> from 'C-x v b' to 'C-x v B' in emacs-28 to give time to adapt
> to  new keybinding.

Please don't change such old key bindings, not unless we are
deprecating the command (which we aren't, AFAIU).

>'vc-switch-backend' was announced in NEWS thusly:
> 
>   If a file is registered in multiple backends, you can switch to
>   another one using C-x v b (vc-switch-backend).  This does not change
>   any files, it only changes VC's perspective on the file.  Use this to
>   pick up changes from CVS while working under RCS locally.
> 
> So it was intended to switch backends between CVS and RCS.

It was then, but it can be used today with other backends.

So I'm opposed to such a change.  (And it's too late for incompatible
changes on the emacs-28 branch anyway.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 07:31:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 07 03:31:29 2021
Received: from localhost ([127.0.0.1]:45856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYNsG-0000ej-MH
	for submit <at> debbugs.gnu.org; Thu, 07 Oct 2021 03:31:28 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:32993)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mYNsE-0000eE-Ta
 for 50344 <at> debbugs.gnu.org; Thu, 07 Oct 2021 03:31:27 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id 72AF2240008;
 Thu,  7 Oct 2021 07:31:19 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
 <874kaptwki.fsf@HIDDEN>
Date: Thu, 07 Oct 2021 10:21:45 +0300
In-Reply-To: <874kaptwki.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 13 Sep 2021 10:47:01 +0300")
Message-ID: <878rz5pc9i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

> I realized that quite likely many users already rely on 'C-x v s'
> and 'C-x v r' to create/switch branches because currently there is
> no other quick way to do these frequent actions.  OTOH, I don't
> believe that 'vc-switch-backend' is used often.  So it seems pretty safe
> to just create a new prefix key map for 'C-x v b', and rebind 'vc-switch-backend'
> to 'C-x v B'.  Then leave 'C-x v r' and 'C-x v s' unchanged to give
> users time to adopt to the new branch-related prefix map 'C-x v b'.

It will take more time to create branch commands due to many problems.
So the best what we could do now is to rebind 'vc-switch-backend'
from 'C-x v b' to 'C-x v B' in emacs-28 to give time to adapt
to  new keybinding.  'vc-switch-backend' was announced in NEWS thusly:

  If a file is registered in multiple backends, you can switch to
  another one using C-x v b (vc-switch-backend).  This does not change
  any files, it only changes VC's perspective on the file.  Use this to
  pick up changes from CVS while working under RCS locally.

So it was intended to switch backends between CVS and RCS.


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=vc-switch-backend.patch

diff --git a/etc/NEWS b/etc/NEWS
index 8b327fac0f..26af52af58 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -3299,6 +3299,10 @@ Setting this to nil inhibits that.
 ** 'vc-print-branch-log' shows the change log from its root directory.
 It previously used to use the default directory.
 
+---
+** 'vc-switch-backend' is rebound from 'C-x v b' to 'C-x v B'.
+The prefix key 'C-x v b' is reserved for coming branch commands.
+
 ---
 ** 'project-shell' and 'shell' now use 'pop-to-buffer-same-window'.
 This is to keep the same behavior as Eshell.
diff --git a/lisp/vc/vc-hooks.el b/lisp/vc/vc-hooks.el
index b7760e3bba..7455a306bc 100644
--- a/lisp/vc/vc-hooks.el
+++ b/lisp/vc/vc-hooks.el
@@ -864,7 +864,8 @@ vc-kill-buffer-hook
 (defvar vc-prefix-map
   (let ((map (make-sparse-keymap)))
     (define-key map "a" #'vc-update-change-log)
-    (define-key map "b" #'vc-switch-backend)
+    ;; TODO: Use the prefix key "b" for branch commands.
+    (define-key map "B" #'vc-switch-backend)
     (define-key map "d" #'vc-dir)
     (define-key map "g" #'vc-annotate)
     (define-key map "G" #'vc-ignore)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 00:57:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 06 20:57:58 2021
Received: from localhost ([127.0.0.1]:45729 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYHjS-0007QF-3i
	for submit <at> debbugs.gnu.org; Wed, 06 Oct 2021 20:57:58 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:39831)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mYHjO-0007Py-Vj
 for 50344 <at> debbugs.gnu.org; Wed, 06 Oct 2021 20:57:56 -0400
Received: by mail-lf1-f41.google.com with SMTP id n8so16912123lfk.6
 for <50344 <at> debbugs.gnu.org>; Wed, 06 Oct 2021 17:57:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=s27nGt8R929f4YS0c9lsOq3Wzx8pdtUi4qQE/tkmTTs=;
 b=RZyBel04S3OOvY9mAeMjSf/7bqOi8/gyl+4uA8qfgq8BJJxMahLacfDCewuDmSV10e
 d8ctAVU4x5xTCiikEsQ7Hi4DwiFFBeJLXHXTt2Afm2PFpTzwjJ8R2/u4a5GKe5dkfGNH
 tfeu4C6oR7V4tvulzbK3N9BvZle1/KLIhfFGR1JL28r8liFBaOoxKhpahS03x9cCsJTK
 nvRBqaP9TB+1WKZ7VPrksRkwF9CJU/RW9xFacwPBTSK48KL1IyoQX8o35Tgi3PpbOdjT
 KZ4bLpok0sdMVuZG984IksTPpQ1z84VCibek+7en7cdErv7q+C+j7Onj3CMZjMTVw98u
 LBoQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=s27nGt8R929f4YS0c9lsOq3Wzx8pdtUi4qQE/tkmTTs=;
 b=ArY4zbU7GGYyCgDIxewLcaA89h25bZq+Jz/FXZR/mJNSlWCTmuI1L8Mrxdro/A1yZd
 A+f8g2Xl+aZDCxWqf22eqYPhOrsafQJVHSgnVL6jRSY5gk/fFhDezgdMmuQV34upD8gG
 Jl+FiWfIOVkS6fuuUUvCMU5apFGwOn4LzS8IxvWsRwMtyhnZH0VDJcq1vXO9/9+pH1zZ
 zTRcowqUIu4D7zKLaIiM6t7rOHiqMe/+oY7E05NuVoKvnmv/+tu4WuNz0jnJYD7hZ35K
 MJbZ8iHAe2fLd1/u0kKYpDnY0axg8sxpfnGstoI+vR23vIZ/0maW9zRVNxgezstumbDo
 bSQA==
X-Gm-Message-State: AOAM5327Ki5oZssKoQAut2TqoDwpc6otYQhjY6pqWL86tUttq8RbHNwV
 HzsN+i5sNJjKsb8OgzB1yX4=
X-Google-Smtp-Source: ABdhPJz23EV/kYyfM4s5EoGlIa83D9/2senhTA6roI67HvH837HCd23R0ndKm+TblnQSRcksgIq+sw==
X-Received: by 2002:ac2:5c4b:: with SMTP id s11mr1182929lfp.463.1633568268697; 
 Wed, 06 Oct 2021 17:57:48 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id 13sm2395813lfq.285.2021.10.06.17.57.47
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 06 Oct 2021 17:57:48 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN> <m24kajutb1.fsf@HIDDEN>
 <878rz72wqg.fsf@HIDDEN>
 <30b7d470-26b1-7d7a-2d43-9e85059c1fc5@HIDDEN>
 <87fstevcfl.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <11783eab-c11c-771d-a9d3-a7608a2f69d8@HIDDEN>
Date: Thu, 7 Oct 2021 03:57:47 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87fstevcfl.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 06.10.2021 10:29,
 Juri Linkov wrote: >>>> The command could
 have a mode for specifying START-POINT, so for Git the >>>> command becomes
 "git checkout -b new-branch-name START-POINT". This >>>> coul [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (raaahh[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.41 listed in list.dnswl.org]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.41 listed in wl.mailspike.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Filipp Gunbin <fgunbin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 06.10.2021 10:29, Juri Linkov wrote:
>>>> The command could have a mode for specifying START-POINT, so for Git the
>>>> command becomes "git checkout -b new-branch-name START-POINT".  This
>>>> could be on C-u (unless there're other frequent "customization" cases).
>>> The existing API method has no argument for START-POINT.
>>> Maybe every backend could handle its prefix arg directly
>>> from current-prefix-arg?  For example,
>>>    (defun vc-git-create-tag (dir name branchp)
>>>      (if current-prefix-arg (completion-read "Start point: ") ...
>>
>> Maybe we should add a new argument, an optional one. Then backends which
>> don't support it can continue working without 'C-u' (we can make sure to
>> call them with appropriate number of arguments) but will obviously fail
>> when passed an extra argument. We could even catch the error and report
>> that the backend doesn't support this feature.
> 
> We need to add new optional arguments to another VC-API methods anyway, e.g.
> 
>    (vc-call-backend backend 'revision-completion-table files)
> 
> needs a new argument 'branchp' to avoid the recently added hack
> 'vc-git-revision-complete-only-branches' that can't be used
> in the new command 'vc-switch-branch' by 'vc-read-revision'
> (that also needs a new argument 'branchp').

This will probably help in vc-switch-branch (when the user wants to 
retrieve a tag, I guess they will use the tag-specific command).

Not sure about other places: if we're talking about the START-POSITION 
argument, I suppose it is possible that the user will want to start a 
branch from a tag instead. Or any other kind of ref, but "raw" commit 
hashes aren't helpful in completion anyway.

>> But maybe the command should prompt for START-POINT by default: one doesn't
>> create branches that often to be bothered by an extra RET, and it can be
>> useful to verify the branch you are branching off of every time you do
>> it. That would be my preferred behavior. And the implementation could be
>> the same if we manage to treat RET as unspecified START-POINT.
> 
> Prompting for START-POINT by default is ok.  The problem is how to handle
> existing backends after adding new optional arguments to VC-API methods.
> Maybe first to call with an extra argument, catch an error, then call again
> without an extra argument?

Yes, that's the method I was thinking of.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Oct 2021 00:47:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 06 20:47:43 2021
Received: from localhost ([127.0.0.1]:45724 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYHZW-0007Ar-Vr
	for submit <at> debbugs.gnu.org; Wed, 06 Oct 2021 20:47:43 -0400
Received: from mail-lf1-f43.google.com ([209.85.167.43]:33766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mYHZU-0007A9-26
 for 50344 <at> debbugs.gnu.org; Wed, 06 Oct 2021 20:47:41 -0400
Received: by mail-lf1-f43.google.com with SMTP id y23so17831087lfb.0
 for <50344 <at> debbugs.gnu.org>; Wed, 06 Oct 2021 17:47:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=tzKLNPWLykr9/aBbnysaMFDhv/d07ViTwAW8uENxWOc=;
 b=S+RcG/QHjYfJEHl3l3dEhZCQEWu6Z40ZeyWV2uA6pfUjN6WPeIFu0VlIo2lx24zi44
 6S5FGxt0NNjEmJ6tnEHxK2w1F9DrEcTsncgjq2SKTVc0nWWCP24UIfa7hQhiIrekU07p
 m1peDP8ChtBODyU9HrqRxZfdX+aKrRG8Oy9s/p68RgGMw2A7CM3fOz6dxByt1nGimfCx
 VYxMxTaSg9ykjLag9YWBW+qXvIFf+ijRf1uiDwBTygj5w/uDR4nZOW/cw5INWPPTxWTU
 e/4nNH6seR7TfWln9Uv0a6uru6/QxupcefjdEm591vPM5WDwg6rkg9Qr96dsuEjKDbFl
 jnog==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=tzKLNPWLykr9/aBbnysaMFDhv/d07ViTwAW8uENxWOc=;
 b=qPpSEDHDEfHZjE23pxQRoloRuxAy1IxRnExtFzTU1IKu2dOK6IjKXcB/4JcAVKuOij
 Jc68vgaiuwSB2fb/miT4AGWSMrrX+Qpxl5XApNYj5OOMatW7LZAgmIm08+6jZ9ncafMP
 BsxKMYW8zteI7m8oSEpo6GrxVMpTyugRxAWUOeGaR/c1tBrPQhlJZsQkMo51l1BTv/L1
 Uyfbgbt0T/IeNY83vL3itj2rNo8PHj24XutqhSw6e7l+lmJj/Qk2aqngAcLeMK0qDn3o
 FznwAx5E7NJFHfJpPWZ3dZQXpk1VjL9oBQf0Na3h2dPA2s9PnIs4dpM39bewwhr42qLz
 2OGw==
X-Gm-Message-State: AOAM532pmi4kLEsqHYnmeqnqInDustlhlKRL1a5pmt2op49pjbfksLkp
 +n9KRpPqJrEq91ETpA9+90c=
X-Google-Smtp-Source: ABdhPJxHttw4yoOqYNYX74+hZbHJV669Dec1wLU+2+qGTVmqaxcv9QiPeVFiSLY1QKK0YPFVX954Eg==
X-Received: by 2002:ac2:5229:: with SMTP id i9mr1160013lfl.493.1633567653913; 
 Wed, 06 Oct 2021 17:47:33 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id f37sm2392190lfv.214.2021.10.06.17.47.32
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 06 Oct 2021 17:47:33 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN> <m24kajutb1.fsf@HIDDEN>
 <878rz72wqg.fsf@HIDDEN>
 <30b7d470-26b1-7d7a-2d43-9e85059c1fc5@HIDDEN>
 <87y276qyqe.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <14527e3e-964f-50f5-acf2-4f0390b2baef@HIDDEN>
Date: Thu, 7 Oct 2021 03:47:32 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87y276qyqe.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 06.10.2021 19:28, Juri Linkov wrote: >>>> Other commands, 
 like maybe "C-x v b r" - rename, could be added then. >>> I can't find the
 existing vc API method for renaming tags/branches. >> I think th [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (raaahh[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.43 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.43 listed in wl.mailspike.net]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Filipp Gunbin <fgunbin@HIDDEN>, "Eric S. Raymond" <esr@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 06.10.2021 19:28, Juri Linkov wrote:
>>>> Other commands, like maybe "C-x v b r" - rename, could be added then.
>>> I can't find the existing vc API method for renaming tags/branches.
>> I think that's OK.
> But even the current branch creating command fails for git.
> For example, 'C-u C-x v s new_branch RET' fails with the error:
> 
>    (error "Failed (status 1): git --no-pager update-index --refresh .")
> 
> and shows the*vc*  buffer saying that modified files need update.
> 
> Whereas `M-& git checkout -b new_branch` works fine with modified files.

All right, yes, the current behavior is weird. It's actually documented 
in the description of the 'create-tag' action:

;;   Attach the tag NAME to the state of the working copy.  This
;;   should make sure that files are up-to-date before proceeding with
;;   the action.

Perhaps ESR or Dan N. have a good justification for this, but it seems 
to me the contemporary expectation is that tags and branches are created 
from the committed revision history, and not from the "working copy".

Some backends may choose to enforce this kind of limitation, but the 
more modern ones like Git or Hg should skip the check IMHO.

And it seems, from looking at vc-hg-create-tag, Hg already skips it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 6 Oct 2021 16:39:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 06 12:39:41 2021
Received: from localhost ([127.0.0.1]:45371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mY9xF-0007Je-43
	for submit <at> debbugs.gnu.org; Wed, 06 Oct 2021 12:39:41 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:45565)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mY9xE-0007JR-8y
 for 50344 <at> debbugs.gnu.org; Wed, 06 Oct 2021 12:39:40 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id DCA57E0006;
 Wed,  6 Oct 2021 16:39:31 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
 <m24kajutb1.fsf@HIDDEN> <878rz72wqg.fsf@HIDDEN>
 <30b7d470-26b1-7d7a-2d43-9e85059c1fc5@HIDDEN>
Date: Wed, 06 Oct 2021 19:28:49 +0300
In-Reply-To: <30b7d470-26b1-7d7a-2d43-9e85059c1fc5@HIDDEN> (Dmitry Gutov's
 message of "Wed, 6 Oct 2021 03:37:01 +0300")
Message-ID: <87y276qyqe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Filipp Gunbin <fgunbin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>> Other commands, like maybe "C-x v b r" - rename, could be added then.
>> I can't find the existing vc API method for renaming tags/branches.
>
> I think that's OK.

But even the current branch creating command fails for git.
For example, 'C-u C-x v s new_branch RET' fails with the error:

  (error "Failed (status 1): git --no-pager update-index --refresh .")

and shows the *vc* buffer saying that modified files need update.

Whereas `M-& git checkout -b new_branch` works fine with modified files.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 6 Oct 2021 07:40:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 06 03:40:58 2021
Received: from localhost ([127.0.0.1]:42372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mY1Xu-00026F-Dn
	for submit <at> debbugs.gnu.org; Wed, 06 Oct 2021 03:40:58 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:42739)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mY1Xr-00025n-Oi
 for 50344 <at> debbugs.gnu.org; Wed, 06 Oct 2021 03:40:57 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id A2663FF808;
 Wed,  6 Oct 2021 07:40:47 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
 <m24kajutb1.fsf@HIDDEN> <878rz72wqg.fsf@HIDDEN>
 <30b7d470-26b1-7d7a-2d43-9e85059c1fc5@HIDDEN>
Date: Wed, 06 Oct 2021 10:29:18 +0300
In-Reply-To: <30b7d470-26b1-7d7a-2d43-9e85059c1fc5@HIDDEN> (Dmitry Gutov's
 message of "Wed, 6 Oct 2021 03:37:01 +0300")
Message-ID: <87fstevcfl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.60 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Filipp Gunbin <fgunbin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>> The command could have a mode for specifying START-POINT, so for Git the
>>> command becomes "git checkout -b new-branch-name START-POINT".  This
>>> could be on C-u (unless there're other frequent "customization" cases).
>> The existing API method has no argument for START-POINT.
>> Maybe every backend could handle its prefix arg directly
>> from current-prefix-arg?  For example,
>>   (defun vc-git-create-tag (dir name branchp)
>>     (if current-prefix-arg (completion-read "Start point: ") ...
>
> Maybe we should add a new argument, an optional one. Then backends which
> don't support it can continue working without 'C-u' (we can make sure to
> call them with appropriate number of arguments) but will obviously fail
> when passed an extra argument. We could even catch the error and report
> that the backend doesn't support this feature.

We need to add new optional arguments to another VC-API methods anyway, e.g.

  (vc-call-backend backend 'revision-completion-table files)

needs a new argument 'branchp' to avoid the recently added hack
'vc-git-revision-complete-only-branches' that can't be used
in the new command 'vc-switch-branch' by 'vc-read-revision'
(that also needs a new argument 'branchp').

> But maybe the command should prompt for START-POINT by default: one doesn't
> create branches that often to be bothered by an extra RET, and it can be
> useful to verify the branch you are branching off of every time you do
> it. That would be my preferred behavior. And the implementation could be
> the same if we manage to treat RET as unspecified START-POINT.

Prompting for START-POINT by default is ok.  The problem is how to handle
existing backends after adding new optional arguments to VC-API methods.
Maybe first to call with an extra argument, catch an error, then call again
without an extra argument?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 6 Oct 2021 00:37:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 05 20:37:14 2021
Received: from localhost ([127.0.0.1]:42140 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mXuvq-0005qb-Ar
	for submit <at> debbugs.gnu.org; Tue, 05 Oct 2021 20:37:14 -0400
Received: from mail-lf1-f53.google.com ([209.85.167.53]:33567)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mXuvl-0005qJ-Cz
 for 50344 <at> debbugs.gnu.org; Tue, 05 Oct 2021 20:37:12 -0400
Received: by mail-lf1-f53.google.com with SMTP id y23so3260029lfb.0
 for <50344 <at> debbugs.gnu.org>; Tue, 05 Oct 2021 17:37:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=AInoOrHQNdnnNyWdIGxNZfygERPgXiMJ7KwBvIUz5Cs=;
 b=l+CzYSavp0TvK2I2flafwAXEPBbmMjVBE2wV/rufce0O5xf68+ZyrOGPjIMjEkuWSs
 wU4eRIbc94a0EE5UpEhBDxiJNLQSPDugnN6G9gDEXCQneHPvWnFvMOBEaAsQHE5UlHm+
 tllYd0lPMb9ykoo7B9eODU2Et6OjX3sDdd5dOc2NJd1Jnn18Z9Kb4m8OP+BtWN3v0ZYF
 51uZaWBCDgSDe6WSjcvTb+fBTVrUFpR6/M4JssCh/pq9s0ExIOjD4alU3isVzFG4L7f+
 1zMUfNdQMLTkdiN3akU5BsIzDYaAJv2YYE+Dnjx+zYOS99N42mqMa1XP2y2rfcgfMRLy
 b9Hg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=AInoOrHQNdnnNyWdIGxNZfygERPgXiMJ7KwBvIUz5Cs=;
 b=glTl9g2SAhKklehx9Cuft/TOh2MPi89DLwbF/VtDwUyQL2qxkW7VQrIs3P44kBv5Tw
 gMi4HsAAsAuIJersYpmP6nuTl1L8QO/Tn5GLmPOA/xQFmghwBsYMvJ1MIvFPbUfl1eR+
 1z3t7NLiw8st7bx5om39dkk8DtQ4fSL8SBdt0pf/yD4RLPSd5vPAseDO5xS9kq51f1nD
 /N4LDDaQNHpi4vKhM6Fl70Jod85tP7BtrFG1dilg1Uoy2D1jMc5Khmowc2FB8rgxxK3z
 cHEqDSlYFu66q54M3qnGMzbmYbHVUeTDM3Uxl8eGbJG411WW6N8vxmFDSO3wStj276dI
 U57g==
X-Gm-Message-State: AOAM532lKkXLCye4Ko/a6D9UidzbgdQLfr0sfTr12y3TWuMrd42lXntP
 lP8LVMnYkYf5k/1nMG6/JcY=
X-Google-Smtp-Source: ABdhPJx3bK1ztDDT6+2DL/O0VQGUyhDYbxlJUuz1puXG6W+PmAXzV8RTkSXw1Osm7ZI+nu4mPVn6Pw==
X-Received: by 2002:a05:6512:39ca:: with SMTP id
 k10mr6405169lfu.571.1633480623172; 
 Tue, 05 Oct 2021 17:37:03 -0700 (PDT)
Received: from [192.168.1.113] ([178.252.127.239])
 by smtp.googlemail.com with ESMTPSA id b4sm359167ljf.66.2021.10.05.17.37.02
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 05 Oct 2021 17:37:02 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Juri Linkov <juri@HIDDEN>, Filipp Gunbin <fgunbin@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN> <m24kajutb1.fsf@HIDDEN>
 <878rz72wqg.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <30b7d470-26b1-7d7a-2d43-9e85059c1fc5@HIDDEN>
Date: Wed, 6 Oct 2021 03:37:01 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <878rz72wqg.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 05.10.2021 20:43, Juri Linkov wrote: >> I'm also thinking
 of a separate command for branch creation, wrote all >> that in bug#50643.
 Thanks. > > The following patch adds two new branch commands. > >> However,
 I don't use tags much (besid [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (raaahh[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.167.53 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.167.53 listed in wl.mailspike.net]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [178.252.127.239 listed in dnsbl.sorbs.net]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

On 05.10.2021 20:43, Juri Linkov wrote:

>> I'm also thinking of a separate command for branch creation, wrote all
>> that in bug#50643.  Thanks.
> 
> The following patch adds two new branch commands.
> 
>> However, I don't use tags much (besides creation - only "git fetch
>> --tags"), so I cannot add anything meaningful here.
>> Otherwise, the plan for C-x v b prefix looks great.
>> Other commands, like maybe "C-x v b r" - rename, could be added then.
> 
> I can't find the existing vc API method for renaming tags/branches.

I think that's OK.

>> The command could have a mode for specifying START-POINT, so for Git the
>> command becomes "git checkout -b new-branch-name START-POINT".  This
>> could be on C-u (unless there're other frequent "customization" cases).
> 
> The existing API method has no argument for START-POINT.
> Maybe every backend could handle its prefix arg directly
> from current-prefix-arg?  For example,
> 
>   (defun vc-git-create-tag (dir name branchp)
>     (if current-prefix-arg (completion-read "Start point: ") ...

Maybe we should add a new argument, an optional one. Then backends which 
don't support it can continue working without 'C-u' (we can make sure to 
call them with appropriate number of arguments) but will obviously fail 
when passed an extra argument. We could even catch the error and report 
that the backend doesn't support this feature.

But maybe the command should prompt for START-POINT by default: one 
doesn't create branches that often to be bothered by an extra RET, and 
it can be useful to verify the branch you are branching off of every 
time you do it. That would be my preferred behavior. And the 
implementation could be the same if we manage to treat RET as 
unspecified START-POINT.

As long as the ability to read and show the current ref/branch is there 
for most backends (to show it as the default input in the prompt).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 5 Oct 2021 17:46:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 05 13:46:35 2021
Received: from localhost ([127.0.0.1]:41853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mXoWR-0005oD-2N
	for submit <at> debbugs.gnu.org; Tue, 05 Oct 2021 13:46:35 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:52687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mXoWO-0005nu-Uv
 for 50344 <at> debbugs.gnu.org; Tue, 05 Oct 2021 13:46:34 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id B8D53240009;
 Tue,  5 Oct 2021 17:46:24 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Filipp Gunbin <fgunbin@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
 <m24kajutb1.fsf@HIDDEN>
Date: Tue, 05 Oct 2021 20:43:35 +0300
In-Reply-To: <m24kajutb1.fsf@HIDDEN> (Filipp Gunbin's message of "Fri, 17
 Sep 2021 18:15:46 +0300")
Message-ID: <878rz72wqg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

>>> Maybe I should express this wish in a separate bug, but:
>>>
>>> It would be nice if vc-create-tag allowed to specify start-point
>>> conveniently:
>>>
>>> git checkout -b new-branch-name START-POINT
>>>
>>> Currently I do this in shell.
>>
>> Perhaps we could do that with 'C-u C-u'.
>>
>> Yes, a separate feature request is preferable.
>
> I'm also thinking of a separate command for branch creation, wrote all
> that in bug#50643.  Thanks.

The following patch adds two new branch commands.

> However, I don't use tags much (besides creation - only "git fetch
> --tags"), so I cannot add anything meaningful here.
> Otherwise, the plan for C-x v b prefix looks great.
> Other commands, like maybe "C-x v b r" - rename, could be added then.

I can't find the existing vc API method for renaming tags/branches.

> The command could have a mode for specifying START-POINT, so for Git the
> command becomes "git checkout -b new-branch-name START-POINT".  This
> could be on C-u (unless there're other frequent "customization" cases).

The existing API method has no argument for START-POINT.
Maybe every backend could handle its prefix arg directly
from current-prefix-arg?  For example,

 (defun vc-git-create-tag (dir name branchp)
   (if current-prefix-arg (completion-read "Start point: ") ...


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=vc-switch-branch.patch

diff --git a/lisp/vc/vc-hooks.el b/lisp/vc/vc-hooks.el
index b7760e3bba..2b6ebdfb74 100644
--- a/lisp/vc/vc-hooks.el
+++ b/lisp/vc/vc-hooks.el
@@ -865,6 +865,9 @@ vc-prefix-map
   (let ((map (make-sparse-keymap)))
     (define-key map "a" #'vc-update-change-log)
     (define-key map "b" #'vc-switch-backend)
+    (define-key map "Bc" #'vc-create-branch)
+    (define-key map "Bl" #'vc-print-branch-log)
+    (define-key map "Bs" #'vc-switch-branch)
     (define-key map "d" #'vc-dir)
     (define-key map "g" #'vc-annotate)
     (define-key map "G" #'vc-ignore)
diff --git a/lisp/vc/vc.el b/lisp/vc/vc.el
index edc4169465..cdebf4a3d3 100644
--- a/lisp/vc/vc.el
+++ b/lisp/vc/vc.el
@@ -2350,7 +2372,23 @@ vc-create-tag
   (message "Making %s... done" (if branchp "branch" "tag")))
 
 ;;;###autoload
-(defun vc-retrieve-tag (dir name)
+(defun vc-create-branch (dir name)
+  "Descending recursively from DIR, make a branch called NAME.
+After a new branch is made, the files are checked out in that new branch.
+Uses `vc-create-tag' with the non-nil arg `branchp'."
+  (interactive
+   (let ((granularity
+	  (vc-call-backend (vc-responsible-backend default-directory)
+			   'revision-granularity)))
+     (list
+      (if (eq granularity 'repository)
+	  default-directory
+	(read-directory-name "Directory: " default-directory default-directory t))
+      (read-string "New branch name: " nil 'vc-revision-history))))
+  (vc-create-tag dir name t))
+
+;;;###autoload
+(defun vc-retrieve-tag (dir name &optional branchp)
   "For each file in or below DIR, retrieve their tagged version NAME.
 NAME can name a branch, in which case this command will switch to the
 named branch in the directory DIR.
@@ -2375,15 +2413,21 @@ vc-retrieve-tag
              (read-directory-name "Directory: " default-directory nil t))))
      (list
       dir
-      (vc-read-revision (format-prompt "Tag name to retrieve" "latest revisions")
+      (vc-read-revision (format-prompt
+                         (if current-prefix-arg
+                             "Branch name to retrieve"
+                           "Tag name to retrieve")
+                         "latest revisions")
                         (list dir)
-                        (vc-responsible-backend dir)))))
+                        (vc-responsible-backend dir))
+      current-prefix-arg)))
   (let* ((backend (vc-responsible-backend dir))
          (update (when (vc-call-backend backend 'update-on-retrieve-tag)
                    (yes-or-no-p "Update any affected buffers? ")))
 	 (msg (if (or (not name) (string= name ""))
 		  (format "Updating %s... " (abbreviate-file-name dir))
-	        (format "Retrieving tag %s into %s... "
+	        (format "Retrieving %s %s into %s... "
+                        (if branchp "branch" "tag")
 		        name (abbreviate-file-name dir)))))
     (message "%s" msg)
     (vc-call-backend backend 'retrieve-tag dir name update)
@@ -2391,6 +2435,25 @@ vc-retrieve-tag
     (run-hooks 'vc-retrieve-tag-hook)
     (message "%s" (concat msg "done"))))
 
+;;;###autoload
+(defun vc-switch-branch (dir name)
+  "Switch to the branch NAME in the directory DIR.
+If NAME is empty, it refers to the latest revisions of the current branch.
+Uses `vc-retrieve-tag' with the non-nil arg `branchp'."
+  (interactive
+   (let* ((granularity
+           (vc-call-backend (vc-responsible-backend default-directory)
+                            'revision-granularity))
+          (dir
+           (if (eq granularity 'repository)
+               (expand-file-name (vc-root-dir))
+             (read-directory-name "Directory: " default-directory nil t))))
+     (list
+      dir
+      (vc-read-revision (format-prompt "Branch name to retrieve" "latest revisions")
+                        (list dir)
+                        (vc-responsible-backend dir)))))
+  (vc-retrieve-tag dir name t))
 
 ;; Miscellaneous other entry points
 

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 20 Sep 2021 17:31:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 13:31:24 2021
Received: from localhost ([127.0.0.1]:43959 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSN8W-00064k-Fr
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 13:31:24 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:60009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fgunbin@HIDDEN>)
 id 1mSN8U-00064N-I9; Mon, 20 Sep 2021 13:31:23 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 4859C5C00FF;
 Mon, 20 Sep 2021 13:31:17 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Mon, 20 Sep 2021 13:31:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.fm; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=QqU61xBbmm3521J0eoDHjc6Uo+
 u1bNw0p6bd3jCd2WM=; b=FfUMmQi6a1erKcJCNHvttkH7sYocxzqntoFflfykf2
 yU2131lCLyqGGP7nCwIICUl5mCAM4h+62mX6xTBhLh+9oY4jmmyaVFw9ay1bwq/s
 WLBD8ZIag04V8LXHIw5g3kxDeurD1EiJoEX4o8yr7+BKJXVdmxGj67IJ2xxorMvw
 ndZGy4ahfPC+3/5sX+swmhcimSlmWmLm9qEfsVWtK+onvSiPUPuEVVeJsMc+LaB/
 ixFTmw5TRyiHIkfn15S5RLfP7MiycXiHAtv2RzoYtRfAKXUObPyJ5x7wvsY/mMsn
 GOqMJ4VA2zpzaUm4wNvb/wZrKcZQrh+EuDPsIbTSLW7w==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=QqU61x
 Bbmm3521J0eoDHjc6Uo+u1bNw0p6bd3jCd2WM=; b=SQz4BZARUoznKW3nwy+F17
 kQl7WZWzGoeyDdT30murkPUnRKyLQELtXLeXO5MTvYr/zO9BIEGiKdTZk9IXXO2X
 KzZrQx/hM//GZ/fFIA5sUo2y2jwR9+RjVQM464NYnFhqVVp8YpLiC+zVnuo+CcFn
 zLvMW14kG6859B1Ro0UgIgxqJsTjaeTypV04K2LstQaStR75sIF1UWCG6toCftrw
 gcC4QkCU7Z9t6amrwmuBWwY8McEKX60ItfAMtRFbf4YCQlCPFrPGh1XKRukRvhfg
 grV5nQeSSM+KVJv/7P5RgVU0T6QBVEGK/kQiG7iIqqBLWitXmVRlLOgxRbxt0LOA
 ==
X-ME-Sender: <xms:ZMVIYTFvuDnRAFhsslKRvbAqYsFV-CTJIghWCsVeamY-mD6W4R-N_w>
 <xme:ZMVIYQV6j44R7W0eEPEIMLehttlbm3i2BcVTIcksvMvUhnctK7NNfR2Zrp4xTcel4
 6j1Pd9jVRxKRu4J>
X-ME-Received: <xmr:ZMVIYVLKs2S1Nt_iELBUvhj4rI84FulSBcTMjW23rEub4eGawgXxPVaZcBNkf5FnPw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudeivddguddufecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffujghffgffkfggtgesthdtredttdertdenucfhrhhomhephfhilhhi
 phhpucfiuhhnsghinhcuoehfghhunhgsihhnsehfrghsthhmrghilhdrfhhmqeenucggtf
 frrghtthgvrhhnpedvveekffdvueevhfdutdejheekvdeufeevtedttdevuddugfeiffei
 veeivefhtdenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhroh
 hmpehfghhunhgsihhnsehfrghsthhmrghilhdrfhhm
X-ME-Proxy: <xmx:ZMVIYRE9zkzAitpzrGo6YEqUpM2BjwbB1ETSnYyS0AbKwyZKWQivzQ>
 <xmx:ZMVIYZUKnUSrJEbyb8hVS--T5nCbeJXyC5iJbtYiNxOdYVj23znKiQ>
 <xmx:ZMVIYcP7ocbOgmVCtRoiO5K20ecQSSJjWeCEmPuQWp_4o_n_H-Mr-Q>
 <xmx:ZcVIYcT2FpwiEgJNI0xenlGKCs_pfr_JktklK2vwl3zZuGo-eA_Yfg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Mon,
 20 Sep 2021 13:31:15 -0400 (EDT)
From: Filipp Gunbin <fgunbin@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <bb5e5f63-e150-e54e-9e59-adeaf578a763@HIDDEN> (Dmitry Gutov's
 message of "Mon, 20 Sep 2021 19:53:42 +0300")
References: <87mtoux1ha.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
 <m24kajutb1.fsf@HIDDEN>
 <dc984fd4-5a85-a2e0-ad18-ccf1de8b82ff@HIDDEN>
 <874kahogdt.fsf@HIDDEN>
 <8ea68c73-df86-7e65-a07f-77367e4a906f@HIDDEN>
 <87y27sfpxz.fsf@HIDDEN>
 <077bfc22-616e-cd67-3e84-e6917f9e2e53@HIDDEN>
 <87sfxzoimv.fsf@HIDDEN>
 <bb5e5f63-e150-e54e-9e59-adeaf578a763@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
Date: Mon, 20 Sep 2021 20:31:13 +0300
Message-ID: <m2y27rf926.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 50643 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 20/09/2021 19:53 +0300, Dmitry Gutov wrote:

> On 20.09.2021 09:49, Juri Linkov wrote:
>>>> It makes sense to create a copy where the meaning of its arg
>>>> is reversed, so by default it will operate on branches,
>>>> and only with C-u on tags.
>>> Yup.
>>>
>>> But I also wonder if reading START-POINT with completion (with current
>>> branch name as default) will make sense for creating tags in all backends
>>> too.
>> You mean tag completion for creating tags?  Maybe.
>
> Branch completion. To specify which branch tip to tag.
>
> This seems like an unusual thing to need to do, but if we keep branch
> and tag creation on the same command, and add START-POINT completion by
> default, it might become the expected behavior in both scenarios, no?

I think also (maybe that's obvious, but still) that START-POINT
auto-completion should include both branches and tags (because it's
common to create a branch off some tag).  Of course, it should allow
specifying arbitrary commit hash.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 20 Sep 2021 16:53:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 12:53:53 2021
Received: from localhost ([127.0.0.1]:43944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSMYD-0004qr-5f
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 12:53:53 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:41775)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>)
 id 1mSMYC-0004qW-5g; Mon, 20 Sep 2021 12:53:52 -0400
Received: by mail-wr1-f51.google.com with SMTP id w29so31594617wra.8;
 Mon, 20 Sep 2021 09:53:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=tXK7/VO7V8/3EMpSlo25aGljaZhS+j0tjKNmfEK6VVo=;
 b=F8IBHiqdpUTCODppcU+cAwn35sdCofO+DpCyB46qjWsnKQ6fA/iTRfsvrz9bH0kZk1
 16B5leDE5FXEo6G29B1ceXJzpYm9ahpPXQvPwXdKyQed4zDUN6Xm6T3ASoLb0HFFQMJZ
 rOmZfxNg1SvtnN8iy3x6Et5vD+i3chNsQtaMx4fjMGtwXzRjQw3277m5UJLWtnsyachq
 7xFL7XB60gmmtiyFH5DeBKpayaa73sg50rnRHKqbC+UoEAzmJUCvvOzUL/Wl1YqE4ppk
 xYExXtMyPNlXIJmcBYxoLMZnFA/8ISwoea6M8TZ1SxysuptCuoQU1XqJT7pRgd4eZ8FO
 2kCw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=tXK7/VO7V8/3EMpSlo25aGljaZhS+j0tjKNmfEK6VVo=;
 b=vntqt8FP+vek30/RKXdlPE23aQDFUC268BvjilQmcHI5Bk5mX7wUdrCleSDPQsddxO
 hxDcpQM/YePAbfDOhLjfNbzQ42krhg6a0bMQD0sREmEYXDZOIBMJ1bEDeeW78UFM6SKu
 91lcvycqp4clt9bjg5AwXMYTbR28nqycxs90x7gmPrdEfcMyehVkfoe8Mat6uEjtbMr4
 nEgBaTamiBDmG9jJL0Wuq0IaAxnlVN6nDhjU3E6pYpVIG/XaPa1nDlRPL7On6PMNQWd7
 /6XFVCwFoofpOfuceRKfphjxJXNn8ti5LBbFVTi5hzgRSseV1hjkrbCbvtF/MYyk3o2s
 knag==
X-Gm-Message-State: AOAM533GtULUOQXexc2pigIZ0Y+tkCIPfglUzM7lE87g7ThaOQTuufOZ
 Ya77Bu/QOBFxDyk8nerkq8O6vp8ahp8=
X-Google-Smtp-Source: ABdhPJwSQZgQUWXhiEoEgZbAj7JDSBwKumjxp/MHHQ2ii9KxTOG/aG9XNszuL9CNmukcRBqRrg5/7g==
X-Received: by 2002:a5d:4608:: with SMTP id t8mr29731650wrq.136.1632156826161; 
 Mon, 20 Sep 2021 09:53:46 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id b187sm49180wmd.33.2021.09.20.09.53.44
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 20 Sep 2021 09:53:45 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN> <m24kajutb1.fsf@HIDDEN>
 <dc984fd4-5a85-a2e0-ad18-ccf1de8b82ff@HIDDEN>
 <874kahogdt.fsf@HIDDEN>
 <8ea68c73-df86-7e65-a07f-77367e4a906f@HIDDEN>
 <87y27sfpxz.fsf@HIDDEN>
 <077bfc22-616e-cd67-3e84-e6917f9e2e53@HIDDEN>
 <87sfxzoimv.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <bb5e5f63-e150-e54e-9e59-adeaf578a763@HIDDEN>
Date: Mon, 20 Sep 2021 19:53:42 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87sfxzoimv.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 50643 <at> debbugs.gnu.org, Filipp Gunbin <fgunbin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 20.09.2021 09:49, Juri Linkov wrote:
>>> It makes sense to create a copy where the meaning of its arg
>>> is reversed, so by default it will operate on branches,
>>> and only with C-u on tags.
>> Yup.
>>
>> But I also wonder if reading START-POINT with completion (with current
>> branch name as default) will make sense for creating tags in all backends
>> too.
> You mean tag completion for creating tags?  Maybe.

Branch completion. To specify which branch tip to tag.

This seems like an unusual thing to need to do, but if we keep branch 
and tag creation on the same command, and add START-POINT completion by 
default, it might become the expected behavior in both scenarios, no?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 20 Sep 2021 16:00:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 12:00:13 2021
Received: from localhost ([127.0.0.1]:43904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSLiH-000340-Fl
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 12:00:13 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:47199)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fgunbin@HIDDEN>)
 id 1mSLiE-00032R-JJ; Mon, 20 Sep 2021 12:00:11 -0400
Received: from compute2.internal (compute2.nyi.internal [10.202.2.42])
 by mailout.nyi.internal (Postfix) with ESMTP id DF6255C0170;
 Mon, 20 Sep 2021 12:00:03 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute2.internal (MEProxy); Mon, 20 Sep 2021 12:00:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.fm; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type:content-transfer-encoding; s=fm1; bh=
 J5RHwAQboWxp0HDf9jQ0jtO62byuhGUykhWQze7lWnQ=; b=PflxyxB/KHcqbhFe
 a6niw35fN9genKY1eyY0vp1Q+ffgM4YWVyMvdS+R7dr9DEtCo7zvqczUNgH4Av3o
 +R+OYZ+EqRpLtL9/Tw6j8/ZGcHCgthEp75mR9CRZs0bDB+bn4faL4pnWK6kPaUT/
 xBiEFbOL6vD2rswybNxC+j1bcIAP6ArTXFwHxUfeYLUF/1gBhWjQOwSR9bil38r3
 eTq8jc63NjWlmQb6b2pAeyE2E+cxHJfWZtCNvfqLUkwZrF6UpISvmjj3Fo/0RMlH
 dfiZppPYvbYxm8qVoGatoIje/aSuOC2PpDjPYjGFsoHW8VYxNNUAhqM6haINbn2V
 qGnrow==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-proxy:x-me-proxy:x-me-sender:x-me-sender
 :x-sasl-enc; s=fm3; bh=J5RHwAQboWxp0HDf9jQ0jtO62byuhGUykhWQze7lW
 nQ=; b=uzrH86y9y4CEkBEs//Ob+Abd+vNZvrRFRDtdRwFDCnCIe++x3MUxPQibl
 aCxBWLsgXNTob2uIXK48HQkcFRN2xN7204+KfTe08sue/XhsFCLKNtTHZYhlVpLA
 dsfzA2i08H1ox8R43ou/mm7opCRn5meqG53V4hkbEJvVHNBp6/F8SY/sxdxfxaZL
 aIOBpAKKplnrIF6VUYV188oWwrZIpwcD1RJsDDrMj805YE0WrNh5iEq0tLVllRLS
 zpwJ087wMjXdFzz+/CcJ6A8eBrYmaBaZEQYi7u5jtTPycPVzezrxSceFoVVo0uNw
 6+qjVihS/5yDj3mCzRxfC6rf2S9Kg==
X-ME-Sender: <xms:A7BIYZ54w2bQ-iRsvYuadBdKAyu1WGXrvvWBl1Rd6759I0tAp2cfoA>
 <xme:A7BIYW5rNt1UTqloLu2yuvgUyquC7wVekB7_DgfKA1WBJq2gCZqD3R-DA1ywWxPF6
 CGLJiuckRdsXFmS>
X-ME-Received: <xmr:A7BIYQfqeHlhXwf6exBGSZ_hi5b7GG6Iu-akQN7MTpWlLExaM3i6htXOZrA_WwJ-mw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudeivddgleegucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtgfesthhqredttderjeenucfhrhhomhephfhilhhi
 phhpucfiuhhnsghinhcuoehfghhunhgsihhnsehfrghsthhmrghilhdrfhhmqeenucggtf
 frrghtthgvrhhnpeekvdekudelvddtvdelveejgeetudfgvdelgfeftefgkeejheehvefh
 gfetffeigfenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhgrihhlfhhroh
 hmpehfghhunhgsihhnsehfrghsthhmrghilhdrfhhm
X-ME-Proxy: <xmx:A7BIYSJbFXAQDetTfoTIArH6L-gcFOe5hfuiYLy66zuLahOUK_fPSA>
 <xmx:A7BIYdIdlKRyzGYk5_IGPH3CsjJmVu32lLE_0RRRPyIcndTQHBF1kA>
 <xmx:A7BIYbz6WUC4EznHP3M_uB-YGITZ7K8nkHbJi7H9K2U_LhhLO3cqHw>
 <xmx:A7BIYd17KBVw3RC8VfiFTCIIfuUE2bj6dpFVod3xhuykrggGCODUWw>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Mon,
 20 Sep 2021 12:00:02 -0400 (EDT)
From: Filipp Gunbin <fgunbin@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <874kahogdt.fsf@HIDDEN> (Juri Linkov's message of "Sat, 
 18 Sep 2021 22:03:42 +0300")
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
 <m24kajutb1.fsf@HIDDEN>
 <dc984fd4-5a85-a2e0-ad18-ccf1de8b82ff@HIDDEN>
 <874kahogdt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
Date: Mon, 20 Sep 2021 18:59:59 +0300
Message-ID: <m235pzgruo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 50643 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 18/09/2021 22:03 +0300, Juri Linkov wrote:

> Shouldn't tag commands be moved to another prefix key =E2=80=98C-x v t=E2=
=80=99?
> But I don't know how often tag commands are used.

Sounds good, C-x v t is where I'd look for tag-related commands first.
However, I don't use tags much (besides creation - only "git fetch
--tags"), so I cannot add anything meaningful here.

Otherwise, the plan for C-x v b prefix looks great.

Other commands, like maybe "C-x v b r" - rename, could be added then.

Filipp




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 20 Sep 2021 07:10:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 03:10:50 2021
Received: from localhost ([127.0.0.1]:40847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSDRx-0002PX-Vm
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 03:10:50 -0400
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:36973)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1mSDRv-0002P0-U6; Mon, 20 Sep 2021 03:10:48 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 5A28D20002;
 Mon, 20 Sep 2021 07:10:38 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
 <m24kajutb1.fsf@HIDDEN>
 <dc984fd4-5a85-a2e0-ad18-ccf1de8b82ff@HIDDEN>
 <874kahogdt.fsf@HIDDEN>
 <8ea68c73-df86-7e65-a07f-77367e4a906f@HIDDEN>
 <87y27sfpxz.fsf@HIDDEN>
 <077bfc22-616e-cd67-3e84-e6917f9e2e53@HIDDEN>
Date: Mon, 20 Sep 2021 09:49:36 +0300
In-Reply-To: <077bfc22-616e-cd67-3e84-e6917f9e2e53@HIDDEN> (Dmitry Gutov's
 message of "Mon, 20 Sep 2021 03:33:56 +0300")
Message-ID: <87sfxzoimv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 50643 <at> debbugs.gnu.org, Filipp Gunbin <fgunbin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> It makes sense to create a copy where the meaning of its arg
>> is reversed, so by default it will operate on branches,
>> and only with C-u on tags.
>
> Yup.
>
> But I also wonder if reading START-POINT with completion (with current
> branch name as default) will make sense for creating tags in all backends
> too.

You mean tag completion for creating tags?  Maybe.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 20 Sep 2021 00:34:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 19 20:34:06 2021
Received: from localhost ([127.0.0.1]:40329 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mS7G2-0000Kt-Kr
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 20:34:06 -0400
Received: from mail-wr1-f50.google.com ([209.85.221.50]:42806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>)
 id 1mS7G1-0000KL-2T; Sun, 19 Sep 2021 20:34:05 -0400
Received: by mail-wr1-f50.google.com with SMTP id q11so25685780wrr.9;
 Sun, 19 Sep 2021 17:34:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=jRR6UQvxJILopNVv8AM9UoanhJ8KNuGp5uMaQ3hx/VQ=;
 b=E/sl7fHrgorG6caMHohLltWIUCi7SF5C8z9Y4yNjr7IekahCQq0efzMPi1gEluysmZ
 UHkPevZ2DKSDujKfukH6cXZYS2qb3ZyRzgOeWv8cS1S/ycZCJFlPU3ijiy7C5bAGsglL
 OAJFJCrq+6isJj/00rzA2TKuqW18kzkOB5JrRcPaSk3JVsgPx90YD3aeHBUXVK0OGduw
 lNLiw7Kz/KbaACBYle5OjP8sYhVHXIRVJs3VKMn1nZ6UT28jgaonn/MJ2ztgYbvd6SDV
 GwccX/tB+/AL94PbTWfUQXoBm3hMXeqCaJ+9wTst1lvM0T6aPY8O8zgeORQZRTGOa2/B
 /dlA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=jRR6UQvxJILopNVv8AM9UoanhJ8KNuGp5uMaQ3hx/VQ=;
 b=JfUt4ej+6Kjebq6tXEEfJ1h4IMcbcdiSvCNY+CRun/IW9n4SE9Z9IPVrQCD1fEmP0i
 Qb/xnGfrDlgQx2daBhItTYfj/R9Zs1Qxhd0jpfNBNiMXq2j1PvAIaqocaAHYGl4Nhw9J
 EnILkuN/2A7neIlLp1R/iCWZ7ZbVd4+DIVrv1m39Z7GgaK7QNWaijFDwKwYzpw+tCiDy
 ciZ/r/FlTNIa5ms+nDwAneg4G+0BmDKrqg7/9u0oC/b9t46Tv0o2f4l0FLEif2Q0vIQW
 dX1Buo8WqMYztzldR8Cqk+BH8k3pysVct8wP7VBBbpqiQEX+IgiP8VtoBFeXeMVQqv/z
 ZA/Q==
X-Gm-Message-State: AOAM532ZMhs5PYlv4idZZHaWgGxLSIe2lp/XdV3X0Le1c622OMNy9frs
 dyIg46z9prgGB2mPLyt0e+Fv/3W1H38=
X-Google-Smtp-Source: ABdhPJx9naGcF891A3Wgw9PydqhjXsJ5l2PV+0aGabPYINa0ZzojlfDYnXhARAiHfNtqBQAiC01piQ==
X-Received: by 2002:a5d:4d02:: with SMTP id z2mr25674837wrt.8.1632098039236;
 Sun, 19 Sep 2021 17:33:59 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id e5sm7929136wrd.1.2021.09.19.17.33.57
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 19 Sep 2021 17:33:58 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN> <m24kajutb1.fsf@HIDDEN>
 <dc984fd4-5a85-a2e0-ad18-ccf1de8b82ff@HIDDEN>
 <874kahogdt.fsf@HIDDEN>
 <8ea68c73-df86-7e65-a07f-77367e4a906f@HIDDEN>
 <87y27sfpxz.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <077bfc22-616e-cd67-3e84-e6917f9e2e53@HIDDEN>
Date: Mon, 20 Sep 2021 03:33:56 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87y27sfpxz.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 50643 <at> debbugs.gnu.org, Filipp Gunbin <fgunbin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 19.09.2021 20:04, Juri Linkov wrote:
>> So far we only have one tag command, and it doubles for branches with
>> 'C-u'. The other tag-related command doesn't differentiate between branches
>> and tags.
>>
>> Would having essentially two copies of these, but with different names, be
>> a good idea?
> 
> It makes sense to create a copy where the meaning of its arg
> is reversed, so by default it will operate on branches,
> and only with C-u on tags.

Yup.

But I also wonder if reading START-POINT with completion (with current 
branch name as default) will make sense for creating tags in all 
backends too.

>> Are there some VCS which would benefit from a more stricter differentiation
>> between the two? Hg, perhaps? I don't know how branches work there.
> 
> So the question is what backends already use the arg 'branchp'?
> The search shows that vc-cvs-create-tag, vc-git-create-tag,
> vc-hg-create-tag all use this arg.

I thought of Hg in particular because there was a report or two citing 
some problems with how we handle them.

And: "Mercurial offers a variety of approaches to branching, including 
“named branches”, “bookmarks” (most similar to git), “anonymous 
branches” and using clones." 
(https://markheath.net/post/using-named-branches-in-mercurial)

That's basically all I know about it.

The introduction in 
https://www.draketo.de/software/mercurial-branching-strategy, however, 
sounds very similar to Git's approach.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 19 Sep 2021 17:15:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 19 13:15:38 2021
Received: from localhost ([127.0.0.1]:39801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mS0Pi-0000CT-KB
	for submit <at> debbugs.gnu.org; Sun, 19 Sep 2021 13:15:38 -0400
Received: from relay10.mail.gandi.net ([217.70.178.230]:50667)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1mS0Pg-0008WH-B2; Sun, 19 Sep 2021 13:15:37 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay10.mail.gandi.net (Postfix) with ESMTPSA id 21E80240002;
 Sun, 19 Sep 2021 17:15:27 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
 <m24kajutb1.fsf@HIDDEN>
 <dc984fd4-5a85-a2e0-ad18-ccf1de8b82ff@HIDDEN>
 <874kahogdt.fsf@HIDDEN>
 <8ea68c73-df86-7e65-a07f-77367e4a906f@HIDDEN>
Date: Sun, 19 Sep 2021 20:04:16 +0300
In-Reply-To: <8ea68c73-df86-7e65-a07f-77367e4a906f@HIDDEN> (Dmitry Gutov's
 message of "Sun, 19 Sep 2021 03:01:48 +0300")
Message-ID: <87y27sfpxz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 50643 <at> debbugs.gnu.org, Filipp Gunbin <fgunbin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> So far we only have one tag command, and it doubles for branches with
> 'C-u'. The other tag-related command doesn't differentiate between branches
> and tags.
>
> Would having essentially two copies of these, but with different names, be
> a good idea?

It makes sense to create a copy where the meaning of its arg
is reversed, so by default it will operate on branches,
and only with C-u on tags.

> Are there some VCS which would benefit from a more stricter differentiation
> between the two? Hg, perhaps? I don't know how branches work there.

So the question is what backends already use the arg 'branchp'?
The search shows that vc-cvs-create-tag, vc-git-create-tag,
vc-hg-create-tag all use this arg.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 19 Sep 2021 00:02:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 20:02:03 2021
Received: from localhost ([127.0.0.1]:37167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRkHT-0001XH-0W
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 20:02:03 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:55912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>)
 id 1mRkHN-0001We-HL; Sat, 18 Sep 2021 20:02:02 -0400
Received: by mail-wm1-f46.google.com with SMTP id 70so7272191wme.5;
 Sat, 18 Sep 2021 17:01:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=BARUgwtERqziW0dXQ4Fnq4/o9zioQmxKfRNS0Ve9BLk=;
 b=ng/jo7kTi8k15VHSbPoAV579SWHdTjkkHPm0+UqMzN/BGC22GmXsscDgiyQeTfBFkW
 nNp+tcEBMnFt6xI+mG1Lm2mMeIRnKfQxFzWkn8281vmQ+2KV3ochtmfZFRdijOfbkcuq
 roWEadkAaAq4tpMkVMCP9tUIsJuGxndrpZ1GUdEquqGm5ny+Y405pGL0Q4ZpGhsG1X9C
 c6hQ8J19HPqAuhnAqvXu0H5xUsZNNicnaQ1eNtlmB9hetIzFlQ9GadMr3299/bXMfxsX
 +ab6WyePDUMbDKyx4Aop5/jZ3zEwXQyPzDQYH4Y4sclQ3n5/86NYzyAPfs15pL3NliNX
 oQGA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=BARUgwtERqziW0dXQ4Fnq4/o9zioQmxKfRNS0Ve9BLk=;
 b=ioaOiV/DgHQmBFy3Sjnh1yy491mNhML/dgjia0QLyAfoozCPW6msSe1GdAWFF8rVmo
 uy5FUutS6LZQj/xsGkm/NQ38/W+75/kD6WZi5NhtUiAj0yoh3ZEkUuZHlvU7d5/TXgf6
 jByywjCkufFqklpGqmjGEo+NW0ZCZyCZ/3W8Ju26Knf4WBEvFYgxvSVb+QncHvKvnvJI
 E+UW0DGZYXRt8/Qn/3/n5dgA4rNRJFeIFw/h794g7kC7Cpb0EgaaBo3xTRmHLGToozfp
 dsS4ztn7iHESVTRucv9TnzwXh1bMa/41w9g78vms8NNCp6BKhXjsXYKFDvZxtgr9gx53
 Q4Mg==
X-Gm-Message-State: AOAM532GYifRQ07ubZp6jLAsWfia5U38EAp9UkqXBcOarNPPBD6dKor8
 Ym3FPg9VrMoxzeXnnXDh8HQ2fER1Tlo=
X-Google-Smtp-Source: ABdhPJxJ2XcA79MFDMxHO94pGNywYNs20KJ5Uc2Oenc/wE/qtYx0LGTIoE3VMBK9j+etyU/qIitXlg==
X-Received: by 2002:a05:600c:4105:: with SMTP id
 j5mr5666597wmi.138.1632009711517; 
 Sat, 18 Sep 2021 17:01:51 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id b187sm9712692wmd.33.2021.09.18.17.01.49
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sat, 18 Sep 2021 17:01:51 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN> <m24kajutb1.fsf@HIDDEN>
 <dc984fd4-5a85-a2e0-ad18-ccf1de8b82ff@HIDDEN>
 <874kahogdt.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <8ea68c73-df86-7e65-a07f-77367e4a906f@HIDDEN>
Date: Sun, 19 Sep 2021 03:01:48 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <874kahogdt.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 50643 <at> debbugs.gnu.org, Filipp Gunbin <fgunbin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 18.09.2021 22:03, Juri Linkov wrote:

>>>> Yes, a separate feature request is preferable.
>>> I'm also thinking of a separate command for branch creation, wrote all
>>> that in bug#50643.  Thanks.
>>
>> This part might actually fit better in this one: if we add a new command
>> which will create a branch by default, then it will fit the new 'b'
>> keymap best.
> 
> 👍 for the new branch command.  Until now, I avoided ‘vc-create-tag’
> to not make a mistake that will create a tag instead of the branch.
> 
>> We could actually do the migration this way: create a new command which
>> "flips" the branch-tag relationship and put it on 'C-v b c'. Then, if we're
>> not removing the 'C-x s' binding in this release, we could obsolete the
>> command in favor of the new one because people create branches more often
>> tags tags these days (right?).
> 
> Shouldn't tag commands be moved to another prefix key ‘C-x v t’?
> But I don't know how often tag commands are used.

So far we only have one tag command, and it doubles for branches with 
'C-u'. The other tag-related command doesn't differentiate between 
branches and tags.

Would having essentially two copies of these, but with different names, 
be a good idea?

Are there some VCS which would benefit from a more stricter 
differentiation between the two? Hg, perhaps? I don't know how branches 
work there.

Either way, we could put the same command in both keymaps, but I also 
don't know how often the tag commands are used for working with _tags_ 
these days.

>> The command could also prompt for START-POINT by default: it shouldn't
>> really hurt to press RET once more at the end. It can also be useful to
>> double-check the branch you are currently branching from.
> 
> A prompt for START-POINT would be fine with completion on branch names,
> and saying what the default value will be used when exiting with RET.

Yup!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 18 Sep 2021 19:05:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 18 15:05:40 2021
Received: from localhost ([127.0.0.1]:36928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRfee-0004mw-7Z
	for submit <at> debbugs.gnu.org; Sat, 18 Sep 2021 15:05:40 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:58377)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1mRfec-0004md-6Y; Sat, 18 Sep 2021 15:05:38 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 4151C1C0002;
 Sat, 18 Sep 2021 19:05:29 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
 <m24kajutb1.fsf@HIDDEN>
 <dc984fd4-5a85-a2e0-ad18-ccf1de8b82ff@HIDDEN>
Date: Sat, 18 Sep 2021 22:03:42 +0300
In-Reply-To: <dc984fd4-5a85-a2e0-ad18-ccf1de8b82ff@HIDDEN> (Dmitry Gutov's
 message of "Sat, 18 Sep 2021 03:09:13 +0300")
Message-ID: <874kahogdt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 50643 <at> debbugs.gnu.org, Filipp Gunbin <fgunbin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>>> It would be nice if vc-create-tag allowed to specify start-point
>>>> conveniently:
>>>>
>>>> git checkout -b new-branch-name START-POINT
>>>>
>>>> Currently I do this in shell.
>>> Perhaps we could do that with 'C-u C-u'.
>>>
>>> Yes, a separate feature request is preferable.
>> I'm also thinking of a separate command for branch creation, wrote all
>> that in bug#50643.  Thanks.
>
> This part might actually fit better in this one: if we add a new command
> which will create a branch by default, then it will fit the new 'b'
> keymap best.

👍 for the new branch command.  Until now, I avoided ‘vc-create-tag’
to not make a mistake that will create a tag instead of the branch.

> We could actually do the migration this way: create a new command which
> "flips" the branch-tag relationship and put it on 'C-v b c'. Then, if we're
> not removing the 'C-x s' binding in this release, we could obsolete the
> command in favor of the new one because people create branches more often
> tags tags these days (right?).

Shouldn't tag commands be moved to another prefix key ‘C-x v t’?
But I don't know how often tag commands are used.

> The command could also prompt for START-POINT by default: it shouldn't
> really hurt to press RET once more at the end. It can also be useful to
> double-check the branch you are currently branching from.

A prompt for START-POINT would be fine with completion on branch names,
and saying what the default value will be used when exiting with RET.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 18 Sep 2021 00:09:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 20:09:26 2021
Received: from localhost ([127.0.0.1]:33246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRNv3-00012F-N7
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2021 20:09:25 -0400
Received: from mail-wm1-f54.google.com ([209.85.128.54]:54839)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>)
 id 1mRNuz-00011u-Ei; Fri, 17 Sep 2021 20:09:24 -0400
Received: by mail-wm1-f54.google.com with SMTP id s24so8534094wmh.4;
 Fri, 17 Sep 2021 17:09:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=LPYPkN4ezSo9mK65uMyHk/eIFvAaq5pjmRZZYKV1RPg=;
 b=RlJkQpTY6sA7KPoMG+Z04ICa+7rP8LvUZD9EUwnwgSMnjxyCozkTAFazeLraSF/wfn
 bt07Y6OS7rHWayiQtD8ChKCx2ZPg+JVBJn5AOFwTneCAqEK/r1Yq3Qk63SKGPBWFfssE
 mDjSkt2CzJDEpzNhlKd0TL09Jg0BsL+g5y9HI7FEAEjotFUxYVZ79kPf24nliOX/ueha
 zdWiliWwE0HFh4Cqwd6RFKuqO5pL5tn0+9gaPge92dqIub00/gqIo9wo15aTEhrFP2Q7
 axR+1ebazkvxtRNF6rj1Pt8JOc9bKyXoeNrpuDYprRWcmXzsKYBxKbCg9wWDgfWooR9V
 LtmQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=LPYPkN4ezSo9mK65uMyHk/eIFvAaq5pjmRZZYKV1RPg=;
 b=ttz8RwL7Sn95j0cdEN175vfIgRO+VvcVshhwgOGTsVR/6jnNHyCkWPgyyKXkXeNElO
 mSpGFYGHVMthtoet2iiNAuEMVLzz2mJtVD7w3MMKYJZmicREMSYxbBGJWIjbsyp6sKk+
 f6zR8LAR1fFrtJb7ie0ZqCHQTyFLUW25tSCoxaj0ci7gyqvPaxOi6hn7Nolb8It7C3vu
 1QAQ3QmpIrG0QLG0S8hC8m2j0ssBHaPu2B9WN5b50/Q18CGlLv2msm9m5a5ZJJj86iJu
 u0QgzTQZry1/SG9WI4ljqMBvYFP9+j/QgPUxIyHke6NjvIKB3hOq4Tb6A1/Fs9WlXmCQ
 qX0g==
X-Gm-Message-State: AOAM530gmkAO0TXKky0IECZD6PxrvGFP7YQGEoKSzVTqJckEkJOP3lzb
 QQ4wKOitIFcsKA4fT6beDLBRrdJ1X0Y=
X-Google-Smtp-Source: ABdhPJxVCq+vk44YbUFk51Yox2eho5krYoUNZ3m4e83dYvMF+QUDQ/8cjszIrM0LSK/FsCglnMS2tQ==
X-Received: by 2002:a1c:149:: with SMTP id 70mr17511387wmb.187.1631923755431; 
 Fri, 17 Sep 2021 17:09:15 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id p1sm7684425wmi.30.2021.09.17.17.09.14
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 17 Sep 2021 17:09:14 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Filipp Gunbin <fgunbin@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN> <m24kajutb1.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <dc984fd4-5a85-a2e0-ad18-ccf1de8b82ff@HIDDEN>
Date: Sat, 18 Sep 2021 03:09:13 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <m24kajutb1.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 50643 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 17.09.2021 18:15, Filipp Gunbin wrote:
> On 16/09/2021 14:54 +0300, Dmitry Gutov wrote:
> 
>> On 16.09.2021 14:46, Filipp Gunbin wrote:
>>> Maybe I should express this wish in a separate bug, but:
>>>
>>> It would be nice if vc-create-tag allowed to specify start-point
>>> conveniently:
>>>
>>> git checkout -b new-branch-name START-POINT
>>>
>>> Currently I do this in shell.
>> Perhaps we could do that with 'C-u C-u'.
>>
>> Yes, a separate feature request is preferable.
> I'm also thinking of a separate command for branch creation, wrote all
> that in bug#50643.  Thanks.

This part might actually fit better in this one: if we add a new command 
which will create a branch by default, then it will fit the new 'b' 
keymap best.

We could actually do the migration this way: create a new command which 
"flips" the branch-tag relationship and put it on 'C-v b c'. Then, if 
we're not removing the 'C-x s' binding in this release, we could 
obsolete the command in favor of the new one because people create 
branches more often tags tags these days (right?).

What do people think?

The command could also prompt for START-POINT by default: it shouldn't 
really hurt to press RET once more at the end. It can also be useful to 
double-check the branch you are currently branching from.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 17 Sep 2021 15:15:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 11:15:56 2021
Received: from localhost ([127.0.0.1]:60918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRFam-0002PD-8a
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2021 11:15:56 -0400
Received: from out5-smtp.messagingengine.com ([66.111.4.29]:53443)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fgunbin@HIDDEN>) id 1mRFak-0002P1-Li
 for 50344 <at> debbugs.gnu.org; Fri, 17 Sep 2021 11:15:55 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 998F05C01E2;
 Fri, 17 Sep 2021 11:15:49 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Fri, 17 Sep 2021 11:15:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.fm; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=B5cG7E2YSVzfhAR9LiZQVPeznO
 oCPxaxQBQAhz6NYC8=; b=hcTnhbfEwSquPMnV4oqmQA0nDbeofqQBtKZ+5N7drq
 DtBB4Uyj7ytSsdaF8LPJqE7Lcved0HhODJj29TJIFOcVt1xonSfaMzGQBjlg4+N6
 a41idlBhtK4G+RmlVcr3Nnh3zwO4y7hLIfYyMG4NPfL0FJP03PDjmV06Aa1kwVFh
 bD1UPaRWosDNoRcl305whIYAkH7qBN5bV3OlWYto94L6e4amWXEZu42s+UwFAi/q
 ZjFLof5upy/84QrFI5AIehMcgzlKXHkNPOBcS2met+gAjutbTfQsbA/mLZwI5auI
 soovRovLIO/bec1h/pXWndssjClwEEooTGXG7J6BDe7g==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=B5cG7E
 2YSVzfhAR9LiZQVPeznOoCPxaxQBQAhz6NYC8=; b=f034T+9UGAiy64pPjDXq5s
 vhFObXf9ZjpvSCBkm+UZezPgPtRbw7ml1P1LjQwIuUN81FTR7aaEewD/eVcqjt4g
 HlhJjxaK+bO6xjIXG0Yi9ubx8lwv8S+ObXkuw8HElHsvWSDcE2JT344hIRvmB0+9
 Wc3YjnqhVNw/knv6H9YRCLtLhYkp3/VSM6ild7BE0M5Wfww/ZoxnbDGyCbmHMeu/
 926JAEtaiecSOUnXThP0gQjmw3RPBZZ9gJYurwnh8NdDypkwtFtLG5syANU8MZQC
 YlhTKdQPMCpm/lEgzze63igA+u6Jz+pocZ8vtqJI6MtkQCZIKydGCx5ukB9FZPqw
 ==
X-ME-Sender: <xms:JbFEYUz_1_crGu0Ey0fyg38_KUPbqqxi7Uj39A17-35ntBvhj-P0OA>
 <xme:JbFEYYQXXCDhE9kDuqqdttUaA0SZ16jd8pbl1SDMJloY9g3LLGmmToU8Fpw2hmPB6
 yzlYUFikqyQrXlP>
X-ME-Received: <xmr:JbFEYWXzZqEGP4H_4DSbmJBxorCFu9ZuTQjWW9_bLyx_9jdacfhgABBi_JF7gI6fIw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudehiedgkeduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehttdertddtredtnecuhfhrohhmpefhihhlihhp
 phcuifhunhgsihhnuceofhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmheqnecuggftrf
 grthhtvghrnhepvdevkeffvdeuvefhuddtjeehkedvueefveettddtveduudfgieffieev
 ieevhfdtnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomh
 epfhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmh
X-ME-Proxy: <xmx:JbFEYSjMgXNEo0SnzOLx81lms1zf6kl90hQMDdYy5tIqY2Vd66qSsg>
 <xmx:JbFEYWCh0-zMfQgdVTJmuYzLZdpskZHCvy8fGul3KZygENKZflXMHg>
 <xmx:JbFEYTKSfn6zc1eJ0scuBM536CxZ8B_yyXdMN92a__Lxmi0x04jAOQ>
 <xmx:JbFEYZN6LagcqcXi1-xG9IC3acwQm7jLjy9juToLff2nBx4f-bch3g>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Fri,
 17 Sep 2021 11:15:48 -0400 (EDT)
From: Filipp Gunbin <fgunbin@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN> (Dmitry Gutov's
 message of "Thu, 16 Sep 2021 14:54:06 +0300")
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
 <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
Date: Fri, 17 Sep 2021 18:15:46 +0300
Message-ID: <m24kajutb1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 16/09/2021 14:54 +0300, Dmitry Gutov wrote:

> On 16.09.2021 14:46, Filipp Gunbin wrote:
>> Maybe I should express this wish in a separate bug, but:
>>
>> It would be nice if vc-create-tag allowed to specify start-point
>> conveniently:
>>
>> git checkout -b new-branch-name START-POINT
>>
>> Currently I do this in shell.
>
> Perhaps we could do that with 'C-u C-u'.
>
> Yes, a separate feature request is preferable.

I'm also thinking of a separate command for branch creation, wrote all
that in bug#50643.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 16 Sep 2021 11:54:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 07:54:19 2021
Received: from localhost ([127.0.0.1]:54023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQpy7-0007dl-Cp
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 07:54:19 -0400
Received: from mail-wr1-f48.google.com ([209.85.221.48]:38868)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mQpy4-0007dT-Lf
 for 50344 <at> debbugs.gnu.org; Thu, 16 Sep 2021 07:54:18 -0400
Received: by mail-wr1-f48.google.com with SMTP id u18so7296217wrg.5
 for <50344 <at> debbugs.gnu.org>; Thu, 16 Sep 2021 04:54:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=9/FiR82LkOcrKVi9ezwU9P1sNDMGRJT0hlOM3C8BYL4=;
 b=HMSbfNir2AiaP1NELlMJIXnY/HOhhxEd1UlF/yLikDawwDSWcv3HkGHHqpO+JCe22L
 0EN41szeLjersBka3zsV0zL6NqOxlBTSZnX4wTAaMcDnFK1P8ZHev0smWkCmOYk0oPSV
 wXs3KV/GJJIZQ9iOb27eb3QAIHFQzAvOJU3NngUwFxGImVmO1zhH0KgCPvK09sh21mZA
 pCrLj4ROG7oygbvPNXlBhZ92HxjE1hTVBfVG5sH8pTV+qr/6vm0IeJmDhLpCxKheG0oK
 n9WaP+uLAMlxuU8RWRbQeYS0TocyWHKWiGCMI03Uzj9ywbjs4Jnzwx99HmA4imyP2CIk
 3ykw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=9/FiR82LkOcrKVi9ezwU9P1sNDMGRJT0hlOM3C8BYL4=;
 b=5Ae93zzb52hUBc6wXchbsS06x7oIY82WT/YsmKLdPvEFAeW/03nOLZRlKhBJtwgkLX
 k96ubZMTSejKJjQZKEX3YrSo55aJnguItFc9pK1JTQQj0sEl0n/iEXp5YgOawQSNE3J4
 GSxL3WuffQeFKsnh3qeg3OMeN2xHnv2sPw2NrK0kix4Jp90DnUWtHhhPXGzYVMYFraiK
 OzmfXJdYs+az6ovHEMcTkiTlTCg08McZxRQ3TsXQDZCIVadpyiDCLIhv5BXGfp7VDvp9
 wBtk8AB4nc/QRWBaWVgtpn5e9DCy9kYN5FEmqxP01gz/ClvC2leHOokCQ9wfiAPt+Tb1
 vaKw==
X-Gm-Message-State: AOAM530PV8hIJvUMgabnfa9REw8Z/xiTHCOzYxRqeKcaosXNTnDSd62S
 I2s7cYcOCK+fTrSRlid1t8Y=
X-Google-Smtp-Source: ABdhPJy21luUbEqCwsAM/WnllbfDDJlWLWVTsoeBabvT/LX55AoTUCqR7q/2EFwOk3eXGE8rQwOb5A==
X-Received: by 2002:a5d:43d2:: with SMTP id v18mr5592784wrr.98.1631793250815; 
 Thu, 16 Sep 2021 04:54:10 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id i5sm3051152wrc.86.2021.09.16.04.54.08
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 16 Sep 2021 04:54:10 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Filipp Gunbin <fgunbin@HIDDEN>, Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <m2h7ekg2ug.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <85dfa858-091b-80df-b9d1-bd1136c2b91e@HIDDEN>
Date: Thu, 16 Sep 2021 14:54:06 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <m2h7ekg2ug.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 16.09.2021 14:46, Filipp Gunbin wrote:
> Maybe I should express this wish in a separate bug, but:
> 
> It would be nice if vc-create-tag allowed to specify start-point
> conveniently:
> 
> git checkout -b new-branch-name START-POINT
> 
> Currently I do this in shell.

Perhaps we could do that with 'C-u C-u'.

Yes, a separate feature request is preferable.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 16 Sep 2021 11:46:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 07:46:43 2021
Received: from localhost ([127.0.0.1]:53990 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQpql-0007Lt-0n
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 07:46:43 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:55297)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fgunbin@HIDDEN>) id 1mQpqi-0007LZ-Jw
 for 50344 <at> debbugs.gnu.org; Thu, 16 Sep 2021 07:46:42 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id F220B5C01DD;
 Thu, 16 Sep 2021 07:46:34 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Thu, 16 Sep 2021 07:46:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.fm; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm1; bh=/4fRCdUpxjQKm4ykM4ra9JuiVx
 v74r+5NraRxu/BEtg=; b=a4S+ljEvcLahn4W/K1exjvSXbp7KfpWKwz0iMsNq3d
 mqfCrDsMGJJdOqKvU2rLtyG/Fy7O9FGEkoyYKQDrA1F8B3quW/4spu4KZO5WWIm5
 qp7HJ+pgTfhZzmMnwbNlPAgAOaXlN1So0jZprxaPxo37/C1wwGYmtZKYBclDqr9i
 rHgxyed30cvD86z6Ku6lG/pYZe0KMt42DI2Xyb4HSZu4KALXKe1BRAhFvGdaNfPM
 E78z+LBCyKELhXtaryq+xO+WD9jXw3y9oTzgecN8d+h0xBYAsuD4ws65y2lYgHds
 unQE+Kcg3gD/EGsqKQKUbcy8YJbwd0/SnAQp9afiL2gg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=/4fRCd
 UpxjQKm4ykM4ra9JuiVxv74r+5NraRxu/BEtg=; b=ggW7MUC0axk63XKLyqK+3h
 mm46mcQdiHBHM9BtH0x8Z97igHeZaRWVfWLehdmq6bgkcdsV24j9T2bf5bydm+C9
 tse8ATL5dMh+h6RlD0OkWNw3iZTZIHQxbxCB1l/UParKaCMdDnCO7pv23Lm5NVyf
 WMZgSq3zVR7LUDaS+PM+3By3+4JpycpU8mS4geNiN1sYC5Da1I4Rz3NnQgUUccLf
 qVKKHI+jUvd0hBCS5+PCWVhKDlf/DnWVBLo18r8FQaSQA2CBBsycprI/fF0q9Crw
 QrY2dXZd6CwsTmmCB11wR7WWQRnGoHAJm0U/KPcxHS4h9gtDGi6X/5DddwBup67A
 ==
X-ME-Sender: <xms:mi5DYXAhPxe_U4lcBHv2kd8Wmv388YPa9ksywFw2NGjtMl-8fQ4Tyw>
 <xme:mi5DYdj4IdmkpukPFdbDtHaDNPJD9mRuR998VN_OzBiJXHmjWxEbSsL76Y6XhQWBn
 QdmGyIQGizXnYnp>
X-ME-Received: <xmr:mi5DYSlciaeY63pyu22cphp8z0fSumRqoREPoWGhF60clzhIW8Jv1sTbqAT8AgBFbg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedvtddrudehgedggedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehttdertddtredtnecuhfhrohhmpefhihhlihhp
 phcuifhunhgsihhnuceofhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmheqnecuggftrf
 grthhtvghrnhepvdevkeffvdeuvefhuddtjeehkedvueefveettddtveduudfgieffieev
 ieevhfdtnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomh
 epfhhguhhnsghinhesfhgrshhtmhgrihhlrdhfmh
X-ME-Proxy: <xmx:mi5DYZx_-Iaa1J96S6CNPtXQx1TOtr2RpbEDU-NrRLbcuOpIdDmcvQ>
 <xmx:mi5DYcRBiOJj0icz2AX2ua7nH1L4S34Mo3ggO_93zEnh8x7uyQOYhQ>
 <xmx:mi5DYca0sPgozzd_9v5QHYrNrBFhWlZGk96C3T908k2UBmlIfZ_YqQ>
 <xmx:mi5DYXdDiM7lcOk9km-n-4495rosFVMAyM1nDqxf33C_ChnO2kf6Zw>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Thu,
 16 Sep 2021 07:46:33 -0400 (EDT)
From: Filipp Gunbin <fgunbin@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
In-Reply-To: <87fsudsngq.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 09 Sep 2021 20:39:57 +0300")
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (darwin)
Date: Thu, 16 Sep 2021 14:46:31 +0300
Message-ID: <m2h7ekg2ug.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 09/09/2021 20:39 +0300, Juri Linkov wrote:

>>>> Speaking of (re)moving bindings: 'C-x v b' (vc-switch-backend) seems
>>>> particularly useless.
>>> Oh, wow.  What's the use case for that command?  I can't imagine when
>>> that would actually do something useful...  And it's a really old
>>> command, too -- perhaps this was something that made sense in an RCS
>>> world?
>>
>> I think it's for the case of nested repositories, like in bug#42966 and
>> other linked reports. And perhaps our detection might make the wrong
>> choice, thus it can be tweaked manually.
>>
>> I don't have any specific scenario in mind, though. Or personal experience
>> with such nesting.
>>
>>>> If we do this the conservative way, though, the whole procedure can
>>>> span half a decade:
>>>>
>>>> - Move vc-switch-backend to 'C-x v B' (Emacs 28)
>>>> - Move branch-map to 'b' and vc-create-tag to 'C-x v b c' (Emacs 29)
>>>> - Finally move vc-search-log to 'C-x v s' (Emacs 30)
>>> We could do the first two steps in Emacs 28, perhaps -- if anybody's
>>> actually using `C-x v b', they'll then get
>>> C-x v b-
>>> in the echo area, which should tell them that something's different is
>>> happening now...
>>
>> Works for me.
>>
>> Juri, what do you say?
>
> I think in the long-term it would be nice to have these keybindings:
>
> C-x v B   - vc-switch-backend
> C-x v b c - vc-create-tag (maybe it should have an alias 'vc-create-branch'?)
> C-x v b l - vc-print-branch-log
> C-x v b s - vc-retrieve-tag (maybe it should have an alias 'vc-switch-branch'?)
> C-x v s   - vc-log-search
> C-x v r   - free, any ideas what to bind to it?
>
> Since `C-x v b' will show "C-x v b-" in the echo area,
> and `C-x v s' will show "Search log with pattern: " in the minibuffer.
> and `C-x v r' will show "C-x v r is undefined",
> I see no problem in adding all keybindings before the next release.

Maybe I should express this wish in a separate bug, but:

It would be nice if vc-create-tag allowed to specify start-point
conveniently:

git checkout -b new-branch-name START-POINT

Currently I do this in shell.

Filipp.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 13 Sep 2021 08:02:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 13 04:02:20 2021
Received: from localhost ([127.0.0.1]:44142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPguy-00033F-OH
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 04:02:20 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:39649)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mPguv-00032a-UR
 for 50344 <at> debbugs.gnu.org; Mon, 13 Sep 2021 04:02:18 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 66D7CE0002;
 Mon, 13 Sep 2021 08:02:09 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
 <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
Date: Mon, 13 Sep 2021 10:47:01 +0300
In-Reply-To: <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN> (Dmitry Gutov's
 message of "Fri, 10 Sep 2021 14:26:13 +0300")
Message-ID: <874kaptwki.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> But...  perhaps we should take this to emacs-devel to see whether other
>> people feel differently?
>
> Some people might feel the desire to express general objection to seeing
> anything changed.

I realized that quite likely many users already rely on 'C-x v s'
and 'C-x v r' to create/switch branches because currently there is
no other quick way to do these frequent actions.  OTOH, I don't
believe that 'vc-switch-backend' is used often.  So it seems pretty safe
to just create a new prefix key map for 'C-x v b', and rebind 'vc-switch-backend'
to 'C-x v B'.  Then leave 'C-x v r' and 'C-x v s' unchanged to give
users time to adopt to the new branch-related prefix map 'C-x v b'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 10 Sep 2021 11:27:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 07:27:43 2021
Received: from localhost ([127.0.0.1]:37097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOeh5-00081p-5E
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 07:27:43 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:33590)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mOeh3-00081a-1X
 for 50344 <at> debbugs.gnu.org; Fri, 10 Sep 2021 07:27:41 -0400
Received: by mail-wm1-f47.google.com with SMTP id
 192-20020a1c04c9000000b002f7a4ab0a49so893058wme.0
 for <50344 <at> debbugs.gnu.org>; Fri, 10 Sep 2021 04:27:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=7eAU1GpYzK4MwDxRURYiuc2bhgDcAD7cOxIym5EhiDI=;
 b=ITaddbQiAwAIfBb0SRk76drdQ6cl6LSiYK7gCklOL5imOVPXfK4kdZddZuYOy4XwvO
 8cxcyj2jVwMkO6od4sCRhmYvUZlKwyGy0Qy/XuHG7vJYEubcIyq6ew4gq/UT+1wfjPWa
 8rom7zh2GtOnQzAfn30q4FZxJJ8dfGGPR6dgsvlpkstTh0OyUcZskRCzQfMnUYEhefhK
 dPTYwr7VgCKiF3UNDszSWcniCwZwouT1Ymri0+Yp6nZr9pRVcCbK9goZlmIflL6Dk7Xj
 GFSnSNtQbnfx3qBCqL9Y5QOxKUMSEMQkwAhMKaAqi8yJUy0ZMy2SF3hhtuOKu3SSU32D
 0VBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=7eAU1GpYzK4MwDxRURYiuc2bhgDcAD7cOxIym5EhiDI=;
 b=a1UtyBIrNKU2tUhBeSGwecubQz0PCI7nsr3UFbM/5tGybGX8CxWv1d8N3FqgO+iVjT
 sAusefLcdUwH6jehiThvhtnSTMkRr8Nl79QmOeKUH8Lc2MATe8vCh7Jt2W4e9XbF9GS9
 RdWs5DV0SpySFJprmXM7bBe6znj1EEt3orpWHZxnoR7AnHv5lmdQwGUt1Lmvf1WCkNyR
 RByHq6zrAsdvlSqUTFHuk+vK+ctoHPv+eQPw0D6nZlJILQz3ki4hvD5XJw1FBeU7kLDT
 dPYrpMSU26RfBOYdYKkpUyqtMheeM8ZUVTdlBOYIeGGXY25jLhVbH5asV6K9P7kJgspO
 7jbQ==
X-Gm-Message-State: AOAM5321voazjaX3s8vBx+tbn30kKOCEnK73m8wIpnK6/u5bP7z0rC7J
 lu9lmGXVC+mzOX/60j4Wfp8=
X-Google-Smtp-Source: ABdhPJwcFNECG7zOgp1U63MmpTMSCF7bCVcUGqo6AQN18jU8ihDUKiv20mojtcFbbyim2Z4SB8HzOA==
X-Received: by 2002:a7b:c014:: with SMTP id c20mr7779506wmb.81.1631273255287; 
 Fri, 10 Sep 2021 04:27:35 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id 129sm3996059wmz.26.2021.09.10.04.27.34
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 10 Sep 2021 04:27:34 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN>
 <0fbdf283-ad2c-1674-ad27-2ac596df7b6d@HIDDEN>
 <87zgsk536r.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <2b60f9dc-8065-03f4-f225-26264672721c@HIDDEN>
Date: Fri, 10 Sep 2021 14:27:33 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87zgsk536r.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 10.09.2021 09:46, Juri Linkov wrote:
>>> C-x v B   - vc-switch-backend
>>> C-x v b c - vc-create-tag (maybe it should have an alias 'vc-create-branch'?)
>>> C-x v b l - vc-print-branch-log
>>> C-x v b s - vc-retrieve-tag (maybe it should have an alias 'vc-switch-branch'?)
>>> C-x v s   - vc-log-search
>>> C-x v r   - free, any ideas what to bind to it?
>> vc-rename-file, perhaps?
> Or use it as a prefix key to allow more keybindings, e.g.
> with mnemonics "revision" to navigate the history like
> in vc-annotate: 'C-x v r n' (revision-next), 'C-x v r p' (previous), ...

Do you have some particular commands in mind?

In general, when we check out a file at a different revision, revision's 
name is appended to the file name. So the same kind of iteration as with 
vc-annotate will not work.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 10 Sep 2021 11:26:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 07:26:22 2021
Received: from localhost ([127.0.0.1]:37083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOefm-0007yY-Fz
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 07:26:22 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:41596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mOefl-0007yK-FR
 for 50344 <at> debbugs.gnu.org; Fri, 10 Sep 2021 07:26:21 -0400
Received: by mail-wr1-f43.google.com with SMTP id w29so1372425wra.8
 for <50344 <at> debbugs.gnu.org>; Fri, 10 Sep 2021 04:26:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=saAOt1wlSH+l7IYr6QhjewlsweHgYRh1fOrDbfXoBIA=;
 b=d47d0kO210Rl63IdjooI1vfHpyTEKJaynlDfhqVPm71fWnAuoferP7/JFlHoBJ9DGy
 T9amXREIGmbCzhaCoNAlPV+ljhszFr26ZwszqaHfBeNIfuj3/dmxoK1DFPDNkfmuNouI
 TYDywHfl9BkT19Wec44/RifqzZFIU4WwEwNUf4ctkoP2qvVT7rLvzeGKGcU166PFymMa
 Jpm4VDaNs9rCFX+ZQpY1EGLrqkv7QMn8/wyPagrgkg80KB+7KA2i9NdCfEeEC15H572Q
 SGgvBUJC5ssZVmDVHvujnc6ElhYR95Xob4ABvri1I2IjgRhdJIuARy14CEVGFm+cRQKE
 B3yw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=saAOt1wlSH+l7IYr6QhjewlsweHgYRh1fOrDbfXoBIA=;
 b=aiByzEzCXR/A1bDNefz8MYmE+C0NduvfuLJb+hm9U0PEi5FIeVr3FaP0FOZXrd2FXI
 VNCtbq+YjHPb0bdae8oYNcC4W1YcWuWgwvOVjPsD//K5EXku69NUdH2tZ0029g3lihHa
 rhfOk52VjzS5cyR9RkB0WR+6KE1UDkvulPLUQDxCmyOWFCv7SLrmi5jTd/N/uomQIKNd
 jfSuf38TYgF3yeLRnYmu7YPqTudtYvYJgdSDokLIyElthmTiFmzjKeis6KJowfJ48el9
 TXMtSIibMNWX7dCzWxEyDjXNEAH93nvqfgIQXuwTROTMEXLouo4RtwSCIpSkqrMcyJEK
 XEyQ==
X-Gm-Message-State: AOAM530MxB33G29UzvfBYq/VYhYTSeqje1B0Di8i7PQziQsCno88ke7f
 OlD1Kjzn6Sm4vW8d2MIVIzBjmPQmHEI=
X-Google-Smtp-Source: ABdhPJzwELnXp+XNOBw39KHGtIa9k8TLy89ZW50i64j8/Ce7KIlCp1qquczaeb/cW4EnLwTnGVL4fg==
X-Received: by 2002:adf:f80e:: with SMTP id s14mr1034826wrp.435.1631273175693; 
 Fri, 10 Sep 2021 04:26:15 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id i27sm3975158wmb.40.2021.09.10.04.26.14
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 10 Sep 2021 04:26:15 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Lars Ingebrigtsen <larsi@HIDDEN>, Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN> <87k0jora9d.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <7ba6c699-cfe5-4fa3-92dd-55b1e227aacf@HIDDEN>
Date: Fri, 10 Sep 2021 14:26:13 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87k0jora9d.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 10.09.2021 13:32, Lars Ingebrigtsen wrote:
> But...  perhaps we should take this to emacs-devel to see whether other
> people feel differently?

Some people might feel the desire to express general objection to seeing 
anything changed.

But sure.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 10 Sep 2021 10:32:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 06:32:59 2021
Received: from localhost ([127.0.0.1]:36952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOdq7-0001yW-9c
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 06:32:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mOdq5-0001yI-0T
 for 50344 <at> debbugs.gnu.org; Fri, 10 Sep 2021 06:32:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=gZr/PQbdAnhreuF4fy8UKqWhDzK963mAdsUp7UdZCqs=; b=f5obnAiRO4NxFTP+fcNfsKwBxq
 pvvpUmC9qF/YgLT2PGib/feM47mWJueq9M1QHAzVnQGDa20ysatpYAC10pvKVjHPyTsksmGt31gWd
 nbPEbr/s4QZnDfSoRo3B3V1AKlrrwsTMCvIKzeH2YPFXiXMG7GRdck7960RVymtrv590=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mOdpv-0002jC-Iu; Fri, 10 Sep 2021 12:32:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN>
Date: Fri, 10 Sep 2021 12:32:46 +0200
In-Reply-To: <87fsudsngq.fsf@HIDDEN> (Juri Linkov's message of "Thu, 
 09 Sep 2021 20:39:57 +0300")
Message-ID: <87k0jora9d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > I think in the
 long-term
 it would be nice to have these keybindings: > > C-x v B - vc-switch-backend
 > C-x v b c - vc-create-tag (maybe it should have an alias
 'vc-create-branch'?) > C-x v b l - vc- [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> I think in the long-term it would be nice to have these keybindings:
>
> C-x v B   - vc-switch-backend
> C-x v b c - vc-create-tag (maybe it should have an alias 'vc-create-branch'?)
> C-x v b l - vc-print-branch-log
> C-x v b s - vc-retrieve-tag (maybe it should have an alias 'vc-switch-branch'?)
> C-x v s   - vc-log-search
> C-x v r   - free, any ideas what to bind to it?
>
> Since `C-x v b' will show "C-x v b-" in the echo area,
> and `C-x v s' will show "Search log with pattern: " in the minibuffer.
> and `C-x v r' will show "C-x v r is undefined",
> I see no problem in adding all keybindings before the next release.

It's an ambitious rebinding...  but the new bindings are clearly an
improvement, and none of the commands that are being rebound to/from are
things that "do things immediately", but instead prompt for further
input, so the potential for this to destroy people's repositories should be
lessened.

But...  perhaps we should take this to emacs-devel to see whether other
people feel differently?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 10 Sep 2021 06:57:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 10 02:57:27 2021
Received: from localhost ([127.0.0.1]:36794 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOaTW-000281-Sp
	for submit <at> debbugs.gnu.org; Fri, 10 Sep 2021 02:57:27 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:45643)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mOaTV-00027e-CI
 for 50344 <at> debbugs.gnu.org; Fri, 10 Sep 2021 02:57:25 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 93E4D1BF211;
 Fri, 10 Sep 2021 06:57:16 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN>
 <0fbdf283-ad2c-1674-ad27-2ac596df7b6d@HIDDEN>
Date: Fri, 10 Sep 2021 09:46:28 +0300
In-Reply-To: <0fbdf283-ad2c-1674-ad27-2ac596df7b6d@HIDDEN> (Dmitry Gutov's
 message of "Fri, 10 Sep 2021 02:18:12 +0300")
Message-ID: <87zgsk536r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> C-x v B   - vc-switch-backend
>> C-x v b c - vc-create-tag (maybe it should have an alias 'vc-create-branch'?)
>> C-x v b l - vc-print-branch-log
>> C-x v b s - vc-retrieve-tag (maybe it should have an alias 'vc-switch-branch'?)
>> C-x v s   - vc-log-search
>> C-x v r   - free, any ideas what to bind to it?
>
> vc-rename-file, perhaps?

Or use it as a prefix key to allow more keybindings, e.g.
with mnemonics "revision" to navigate the history like
in vc-annotate: 'C-x v r n' (revision-next), 'C-x v r p' (previous), ...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 9 Sep 2021 23:18:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 19:18:20 2021
Received: from localhost ([127.0.0.1]:36423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOTJE-00034W-Iz
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 19:18:20 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:46644)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mOTJD-00034K-C8
 for 50344 <at> debbugs.gnu.org; Thu, 09 Sep 2021 19:18:19 -0400
Received: by mail-wr1-f45.google.com with SMTP id x6so4812811wrv.13
 for <50344 <at> debbugs.gnu.org>; Thu, 09 Sep 2021 16:18:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=dFhWm211XrtQtRLC702mLvxF13N9LKxGP3l66O9fCLA=;
 b=YeSa74mUzcxBeTQ0JIBv7c7RcZ7C5pt1JlTOFC08rfUdDc6NeBsiSMpm+jp3SLBRrv
 V8zDE/kNJum7rVmhIP/rVbQLGgIvEA859155emfAMM0IBGoKAYkdbBL9zp7mjtoF1qv4
 YNecKDz2gcXdKPrlSNGKY5fSEpDK0GyLNwjidOuOqCmLOhnxotQLyyiM+gNMhn8KLFg+
 o3nDylciAhtHDWMBQS0YU+bUOoMbWMrUhvs3Z6mIRGjTWZ/xdqM1oN8CbKw0dpC/g4PK
 T2nNbUEcFRw6XsxENahVush77jBToB9MCXQK07KzAGaJtoAzxJTa4Vi1sbAHWcRoptTg
 oGbw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=dFhWm211XrtQtRLC702mLvxF13N9LKxGP3l66O9fCLA=;
 b=armVZpCn3RVgaImAS2Qo3bKghJVM0V746eSjgIhasxuvUjDXdHFQRJhmi4qcBriQcs
 Z8zMMRNP5EdQ2l+qLArHSWaBAwUBVWEgDHjPy+ahYXnRpluHFy1ybEjhwLt9dixnHU2X
 8x1DEJ9BQf/b2hwsO8vHBrx+L4gTNm6ztA57ZkK9w+rYVI2U0t54U6ztCu10HDrs0evQ
 KzvQ+75QipucIlFcPhLppbDpZYyCIq5U26gos5DmldmBqI2+LKoJdaj5zWK0zHlPYRNT
 ZzoLJDihs51PX2F7QByQKaoUYiHNgXhzfK6KiD0nVHcfBfWwjRHwVDkaliWaZzIypuIZ
 4DRw==
X-Gm-Message-State: AOAM5304kULPMw6xR/5vhp0UFPgpLgu06gLudwj9PBG4oh/YYUPx5aZD
 3uvDNj6frPth5ZtUGVyeSeFxqf+ogvI=
X-Google-Smtp-Source: ABdhPJxWoHE1APrThniTLie6GgyPXDoi04WM+s5V1kZQJLwSUYlbaxW/1YcBwcG/4Gdqlp8Dch4bDg==
X-Received: by 2002:adf:fd92:: with SMTP id d18mr6446525wrr.28.1631229493737; 
 Thu, 09 Sep 2021 16:18:13 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id l124sm2698410wml.8.2021.09.09.16.18.12
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 09 Sep 2021 16:18:13 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
 <87fsudsngq.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <0fbdf283-ad2c-1674-ad27-2ac596df7b6d@HIDDEN>
Date: Fri, 10 Sep 2021 02:18:12 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87fsudsngq.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 09.09.2021 20:39, Juri Linkov wrote:

>> Juri, what do you say?
> 
> I think in the long-term it would be nice to have these keybindings:
> 
> C-x v B   - vc-switch-backend
> C-x v b c - vc-create-tag (maybe it should have an alias 'vc-create-branch'?)
> C-x v b l - vc-print-branch-log
> C-x v b s - vc-retrieve-tag (maybe it should have an alias 'vc-switch-branch'?)
> C-x v s   - vc-log-search
> C-x v r   - free, any ideas what to bind to it?

vc-rename-file, perhaps?

> Since `C-x v b' will show "C-x v b-" in the echo area,
> and `C-x v s' will show "Search log with pattern: " in the minibuffer.
> and `C-x v r' will show "C-x v r is undefined",
> I see no problem in adding all keybindings before the next release.

It's a bit too optimistic even for me. But no objections, really.

I'd like to leave it up to Lars to choose the exact line between being 
conservative and bringing better bindings to the users sooner.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 9 Sep 2021 17:58:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 09 13:58:33 2021
Received: from localhost ([127.0.0.1]:36171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mOOJl-0007hB-97
	for submit <at> debbugs.gnu.org; Thu, 09 Sep 2021 13:58:33 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:45605)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mOOJh-0007gW-5c
 for 50344 <at> debbugs.gnu.org; Thu, 09 Sep 2021 13:58:29 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 41664C0004;
 Thu,  9 Sep 2021 17:58:21 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
 <87tuiv4hvc.fsf@HIDDEN>
 <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
Date: Thu, 09 Sep 2021 20:39:57 +0300
In-Reply-To: <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN> (Dmitry Gutov's
 message of "Wed, 8 Sep 2021 14:59:18 +0300")
Message-ID: <87fsudsngq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>> Speaking of (re)moving bindings: 'C-x v b' (vc-switch-backend) seems
>>> particularly useless.
>> Oh, wow.  What's the use case for that command?  I can't imagine when
>> that would actually do something useful...  And it's a really old
>> command, too -- perhaps this was something that made sense in an RCS
>> world?
>
> I think it's for the case of nested repositories, like in bug#42966 and
> other linked reports. And perhaps our detection might make the wrong
> choice, thus it can be tweaked manually.
>
> I don't have any specific scenario in mind, though. Or personal experience
> with such nesting.
>
>>> If we do this the conservative way, though, the whole procedure can
>>> span half a decade:
>>>
>>> - Move vc-switch-backend to 'C-x v B' (Emacs 28)
>>> - Move branch-map to 'b' and vc-create-tag to 'C-x v b c' (Emacs 29)
>>> - Finally move vc-search-log to 'C-x v s' (Emacs 30)
>> We could do the first two steps in Emacs 28, perhaps -- if anybody's
>> actually using `C-x v b', they'll then get
>> C-x v b-
>> in the echo area, which should tell them that something's different is
>> happening now...
>
> Works for me.
>
> Juri, what do you say?

I think in the long-term it would be nice to have these keybindings:

C-x v B   - vc-switch-backend
C-x v b c - vc-create-tag (maybe it should have an alias 'vc-create-branch'?)
C-x v b l - vc-print-branch-log
C-x v b s - vc-retrieve-tag (maybe it should have an alias 'vc-switch-branch'?)
C-x v s   - vc-log-search
C-x v r   - free, any ideas what to bind to it?

Since `C-x v b' will show "C-x v b-" in the echo area,
and `C-x v s' will show "Search log with pattern: " in the minibuffer.
and `C-x v r' will show "C-x v r is undefined",
I see no problem in adding all keybindings before the next release.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 8 Sep 2021 11:59:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 07:59:30 2021
Received: from localhost ([127.0.0.1]:58825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNwEk-0000af-2c
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 07:59:30 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:41549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mNwEh-0000aP-8B
 for 50344 <at> debbugs.gnu.org; Wed, 08 Sep 2021 07:59:29 -0400
Received: by mail-wr1-f51.google.com with SMTP id u9so2875908wrg.8
 for <50344 <at> debbugs.gnu.org>; Wed, 08 Sep 2021 04:59:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=4bw2Vw84b4tt+ENmppsMVkOQGKUqeGI+OIyP0R/PZU0=;
 b=hm0cKooibpZ2mabvHfft4B2BvnMO9gRwH+wFhGoFtmk5ehEY19WOC7FWImYazZnPEr
 mXyC78IegmVwC5E2ci48H6gz1rfZx1ekN/i/3NrYkMvks7bQBJaC16Mz/C6UsibpOARR
 poPHBU45pYI7ixorZzHf9MQ+/R2YIXFn9kTnrjXUhY3JlS7112Cpit//sEkfnk+QsTHb
 GmF15cQK/ratvab9ViywDCCFWdwY3FvTIOn6p4zYqXIggPdrfdAF/FAdI7KGXfGugp1F
 YWskZd6bgyAnkQ6iHasauq/FzmDDWqYCDQ+l5iiI4+TwO05VxuLewqYr2aMf+M/DHB0n
 zkmA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=4bw2Vw84b4tt+ENmppsMVkOQGKUqeGI+OIyP0R/PZU0=;
 b=EHiQfeEUXEeNxmo6pZVRRwMfurgOsx2nXQjXFl8JFHw6CSInKxQMU9j3sau+2EiCW7
 U+H+zkW93gQbbZsr07HCrR9kDKbL/LnfTG3z/p2prVGywkh1jZoMZWiOdkgC49K6ebxv
 CC3gEJFbQVuaCPONRkVpWWZs/6hfJl0IzFmyMaAy1eBEesftJEJmwnM1liti8X7sFUuy
 5c8+v2Hyu1DDivlWanmVBJLdTGQow/D0JjwmsuvnMZ6wLurj81Q32Ea6wQdTWXxRDcvL
 jAdmIjPH6ngyBGqyxicrhNIC2gDJTFlxZ4C+uMdVxArXTYIUDjlyEKGUMTpaaW8bjvjM
 s8iQ==
X-Gm-Message-State: AOAM532OCrNhcASub0XZbhsA0hPgCz+gr7geqoMr2kR5Npplyjv78rTV
 k6MNpLkYwmtZ4nc2ymSBQHg=
X-Google-Smtp-Source: ABdhPJyLaCacGOf9AeOMkGdWkk2EmV7PXGiYLwlok9xiZ6fMmn8q9ZrtDAcTG/SkCpfUFfY7VFKneQ==
X-Received: by 2002:adf:e406:: with SMTP id g6mr1579082wrm.172.1631102361132; 
 Wed, 08 Sep 2021 04:59:21 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id v9sm1826632wml.46.2021.09.08.04.59.19
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 08 Sep 2021 04:59:20 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> <87tuiv4hvc.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <e5ee5a3c-3f12-cf78-dfd3-0d020847e0c8@HIDDEN>
Date: Wed, 8 Sep 2021 14:59:18 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87tuiv4hvc.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 08.09.2021 11:00, Lars Ingebrigtsen wrote:
> Dmitry Gutov <dgutov@HIDDEN> writes:
> 
>> Speaking of (re)moving bindings: 'C-x v b' (vc-switch-backend) seems
>> particularly useless.
> 
> Oh, wow.  What's the use case for that command?  I can't imagine when
> that would actually do something useful...  And it's a really old
> command, too -- perhaps this was something that made sense in an RCS
> world?

I think it's for the case of nested repositories, like in bug#42966 and 
other linked reports. And perhaps our detection might make the wrong 
choice, thus it can be tweaked manually.

I don't have any specific scenario in mind, though. Or personal 
experience with such nesting.

>> If we do this the conservative way, though, the whole procedure can
>> span half a decade:
>>
>> - Move vc-switch-backend to 'C-x v B' (Emacs 28)
>> - Move branch-map to 'b' and vc-create-tag to 'C-x v b c' (Emacs 29)
>> - Finally move vc-search-log to 'C-x v s' (Emacs 30)
> 
> We could do the first two steps in Emacs 28, perhaps -- if anybody's
> actually using `C-x v b', they'll then get
> 
> C-x v b-
> 
> in the echo area, which should tell them that something's different is
> happening now...

Works for me.

Juri, what do you say?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 8 Sep 2021 08:00:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 04:00:17 2021
Received: from localhost ([127.0.0.1]:58497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNsVF-000482-Ce
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 04:00:17 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mNsVE-00047l-2s
 for 50344 <at> debbugs.gnu.org; Wed, 08 Sep 2021 04:00:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=N973vWun39MozUNBo2TM9GFkTvrDR0PAWXTPeJoQKNM=; b=NbxFtq0JLrK2SjjRERHLhbIm7G
 NUFb0Rus7j+MqgKatvsi2kM4xmtKJ3GWosgbKXz3B/XzTbjFFVesr4s3f3DQB3FdUMvYfSvm+Ynsf
 5hZpWkaVnly9++LvXUzk8OOzonAIZBrQDwgbS15n23NdEab4PxMnpWUfT7WNJhek5OwY=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mNsV5-0000QS-OJ; Wed, 08 Sep 2021 10:00:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
 <87zgsoctoc.fsf@HIDDEN>
 <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
Date: Wed, 08 Sep 2021 10:00:07 +0200
In-Reply-To: <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN> (Dmitry Gutov's
 message of "Wed, 8 Sep 2021 05:58:12 +0300")
Message-ID: <87tuiv4hvc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > Speaking of
 (re)moving
 bindings: 'C-x v b' (vc-switch-backend) seems > particularly useless. Oh,
 wow. What's the use case for that command? I can't imagine when that would
 actually do something useful... And it's a really old command, too -- perhaps
 this was something that made sense in an RC [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> Speaking of (re)moving bindings: 'C-x v b' (vc-switch-backend) seems
> particularly useless.

Oh, wow.  What's the use case for that command?  I can't imagine when
that would actually do something useful...  And it's a really old
command, too -- perhaps this was something that made sense in an RCS
world?

> If we do this the conservative way, though, the whole procedure can
> span half a decade:
>
> - Move vc-switch-backend to 'C-x v B' (Emacs 28)
> - Move branch-map to 'b' and vc-create-tag to 'C-x v b c' (Emacs 29)
> - Finally move vc-search-log to 'C-x v s' (Emacs 30)

We could do the first two steps in Emacs 28, perhaps -- if anybody's
actually using `C-x v b', they'll then get

C-x v b-

in the echo area, which should tell them that something's different is
happening now...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 8 Sep 2021 07:53:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 08 03:53:41 2021
Received: from localhost ([127.0.0.1]:58481 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNsOr-0003wK-MC
	for submit <at> debbugs.gnu.org; Wed, 08 Sep 2021 03:53:41 -0400
Received: from quimby.gnus.org ([95.216.78.240]:56744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mNsOq-0003w4-L4
 for 50344 <at> debbugs.gnu.org; Wed, 08 Sep 2021 03:53:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CNoLGt6jafcUi20yXuYAu3M9xNpTehcaz4sXMI9hV4g=; b=fgtgSqnTmi7Up4UAO9xKzB7WjA
 NeE+9w4Qy6AMxw+eLWw4rRaUhb9uITqHDd95iM3C+pZEzk9B1QPcaql3NsOh46achyG4J5xhIjlc5
 TsyXaYWFbEhu9FO4k7+6q5PnsmO1oSvd8iyh5tJo8Rb6puGnAkmi78KTs05Vvp0HM92Q=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mNsOi-0000Nr-IG; Wed, 08 Sep 2021 09:53:34 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN>
 <8cd5c7f3-ded7-d287-4456-16b756c921ec@HIDDEN>
Date: Wed, 08 Sep 2021 09:53:32 +0200
In-Reply-To: <8cd5c7f3-ded7-d287-4456-16b756c921ec@HIDDEN> (Dmitry Gutov's
 message of "Wed, 8 Sep 2021 05:50:09 +0300")
Message-ID: <87y2874i6b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Dmitry Gutov <dgutov@HIDDEN> writes: >> `C-x v s' isn't
 very >> mnemonic, > > Apparently the original name was "snapshot". Like,
 when you create a > tag, you snapshot the whole current state of the repo.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

>> `C-x v s' isn't very
>> mnemonic,
>
> Apparently the original name was "snapshot". Like, when you create a
> tag, you snapshot the whole current state of the repo.

Ah, I see -- that makes sense.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 8 Sep 2021 02:58:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 22:58:22 2021
Received: from localhost ([127.0.0.1]:58116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNnn4-0004Je-M5
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 22:58:22 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:46792)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mNnn2-0004JP-Jx
 for 50344 <at> debbugs.gnu.org; Tue, 07 Sep 2021 22:58:21 -0400
Received: by mail-wr1-f51.google.com with SMTP id x6so877381wrv.13
 for <50344 <at> debbugs.gnu.org>; Tue, 07 Sep 2021 19:58:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=5XpFmDXNDvKGdtT+Qlr4mp1uVtwDyKxhab1O7/4x2/M=;
 b=RZBk2XRzY6QWkp46mkU5Ys8k6Mex+2RfQH93Og1jV1mtJQkZbPCiqB8RPaKBhLjMxy
 OhtOGRgWYlvIVezohsmi/pcMYJz3rjTEc1Klwog8waPpwUQJq8UOGV6Zu5l9Ip+4DMhu
 IxoYBl3Sx7TtM8a/xZVvsb5RlLW6IX8CnJxwU70VPwUmJ1/S5ScVcChDUzr9ET15d8Fh
 nYPgV1BUmE8ww9K10lIjM69SaErUvFLmlIBWVYUtnqXrvPpEfu/P536qw9vEaKkt/e1q
 1Wo9hxlf/YwgRw0X9ppjrNlesS/WCqRTwb7TVTIntAyd0wFgln7Prz5/wT+8BdN5PHmT
 l5nQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=5XpFmDXNDvKGdtT+Qlr4mp1uVtwDyKxhab1O7/4x2/M=;
 b=zjGz1SdDXoIImMEoXGvT8SQJMFkzfPOCZgP9WN4BcBmS4D7qpGuYEQ2rmO1+lPEKBQ
 On5aDQlzO6NU+uhdiG/kpfoa9QSGIKrBD1Ep3znudpo/aGjGCJLuOThWV5t/biFPmqP0
 X4hsa4ZmM1EGevqULCJ5fKEWxA+StU8Np9lulV2vR9+homtMUKasTnKMlTYvNwZ7B1FR
 mxefbbeEBMP/Ky2fmqPVP4sTAOJzXFZSlLdPAjtBiU6rtBluVytW7aiC4dn5SIBP6xC1
 y3qrglWhu4WxdIMYTU5h3H/0qOAmkdyZ2jxKlXhRbdv+SyRhM3jBoaOK2/xDVxzaZQSu
 A4Mg==
X-Gm-Message-State: AOAM532W1/QnClxvVjeIq1lhn+MWE2r7a2HQMrxuV6M7snawKYeQ0B3+
 vgfnZ0hlgQGDK6+0O7ERkwJG15SlWTE=
X-Google-Smtp-Source: ABdhPJxPQ74We1FQOcZw16fERWPbTRTdgiTcTzzz9sEo1fGO035oAud3xzN4CpAE/M1Lj5JTG3lIjQ==
X-Received: by 2002:a05:6000:1186:: with SMTP id
 g6mr1361836wrx.126.1631069894616; 
 Tue, 07 Sep 2021 19:58:14 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id g1sm745913wmh.21.2021.09.07.19.58.13
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 07 Sep 2021 19:58:14 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Lars Ingebrigtsen <larsi@HIDDEN>, Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
 <87y28burzd.fsf@HIDDEN> <87o896kt5k.fsf@HIDDEN>
 <87sfyhj3qw.fsf@HIDDEN> <87zgsoctoc.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <59a05468-2309-c6e7-5a2a-51426c208966@HIDDEN>
Date: Wed, 8 Sep 2021 05:58:12 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87zgsoctoc.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 07.09.2021 18:05, Lars Ingebrigtsen wrote:
> Juri Linkov<juri@HIDDEN>  writes:
> 
>> I don't know, if someone types a familiar key and it does
>> something completely different...

As long as it doesn't do anything dangerous right away, that could fly. 
Of course, people can still complain. Depends on how popular it is.

> Yeah, I didn't mean rebind it immediately -- we can remove the binding
> now, and then reuse the binding in a couple of releases.

Speaking of (re)moving bindings: 'C-x v b' (vc-switch-backend) seems 
particularly useless. If it weren't there, the newly added branch 
commands could use the nicer prefix instead of 'C-x v B'. branch-map in 
vc-dir could also be changed to use 'b' (not sure why 'B' was chosen 
there originally: there is no conflict).

Maybe vc-switch-backend sees some occasional use, but moving it to 
something like 'C-x v B' would be more appropriate. Or some other 
longer/complex sequence.

If we do this the conservative way, though, the whole procedure can span 
half a decade:

- Move vc-switch-backend to 'C-x v B' (Emacs 28)
- Move branch-map to 'b' and vc-create-tag to 'C-x v b c' (Emacs 29)
- Finally move vc-search-log to 'C-x v s' (Emacs 30)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 8 Sep 2021 02:50:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 22:50:19 2021
Received: from localhost ([127.0.0.1]:58112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNnfG-000471-S9
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 22:50:19 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:43876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mNnfF-00046r-6l
 for 50344 <at> debbugs.gnu.org; Tue, 07 Sep 2021 22:50:17 -0400
Received: by mail-wr1-f52.google.com with SMTP id b6so876044wrh.10
 for <50344 <at> debbugs.gnu.org>; Tue, 07 Sep 2021 19:50:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=RIXJrREDRrZHq4p+maF5xg3CzbeaI32OtPkQz+OFhFs=;
 b=D3wJtX8XYmEf43n51mW7UbCIGjAkwzER0WU5NZfzGYapmPL23M8IZTBe9/VYr8QQbG
 Esbje9n7gNoQoF/yCnqefrrAs6IGPca9C0H1Ry+N0V8ZTAO/HgLwQ+felrTQHVsyI+ZZ
 scgeR80J+ccRKW2w5QUDvU8wIgRp0xwjZJQ6L9fAI7N30Rlb8DCEc54L81M/oCXYngrI
 jksZN3WfSizKwoFzgWnJbjtzh+mszTcHcqULmNeHc0o6wiYceM7V4TumgM8FoF0iYoT3
 wd/bujxnYeLZSlOby5zHLI9dSO3lGAhf8Zjm8on5oxoAMTcxb8Qbhhes4Fy50MPRCnnp
 6zZg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=RIXJrREDRrZHq4p+maF5xg3CzbeaI32OtPkQz+OFhFs=;
 b=T9kTFNbOkFSKLQMFGVG1AZ6Sv2oGdWMxjtp68JHH0Gz43b5OYTR9PJLobdE6QGlXL4
 5CdeZLc7GrZjrPLjGBNbC89MOzxyAeNlbaO6Or2ALxQQOIzLKVWwzlBtjbOtMB5ilcte
 FGjKSO9mvth5/Bk16fBcO06cVQVOZu1/sFMM/tifEQsbgq3lt9xY39IASOGMNi/ZCUdh
 ZxqKAXtUH5cYKMBD9Iwaslp0yVm4tH8YJtNy7IeRMpT9u9PdkualnB1bUn5AF1FWBdEv
 yRkdHhRxgd4J28n0zUou8YUeYn4UB5oTja9jZVnf35WiRfCDkWf+hztVD2WzXcx0Udbj
 AOrg==
X-Gm-Message-State: AOAM532jF1WIqeqZHX7wMZv3diYGsTddo1L1naHbj6KNmp9x52XbgkS3
 I6L7RaqTwLgV9E5EghhZYNrsdT1fSys=
X-Google-Smtp-Source: ABdhPJzPwrVAg54vHQeE07FSZ3ZTbw8SJCtAYZhxZIDHjelPyaptfwal8Vm7u15SeT/h2awof1f2uQ==
X-Received: by 2002:adf:e101:: with SMTP id t1mr1281609wrz.215.1631069411273; 
 Tue, 07 Sep 2021 19:50:11 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id f18sm672550wmc.6.2021.09.07.19.50.10
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 07 Sep 2021 19:50:10 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> <875yvgvohe.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <8cd5c7f3-ded7-d287-4456-16b756c921ec@HIDDEN>
Date: Wed, 8 Sep 2021 05:50:09 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <875yvgvohe.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 04.09.2021 09:33, Lars Ingebrigtsen wrote:

>> On 03.09.2021 19:18, Juri Linkov wrote:
>>> I think we want more to remove another duplicate key 'C-x v s'
>>> because then we could bind it to 'vc-log-search'.
>>
>> That works for me. And indeed vc-log-search seems more important.
>>
>> What do others think?
> 
> Then it would be only on `B c' in vc-dir-mode?

Yup.

> `C-x v s' isn't very
> mnemonic,

Apparently the original name was "snapshot". Like, when you create a 
tag, you snapshot the whole current state of the repo.

See commit 370fded4f6c where the mass renaming was made.

> but would removing it from global map inconvenience people?
> (I've never used it myself.)

I don't use a whole bunch of commands that are easy to type in the 
console (and fish completion helps a lot), so maybe others will chime in.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 7 Sep 2021 15:05:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 07 11:05:49 2021
Received: from localhost ([127.0.0.1]:57298 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNcfV-0006H0-Eg
	for submit <at> debbugs.gnu.org; Tue, 07 Sep 2021 11:05:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mNcfU-0006Gl-Fo
 for 50344 <at> debbugs.gnu.org; Tue, 07 Sep 2021 11:05:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=m8jZOqtSIj+CThaTfc4TIJfdFdGLuMviAENez+mFvo4=; b=PxyzShx+vWBq7SqsJxG3U/9Ga6
 wlCjvZH4gqPNPQxwXhtk/QUhyQ8LB/6oDfJz7Rw0tyb30uZ3fgTAGE0rgIT3k3CoTAcVMScIjz+mr
 WUAfcFBzm3RCdPn3HniVkaTkeNlHnbpuNkDaNQFjD/uMJ8G69XM1Bi1SUNJl3XEcF1EA=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mNcfM-000703-8s; Tue, 07 Sep 2021 17:05:42 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN> <87sfyhj3qw.fsf@HIDDEN>
Date: Tue, 07 Sep 2021 17:05:39 +0200
In-Reply-To: <87sfyhj3qw.fsf@HIDDEN> (Juri Linkov's message of "Mon, 
 06 Sep 2021 18:19:19 +0300")
Message-ID: <87zgsoctoc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > I don't know,
 if someone
 types a familiar key and it does > something completely different... Yeah,
 I didn't mean rebind it immediately -- we can remove the binding now, and
 then reuse the binding in a couple of releases. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> I don't know, if someone types a familiar key and it does
> something completely different...

Yeah, I didn't mean rebind it immediately -- we can remove the binding
now, and then reuse the binding in a couple of releases.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 6 Sep 2021 15:41:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 06 11:41:52 2021
Received: from localhost ([127.0.0.1]:54264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mNGkp-0007C1-TN
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 11:41:52 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:43217)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mNGkm-0007BM-O5
 for 50344 <at> debbugs.gnu.org; Mon, 06 Sep 2021 11:41:49 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 03699E000A;
 Mon,  6 Sep 2021 15:41:40 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
 <87o896kt5k.fsf@HIDDEN>
Date: Mon, 06 Sep 2021 18:19:19 +0300
In-Reply-To: <87o896kt5k.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 06 Sep 2021 10:25:11 +0200")
Message-ID: <87sfyhj3qw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>> Then it would be only on `B c' in vc-dir-mode?  `C-x v s' isn't very
>>> mnemonic, but would removing it from global map inconvenience people?
>>> (I've never used it myself.)
>>
>> Indeed, it seems there is no way to remove old keybindings, especially
>> by rebinding them to other commands, so I propose to add new keybindings:
>
> We do remove old keybindings if we think that makes sense.  Like I said,
> I've never used that command myself, ever, so I was wondering whether
> that was generally the case.  If we believe that it's a rarely used
> binding, then we could indeed remove it (or use it for something else).
>
> (Especially since it seems quite un-mnemonic currently.)

I don't know, if someone types a familiar key and it does
something completely different...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 6 Sep 2021 08:25:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 06 04:25:22 2021
Received: from localhost ([127.0.0.1]:51667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mN9wP-0002bZ-V3
	for submit <at> debbugs.gnu.org; Mon, 06 Sep 2021 04:25:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:32896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mN9wO-0002bK-PJ
 for 50344 <at> debbugs.gnu.org; Mon, 06 Sep 2021 04:25:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CBr/Dl6m5R4lBA8sTDzVh2zWQYgPwVjVWPEhgZkYBLQ=; b=PcuaGo6yLSxlB738UIAAKCLpd3
 hIIvlpMnYCnTLyNvdlWrA3t5XA+qetgwv0ZWh/S+nIDRWwT7W2yAwbKp1nwFypAJnEKcwOkxFzC/C
 TT1Bh+Kxx9ARzhHelZjwSiv+qcNG04YzUbWUVttAF7ma5UIy/TCJAUKpM4z7mDEzagL4=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mN9wG-0007qK-1l; Mon, 06 Sep 2021 10:25:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN> <87y28burzd.fsf@HIDDEN>
Date: Mon, 06 Sep 2021 10:25:11 +0200
In-Reply-To: <87y28burzd.fsf@HIDDEN> (Juri Linkov's message of "Sun, 
 05 Sep 2021 19:28:06 +0300")
Message-ID: <87o896kt5k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: >> Then it would be
 only on `B c' in vc-dir-mode? `C-x v s' isn't very >> mnemonic, but would
 removing it from global map inconvenience people? >> (I've never used it
 myself.) > > Indeed, it seems the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>> Then it would be only on `B c' in vc-dir-mode?  `C-x v s' isn't very
>> mnemonic, but would removing it from global map inconvenience people?
>> (I've never used it myself.)
>
> Indeed, it seems there is no way to remove old keybindings, especially
> by rebinding them to other commands, so I propose to add new keybindings:

We do remove old keybindings if we think that makes sense.  Like I said,
I've never used that command myself, ever, so I was wondering whether
that was generally the case.  If we believe that it's a rarely used
binding, then we could indeed remove it (or use it for something else).

(Especially since it seems quite un-mnemonic currently.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 5 Sep 2021 16:41:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 05 12:41:58 2021
Received: from localhost ([127.0.0.1]:50880 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMvDR-0008Dy-Vm
	for submit <at> debbugs.gnu.org; Sun, 05 Sep 2021 12:41:58 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:60199)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mMvDQ-0008DS-Mq
 for 50344 <at> debbugs.gnu.org; Sun, 05 Sep 2021 12:41:57 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 1F5BBC0004;
 Sun,  5 Sep 2021 16:41:48 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
 <875yvgvohe.fsf@HIDDEN>
Date: Sun, 05 Sep 2021 19:28:06 +0300
In-Reply-To: <875yvgvohe.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 04 Sep 2021 08:33:49 +0200")
Message-ID: <87y28burzd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>> I think we want more to remove another duplicate key 'C-x v s'
>>> because then we could bind it to 'vc-log-search'.
>>
>> That works for me. And indeed vc-log-search seems more important.
>>
>> What do others think?
>
> Then it would be only on `B c' in vc-dir-mode?  `C-x v s' isn't very
> mnemonic, but would removing it from global map inconvenience people?
> (I've never used it myself.)

Indeed, it seems there is no way to remove old keybindings, especially
by rebinding them to other commands, so I propose to add new keybindings:

diff --git a/lisp/vc/vc-hooks.el b/lisp/vc/vc-hooks.el
index 4b3c829a2c..4d3f642796 100644
--- a/lisp/vc/vc-hooks.el
+++ b/lisp/vc/vc-hooks.el
@@ -865,6 +865,9 @@ vc-prefix-map
   (let ((map (make-sparse-keymap)))
     (define-key map "a" #'vc-update-change-log)
     (define-key map "b" #'vc-switch-backend)
+    (define-key map "Bc" #'vc-create-tag)
+    (define-key map "Bl" #'vc-print-branch-log)
+    (define-key map "Bs" #'vc-retrieve-tag)
     (define-key map "d" #'vc-dir)
     (define-key map "g" #'vc-annotate)
     (define-key map "G" #'vc-ignore)
@@ -879,6 +882,7 @@ vc-prefix-map
     (define-key map "m" #'vc-merge)
     (define-key map "r" #'vc-retrieve-tag)
     (define-key map "s" #'vc-create-tag)
+    (define-key map "S" #'vc-log-search)
     (define-key map "u" #'vc-revert)
     (define-key map "v" #'vc-next-action)
     (define-key map "+" #'vc-update)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 4 Sep 2021 06:33:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 04 02:33:59 2021
Received: from localhost ([127.0.0.1]:46262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMPFX-00031g-5y
	for submit <at> debbugs.gnu.org; Sat, 04 Sep 2021 02:33:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mMPFW-00031N-2h
 for 50344 <at> debbugs.gnu.org; Sat, 04 Sep 2021 02:33:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mhsmhMrAdSAZwTsK525x3Lcg1nicnPxZHKjIYKocwk4=; b=aMrxWXoWENfkditdF/mD/eCOft
 p6FzP4W7o2FehltaZAM44q+MNJmwEQOV7BEbcIfIrK4kZw+OFn/PlDbLoDV2Qd2dp58PkzvtszlYT
 uORaqLmFII3wp9S3hjdl5e8UzdCJ4jy0SPtG6OFXXDqI/AWLf+l9xLlvkwNbEf1A1ISc=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mMPFN-0006ED-ML; Sat, 04 Sep 2021 08:33:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
 <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
Date: Sat, 04 Sep 2021 08:33:49 +0200
In-Reply-To: <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN> (Dmitry Gutov's
 message of "Fri, 3 Sep 2021 19:41:11 +0300")
Message-ID: <875yvgvohe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > On 03.09.2021 19:18,
 Juri Linkov wrote: >> I think we want more to remove another duplicate key
 'C-x v s' >> because then we could bind it to 'vc-log-search'. > > That works
 for me. And indeed vc-lo [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Dmitry Gutov <dgutov@HIDDEN> writes:

> On 03.09.2021 19:18, Juri Linkov wrote:
>> I think we want more to remove another duplicate key 'C-x v s'
>> because then we could bind it to 'vc-log-search'.
>
> That works for me. And indeed vc-log-search seems more important.
>
> What do others think?

Then it would be only on `B c' in vc-dir-mode?  `C-x v s' isn't very
mnemonic, but would removing it from global map inconvenience people?
(I've never used it myself.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 3 Sep 2021 16:41:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 12:41:22 2021
Received: from localhost ([127.0.0.1]:45832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMCFl-0000ki-SP
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 12:41:22 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:33680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mMCFk-0000kV-34
 for 50344 <at> debbugs.gnu.org; Fri, 03 Sep 2021 12:41:20 -0400
Received: by mail-wm1-f46.google.com with SMTP id
 192-20020a1c04c9000000b002f7a4ab0a49so3309222wme.0
 for <50344 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 09:41:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=M7ZjkAoMvQGGjqATU9A7r9GdgeyB/4WAu0NrywkKYQc=;
 b=Q63Xv3qG8KzmdOkq1d80iNoPGw6A0gJANUbRq79Wp4AX4q3p6kFIdMl4TfW60WXCgw
 9SDZJDWrcTv1wPEVuZTVewucakWzK6e0kb2Ga/WYKM7S5KJNdOqb0kJalqoJZNCBlRvB
 0MEJwyauizMUgXZGJGdhdEpPi8kwrM+QBAtsqjAaK5w9LMBREh3eLPV9MV3erOP/x8Cj
 NkVmdxrph3ClZ+wqcn/IbQhf2CHMVBh+wV/0uOpPHPF4cqyqhU9t4yqTVAg7V1uxQ3Z4
 44dW+Cfzi/s9qdY54KVN0sBMM6aniVeH9ZZ4eRNNCM/sKWsJ0xo1VGfA3ZrveMrUADC7
 UT0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=M7ZjkAoMvQGGjqATU9A7r9GdgeyB/4WAu0NrywkKYQc=;
 b=aHhVUM+Qs0gZv3RJqQcrJQB2aTtMxLeiu4LtcmHAjK/Kz6snpIyDbMmCsxYRAk1nhd
 jmkrpo1O2H8wKo8alDx6FzrD2FCJduoQEtlPsRV0CuH0VI/vFF8KBErPVhoeQkmiE+Al
 GDpnIqLasNtxWL4UaMYPKAyCZsD9pyhflBSgdRVRBYKZAWXLZWyp/Sv/GroDvLl89JkR
 SOsxxq/zUeeYnGOEsDbju9AToM886KwGJRNJ2Ztd3z5aqcdWHG+HaDAKyDqDXcdmlHSc
 RsfvzaA/lk4zgp6zwe0mq0CtS/XdmKY9GBX7LMCYQIs0YvwTPnubobDtg5jRQI41JrN+
 tIkQ==
X-Gm-Message-State: AOAM530koqjvt07PdexC6W8NY3I4MqLtFxmvIKxerjxNRFKjhPgqOQOB
 mUUad6KdOcn2VjHf/ejGkE5EGrkH43k=
X-Google-Smtp-Source: ABdhPJy+In73H0uk9+0YFfAOYITz2VXr2YGcjh18KOAKh1WO/ycVaNk2TTIFfhu1DJkCZH//j9J+TQ==
X-Received: by 2002:a05:600c:cc:: with SMTP id
 u12mr1281780wmm.182.1630687274178; 
 Fri, 03 Sep 2021 09:41:14 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id g143sm4751037wme.16.2021.09.03.09.41.12
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 03 Sep 2021 09:41:13 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <87o8998wf4.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <84e4e2ef-6c8d-3645-9e1e-3129981dd45f@HIDDEN>
Date: Fri, 3 Sep 2021 19:41:11 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87o8998wf4.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 03.09.2021 19:18, Juri Linkov wrote:
> I think we want more to remove another duplicate key 'C-x v s'
> because then we could bind it to 'vc-log-search'.

That works for me. And indeed vc-log-search seems more important.

What do others think?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 3 Sep 2021 16:21:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 12:21:06 2021
Received: from localhost ([127.0.0.1]:45815 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mMBwA-0000FD-0h
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 12:21:06 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:45991)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mMBw8-0000E7-Fz
 for 50344 <at> debbugs.gnu.org; Fri, 03 Sep 2021 12:21:04 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 4E109E0004;
 Fri,  3 Sep 2021 16:20:56 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
Date: Fri, 03 Sep 2021 19:18:39 +0300
In-Reply-To: <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN> (Dmitry Gutov's
 message of "Fri, 3 Sep 2021 02:24:09 +0300")
Message-ID: <87o8998wf4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> +    (define-key map "Bc" #'vc-create-tag)
>> +    (define-key map "Bl" #'vc-print-branch-log)
>> +    (define-key map "Bs" #'vc-retrieve-tag)
>
> Do we want to remove the vc-retrieve-tag from 'C-x v r' sometime later? It
> does have a dual function (branches/tags and commits as well), but it would
> be nice to free this combination.

I think we want more to remove another duplicate key 'C-x v s'
because then we could bind it to 'vc-log-search'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 3 Sep 2021 12:26:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 08:26:39 2021
Received: from localhost ([127.0.0.1]:43247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mM8HG-0006Oh-UA
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 08:26:39 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:35459)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mM8HE-0006OS-AF
 for 50344 <at> debbugs.gnu.org; Fri, 03 Sep 2021 08:26:36 -0400
Received: by mail-wr1-f54.google.com with SMTP id i6so8002063wrv.2
 for <50344 <at> debbugs.gnu.org>; Fri, 03 Sep 2021 05:26:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=1UiVs14/W9bJHZ7d8dJ35I7kryFQuQcFQyzxKnc8O2Q=;
 b=XML4o1aIndCSvsQNH/66Mk5ZIjtyrwJD4VuBEW6FblrGZONu1a0qde2LjSPVDQrnK4
 yWFMYedFgg8PSkt485ewo2miLm47LmkpVBIbKOZf94gV7OV18Cq4E/eoDF69fzS442ym
 3H2W2l0TWAmuXeFcOmmi+Vo4LmPy3Ed6j2KKeqgwK8+zcOtQdA3OpafuPdtbQZdA06NP
 2VoQJR7U3sfHCdppoROOA3jshZSJkKwCMoZcxfoyOhM0Zy6ISREisPA5ytp4+33lufrA
 jTavf5o/ygd3jiUbYyXm5O9owaYI/E/4tydtdsJeFd/LxHvi7wEoZn1dafujQyIcAiPJ
 6zNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=1UiVs14/W9bJHZ7d8dJ35I7kryFQuQcFQyzxKnc8O2Q=;
 b=PRPv9rx/Yfb3RwVQYWXYY0EcZoC/jCDh+FCQyE9muGKGYaJodJiFTFiuIJHTdvYhTE
 ooge76PP57H0KZMHQhLluv827qvlFuidX9uaJ6Z11+kD/UKv4XgU9YktwEQJhwn0T5Sm
 Ljq9gcs9hRfGd6jotCF5WRqSvMIGePAkA5xtLRAuqtS7yfaTvDdmNM0CkFLu5MB0fGoy
 wox4truDRvAg+5O2FFgAdT4NN9LozMggOaEW9sMpOjSErTDoet1Yi2UUppzCWLbk1WcW
 hXpEdOeBDf98kqnC1YpQYCuTa6YEDxaMU3mnMZ6WFDH8FQNOfGrF3or8A/MqDmcL9aU7
 qA+Q==
X-Gm-Message-State: AOAM530YhZD3kMfskcKk4FOTyRZmslM1B7nQ4TedYtzonSFlNWRspuX8
 3C0pKW5pOGs+CIBdMvV9fDxZgYAboF0=
X-Google-Smtp-Source: ABdhPJy6o3zBU3/QI7vdRNrhQR6hNTfLAUOt/EihHrsPMKr08MYD2ASoWwU4ppuAFhmbfmFx+OAEnw==
X-Received: by 2002:adf:9e05:: with SMTP id u5mr3889441wre.352.1630671990462; 
 Fri, 03 Sep 2021 05:26:30 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id t11sm4728979wmi.23.2021.09.03.05.26.29
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 03 Sep 2021 05:26:30 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Juri Linkov <juri@HIDDEN>
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
 <875yviaxcf.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <af7530aa-5bbb-af28-2a91-b32735da3c24@HIDDEN>
Date: Fri, 3 Sep 2021 15:26:28 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <875yviaxcf.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 03.09.2021 11:15, Juri Linkov wrote:
>>> +    (define-key map "Bc" #'vc-create-tag)
>>> +    (define-key map "Bl" #'vc-print-branch-log)
>>> +    (define-key map "Bs" #'vc-retrieve-tag)
>>
>> Makes sense to me as well. Thanks!
>>
>> Do we want to remove the vc-retrieve-tag from 'C-x v r' sometime later?
> 
> I guess, yes.  But is it possible to deprecate a keybinding like
> there are 'make-obsolete' for functions and 'make-obsolete-variable'?

Probably not. Only by writing in the NEWS, or something.

>> It does have a dual function (branches/tags and commits as well), but it would
>> be nice to free this combination.
> 
> Do you mean to create two separate commands and separate keybindings
> for switching a branch vs tags?

No, just removing one binding. It's not urgent or very important, just 
something to think about.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 3 Sep 2021 08:19:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 03 04:19:12 2021
Received: from localhost ([127.0.0.1]:42852 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mM4Po-00086e-KN
	for submit <at> debbugs.gnu.org; Fri, 03 Sep 2021 04:19:12 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:60231)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mM4Pk-00086B-1b
 for 50344 <at> debbugs.gnu.org; Fri, 03 Sep 2021 04:19:11 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id C1964100011;
 Fri,  3 Sep 2021 08:19:00 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
References: <87mtoux1ha.fsf@HIDDEN>
 <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
Date: Fri, 03 Sep 2021 11:15:44 +0300
In-Reply-To: <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN> (Dmitry Gutov's
 message of "Fri, 3 Sep 2021 02:24:09 +0300")
Message-ID: <875yviaxcf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50344
Cc: 50344 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> +    (define-key map "Bc" #'vc-create-tag)
>> +    (define-key map "Bl" #'vc-print-branch-log)
>> +    (define-key map "Bs" #'vc-retrieve-tag)
>
> Makes sense to me as well. Thanks!
>
> Do we want to remove the vc-retrieve-tag from 'C-x v r' sometime later?

I guess, yes.  But is it possible to deprecate a keybinding like
there are 'make-obsolete' for functions and 'make-obsolete-variable'?

> It does have a dual function (branches/tags and commits as well), but it would
> be nice to free this combination.

Do you mean to create two separate commands and separate keybindings
for switching a branch vs tags?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at 50344 <at> debbugs.gnu.org:


Received: (at 50344) by debbugs.gnu.org; 2 Sep 2021 23:24:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 02 19:24:21 2021
Received: from localhost ([127.0.0.1]:42328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLw4D-0004tL-6h
	for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 19:24:21 -0400
Received: from mail-wm1-f54.google.com ([209.85.128.54]:41513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1mLw48-0004t6-E4
 for 50344 <at> debbugs.gnu.org; Thu, 02 Sep 2021 19:24:19 -0400
Received: by mail-wm1-f54.google.com with SMTP id
 u15-20020a05600c19cf00b002f6445b8f55so2438949wmq.0
 for <50344 <at> debbugs.gnu.org>; Thu, 02 Sep 2021 16:24:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=sender:subject:to:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=aIQHCWT3kFmi9J1A0SsyqP8Xl8JGlQ163TCUEZhUdnw=;
 b=Sw5fJXw+y2O/a0I0i/nbRk5XHRHqAGlnNKuavoi/ntYAO8azvKkQUs+7FkVCP5o+pE
 jIE9fjlb65wpGEB1UCp6h3v4/0FMUcDAJR606CsNv331ckgrUl35uQ+XDQ6aSjmmMVQQ
 22tcu7jGwWyJYLJvgz0NDYEoXDivuS1ZyTMno0k+4SlMB87k7eP7AvE4EaLlFCkY9Pl/
 0fJq+/IKfddBYRfflq0SD5sViEVuUkiOJWPLqkQKfOj5/3IZGgTWZafkfu1X67LM0Tup
 4SkHLDGixDzD37GKS14GOwQXzmRMYy7ikCjUg/xOmeSCfW/xUXYkW+R647CLmxvKhBMu
 TN3g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=aIQHCWT3kFmi9J1A0SsyqP8Xl8JGlQ163TCUEZhUdnw=;
 b=JsXhU2Snrhrbvp2kJgG/0yd6IkUYKfD0wOYcu3lhjmg7TBfqF+f7ehGwIj27L5vp2g
 ygAgmBvASz9u3mxOJun8B6LMbxZLPrv5OPjEoB9BbZAe9uwnP9JeP5IZFeAvykV3r8fz
 EOcQY9OTBpw/AcR6MMKJarSxJcWOkiev7cHYutUybI0zkhCJ2hA+7M3DXL/akk37XVbt
 r6eGSnppTTyXOO8uavFlLzFjcJGiBPaf+tj8UvreyiNj/655RRaXxIxKEyoygCluM1nj
 e+liI+LXR4o3JOCXETN0esxpeJlEjIDq1ZQoHsbiv31pVZnzzLHtnJ+pWoMNkzaiENVj
 U9Ew==
X-Gm-Message-State: AOAM532LoeUbIAeLT4LM+NoSuugUfxAaJ3NUFXb3KRdMrDPHzjRCPGym
 DRfPH2FUftvqa4oHZfR7O0pINoGUP4g=
X-Google-Smtp-Source: ABdhPJwoASWVLVLrcFey6pPpIyB0e2vPNru5z0v8P9kvYpZuAYu+5qqz+slCdQjMCvSvnljUQyeTyg==
X-Received: by 2002:a1c:ed0a:: with SMTP id l10mr435239wmh.140.1630625050546; 
 Thu, 02 Sep 2021 16:24:10 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id h15sm162937wrc.19.2021.09.02.16.24.09
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 02 Sep 2021 16:24:10 -0700 (PDT)
Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log
To: Juri Linkov <juri@HIDDEN>, 50344 <at> debbugs.gnu.org
References: <87mtoux1ha.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <1f39aa34-6626-3d0b-d764-2c9908787d99@HIDDEN>
Date: Fri, 3 Sep 2021 02:24:09 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.13.0
MIME-Version: 1.0
In-Reply-To: <87mtoux1ha.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 50344
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

On 02.09.2021 21:43, Juri Linkov wrote:
> So it makes sense to copy branch keys from vc-dir-mode-map
> to vc-prefix-map:
> 
> diff --git a/lisp/vc/vc-hooks.el b/lisp/vc/vc-hooks.el
> index 4b3c829a2c..d039c400c5 100644
> --- a/lisp/vc/vc-hooks.el
> +++ b/lisp/vc/vc-hooks.el
> @@ -865,6 +865,9 @@ vc-prefix-map
>     (let ((map (make-sparse-keymap)))
>       (define-key map "a" #'vc-update-change-log)
>       (define-key map "b" #'vc-switch-backend)
> +    (define-key map "Bc" #'vc-create-tag)
> +    (define-key map "Bl" #'vc-print-branch-log)
> +    (define-key map "Bs" #'vc-retrieve-tag)
>       (define-key map "d" #'vc-dir)
>       (define-key map "g" #'vc-annotate)
>       (define-key map "G" #'vc-ignore)

Makes sense to me as well. Thanks!

Do we want to remove the vc-retrieve-tag from 'C-x v r' sometime later? 
It does have a dual function (branches/tags and commits as well), but it 
would be nice to free this combination.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Sep 2021 18:45:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 02 14:45:09 2021
Received: from localhost ([127.0.0.1]:42043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLri1-0002LL-IB
	for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 14:45:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:59104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mLrhy-0002LD-M6
 for submit <at> debbugs.gnu.org; Thu, 02 Sep 2021 14:45:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46168)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1mLrhy-0005bP-Cg
 for bug-gnu-emacs@HIDDEN; Thu, 02 Sep 2021 14:45:06 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:55631)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1mLrhw-0005eP-8k
 for bug-gnu-emacs@HIDDEN; Thu, 02 Sep 2021 14:45:06 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id DC2691C0003
 for <bug-gnu-emacs@HIDDEN>; Thu,  2 Sep 2021 18:44:59 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: C-x v keybinding for vc-print-branch-log
Organization: LINKOV.NET
Date: Thu, 02 Sep 2021 21:43:13 +0300
Message-ID: <87mtoux1ha.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=217.70.183.197; envelope-from=juri@HIDDEN;
 helo=relay5-d.mail.gandi.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

While vc-print-branch-log is a frequently used command, it still has no
keybinding in vc-prefix-map.  But it has a keybinding in vc-dir-mode-map.
Many keys are already shared between vc-prefix-map and vc-dir-mode-map, e.g.:

  (defvar vc-dir-mode-map
    ;; VC commands
    (define-key map "v" #'vc-next-action)   ;; C-x v v
    (define-key map "=" #'vc-diff)	   ;; C-x v =
    (define-key map "D" #'vc-root-diff)	   ;; C-x v D
    (define-key map "i" #'vc-register)	   ;; C-x v i
    (define-key map "+" #'vc-update)	   ;; C-x v +
    (define-key map "P" #'vc-push)	   ;; C-x v P
    (define-key map "l" #'vc-print-log)	   ;; C-x v l
    (define-key map "L" #'vc-print-root-log) ;; C-x v L
    (define-key map "I" #'vc-log-incoming)   ;; C-x v I
    (define-key map "O" #'vc-log-outgoing)   ;; C-x v O

Also vc-dir-mode-map has branch keys:

    (let ((branch-map (make-sparse-keymap)))
      (define-key map "B" branch-map)
      (define-key branch-map "c" #'vc-create-tag)
      (define-key branch-map "l" #'vc-print-branch-log)
      (define-key branch-map "s" #'vc-retrieve-tag))

So it makes sense to copy branch keys from vc-dir-mode-map
to vc-prefix-map:

diff --git a/lisp/vc/vc-hooks.el b/lisp/vc/vc-hooks.el
index 4b3c829a2c..d039c400c5 100644
--- a/lisp/vc/vc-hooks.el
+++ b/lisp/vc/vc-hooks.el
@@ -865,6 +865,9 @@ vc-prefix-map
   (let ((map (make-sparse-keymap)))
     (define-key map "a" #'vc-update-change-log)
     (define-key map "b" #'vc-switch-backend)
+    (define-key map "Bc" #'vc-create-tag)
+    (define-key map "Bl" #'vc-print-branch-log)
+    (define-key map "Bs" #'vc-retrieve-tag)
     (define-key map "d" #'vc-dir)
     (define-key map "g" #'vc-annotate)
     (define-key map "G" #'vc-ignore)




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50344; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 25 Dec 2021 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.